Using this Tutorial

Home topic »No topics above this level«

Using this Tutorial - Multimedia Protector

 Deutsche Online Hilfe This is the first topic Next topic Print this topic JavaScript is required for the print function Mail us feedback on this topic! Mail us feedback on this topic!

This tutorial presents an easy way of learning how to use Multimedia Protector. It is designed for authors, technical writers, documentation specialists, developers, and anyone else who wants to provide copy protected multimedia files.

While completing these lessons, you will learn how to develop a project, to deploy the project and to use advanced features like Web Activation or integration into online shops.

Part I gives you a foundation for using Multimedia Protector features, including using styles and creating links. Part II provides hands-on experience of using additional features like menu creator, online shop integration or using the Web Activation Server.

This tutorial is no longer updated as there is a new main release available. Update to version 3.0 - click here for details.

Use the buttons [image] [image] in the upper right corner to browse through the online help.

(Für die deutsche Version der Online Hilfe klicken Sie auf das Symbol [image] rechts oben.)

Print this tutorial

The Online Tutorial is also available as a PDF document.

You can print this tutorial - click on the link to download PDF file

Available Updates / Service Packs

Service Pack 2.1.2 (03/01/2009 - 01.03.2009)

recently added

· Support of Active E-Book Compiler
· Support of Articulate Engage, Presenter and Quizmaker
· Support of SWF Generator (Orontes Projects)
· Support of Avangate E-Commerce System
· Support of LearnCube (Outstart)
· Support of Lectora(Trivantis)
· Define, how often a Serial Number can be used

Copyrights and Trademarks

Copyright © Mirage Computer Systems GmbH. All rights reserved.

Information in this document is subject to change without notice. The software described in this document is furnished under a license agreement or non-disclosure agreement. The software may be used or copied only in accordance with the terms of those agreements.

This documentation and the accompanying material is for informational purpose only and is property of Mirage Computer Systems GmbH, Aulendorf. Information in this document is subject to change without notice. The names of companies, products, people, characters, and/or data mentioned herein are fictitious and are in no way intended to represent any real individual, company, product, or event, unless otherwise noted.

No part of this publication may be reproduced, stored in a retrieval system, or transmitted in any form or any means electronic or mechanical, including photocopying and recording for any purpose other than the purchaser’s personal use without the written permission of Mirage Computer Systems.

All products and company names mentioned herein may be the trademarks of their respective owners.

http://www.mirage-systems.de

Multimedia Protector Version: 2.1

This document was updated: 05.02.2011


Video Tutorial

 Deutsche Online Hilfe Next topic Print this topic JavaScript is required for the print function Mail us feedback on this topic! Mail us feedback on this topic!

Multimedia Protector also comes with a video tutorial. The tutorial covers the basic steps and is the perfect start if you don't like reading.

Tutorial - First Steps for Beginners

The video tutorial requires audio (headset or PC speaker). The Tutorial was made with Adobe Captivate (swf files) and is protected with Multimedia Protector.

Download Tutorial (20 MB)

After the download, the files are copied to a temporary folder and the tutorial starts automatically.

Instead of downloading, you can view the Tutorial as a standard flash file in the Browser (unprotected version).

View Tutorial in the Browser

Tutorial - Product Activation

This tutorial demonstrates, how the user activates the product - using Online, E-Mail, Fax or phone activation.

Start Video Tutorial for product Activation

Für die deutsche Version der Online Hilfe klicken Sie auf das Symbol [image] rechts oben.


About Part I

Home topic Part I - Learning the Basics:

About Part I

 Deutsche Online Hilfe Next topic Print this topic JavaScript is required for the print function Mail us feedback on this topic! Mail us feedback on this topic!

The lessons in the first part of this tutorial introduce Multimedia Protector's essential functions. After completing them, you'll be familiar with creating and configuring a basic project. This tutorial comes with a project already created for you (there's only a minimal amount of typing required at the beginning of Part I) - the project name is flash-demo.mme.

In Part I, you will learn:

· About Multimedia Protector
· Copy Protection, Licensing, Evaluation
· Getting started
· Screen - Settings
· Screen - Licence Information
· Screen - Image
· Screen - Data Import
· Screen - Player Options
· Screen - Save
· Screen - Administration
· Create a New Project


Latest Updates

Home topic Part I - Learning the Basics:

Latest Updates

 Deutsche Online Hilfe Next topic Print this topic JavaScript is required for the print function Mail us feedback on this topic! Mail us feedback on this topic!

The latest main program version is version 2.1.

Display Modification History version 2.1

Check for Updates / Update eligibility

If you are using a trial version, you can use the download link you got with an e-mail, to download the latest version again.

Use the automatic update check to ensure that you are always working with the latest version.

You will find your current version number in the screen administration, using the About Multimedia Protector link.

Note: Updates can only be applied if your update subscription has not expired. You find your subscription status in the screen administration,using the Show License Information link. The module Online Update must not be expired. The Update program uses not today's date to make the comparison but the inbuilt release program.

Example

· Release date 02/14/2008 (14.02.2008)
· Online Update eligibility expired 02/20/2008 (20.02.2007)
· Today: 03/16/2008 (16.03.2008)

Although today the Online Update eligibility has expired, it was not expired at the release date. The update can be applied. This ensures that you can install an update at any time you like.

Subscription Expired

If your subscription has expired but you bought a subscription, check your order confirmation e-mail. You got a separate Activation Key for the update subscription. Apply this key in your currently installed Multimedia Protector version. If you cannot find your order confirmation e-mail, contact cs@cleverbridge.com.

Download Update

The latest updates can be downloaded here

Update Procedure

· Download the update from the website or through the automatic updater
· Start the file mpupdate2.1.exe
· You have to select the folder with the old Multimedia Protector version (default ..Multimedia Protector\2.0). This folder is needed to check the update eligibility. After this initial check you can install Multimedia Protector
· We strongly recommend installing the version on a new directory (default is ..\2.1) and never install it on the directory with the old version

Service Pack

A Service Pack 2.1.2 is available. It requires a valid version of release 2.1.


Service Pack 2.1.2

Home topic Part I - Learning the Basics > Latest Updates:

Service Pack 2.1.2

 Deutsche Online Hilfe Next topic Print this topic JavaScript is required for the print function Mail us feedback on this topic! Mail us feedback on this topic!

Modification History

All modifications of the Service Pack can be viewed in detail here.

Automatic Installation

The service pack installs automatically if you have Automatic Update Check enabled.

If you instantly want to check for an update, the update check can also be started from your program manager group, Multimedia Protector, [image] Check for updates.

Manual Installation

If you don't have internet access on the PC where you are using Multimedia Protector, you can install the update as follows:

· Click here to download update
· Copy the file mpsp212.exe into the installation folder of Multimedia Protector - default is ..\Multimedia Protector\2.1 or ..\Multimedia Protector Premium\2.1
· Start mpsp212.exe
· You should disable the Automatic Update Check on this PC.

The service pack requires a valid version of release 2.1 to install.


Installation - Windows Vista - System Requirements

Home topic Part I - Learning the Basics:

Installation - Windows Vista - System Requirements

 Deutsche Online Hilfe Next topic Print this topic JavaScript is required for the print function Mail us feedback on this topic! Mail us feedback on this topic!

The Multimedia Protector installer adds a program manager group called Multimedia Protector 2.1.

Multimedia Protector requires a read/write access to the installation folder (default ..\programs\Multimedia Protector 2.1). The Windows Vista standard user does not have this authorization. Multimedia Protector adds it during installation.

The same applies to the distribution of the Multimedia Player which runs on the user system.

If your secured application is stored on a network, the administrator has to add read/write access for all users.

If you use a CD installation, the Multimedia Player will add the necessary authorization automatically during program start.

Multimedia Protector and Multimedia Player runs on Windows 2000 (SP4) to Windows Vista 32 bit and always need the latest service packs.

A user does not need to have a flash or another player like PPT or PDF reader installed. All necessary components are included in the Multimedia Player.

If you protect flash, PPT or EXE applications, no installation will be required and the protected application can be started even directly from CD.

The Multimedia Protector PDF Viewer requires installation rights during the first program start.


Protection for a lot of applications and file formats

Home topic Part I - Learning the Basics:

Protection for a lot of applications and file formats

 Deutsche Online Hilfe Next topic Print this topic JavaScript is required for the print function Mail us feedback on this topic! Mail us feedback on this topic!

If you use tools which produce a SWF file, the swf file should actually run with the Multimedia Player. Sometimes, special settings will be necessary. We have tested some tools and described the necessary settings.

File Formats

· AVI, MPEG, Quicktime, Video
· CHM
· EXE
· FLV (Video)
· HTML
· JPG (Photo / Image)
· MDI
· MP3
· PDF
· PowerPoint
· SWF (Flash)
· WAV
· Word, Visio

Applications

· Active E-Book Compiler
· Adobe Captivate (Adobe)
· Authorware (Macromedia)
· Articulate Presenter (Articulate)
· Camtasia (Techsmith)
· Director (Adobe)
· Flashform(Rapid Intake)
· Flashpaper (Adobe)
· Flash Video MX (Moyea)
· HTML Executable (gdgsoft)
· LearnCube (Outstart)
· Lectora (Trivantis)
· Lightroom (Adobe)
· Mediator (Matchware)
· Presenter (Adobe)
· Print2Flash (Blue-Pacific)
· SWF Generator (Orontes Projects)
· SWF Studio (Northcode)
· Toolbook (Sum Total)
· Turbodemo (balesio)
· Zinc (MDM)


File formats which can be protected

Home topic Part I - Learning the Basics > Protection for a lot of applications and file formats:

File formats which can be protected

 Deutsche Online Hilfe Next topic Print this topic JavaScript is required for the print function Mail us feedback on this topic! Mail us feedback on this topic!

The Multimedia Player supports SWF (Macromedia Flash) files, FLV, PDF, PPT, JPEG,MP3 native and other file types by converting these files to flash.

At least one SWF, PDF, FLV or EXE file is needed. This file can start any video, music or image files which are supported by the standard flash players.

Find below a list of all supported file formats in alphabetical order:

· AVI, MPEG, Quicktime, Windows Media Video
· CHM
· EXE Files
· FLV(Video)
· HTML
· JPG(Photo / Image)
· MDI
· MP3(Music)
· PDF
· PowerPoint (PPT)
· SWF (Flash)
· WAV
· Word, Visio, Office Documents


AVI, MPEG, Quicktime , Windows Media Video

Home topic Part I - Learning the Basics > Protection for a lot of applications and file formats > File formats which can be protected:

AVI, MPEG, Quicktime , Windows Media Video

 Deutsche Online Hilfe Next topic Print this topic JavaScript is required for the print function Mail us feedback on this topic! Mail us feedback on this topic!

A lot of formats can be converted and then protected by Multimedia Protector. You will find a lot of tools by searching in Google. We describe 2 tools more in detail.

The video will play only on a PC, not on a CD / DVD recorder connected to TV.

Convert to SWF

If you have multiple, small videos, we recommend converting the video to swf. A good tool that also adds player controls is Flash Video MX (Moyea).

· Convert the file to swf
· Import the file and set the swf file as start file
· If you have multiple video files to secure, use the Menu Creator.

See details for converting with Moyea.

Multimedia Protector expects, that the video has its own player controls (stop, play, forward, backward etc.). Most of the video conversion tools allow to add a player control and skins.

SWF has a limitation regarding number of frames with 16000 frames. A long video, e.g. with 20 minutes, can not be converted to flash. You can convert this video to FLV (flash video format) and place only this video in an own database:

· Convert the video to FLV
· Save each FLV file in a separate database - This feature can be used if you split the project into several databases.
· Use one of the menus Multimedia Protector provides (Advanced Menu, Basic Menu) or any other menu application.


CHM

Home topic Part I - Learning the Basics > Protection for a lot of applications and file formats > File formats which can be protected:

CHM

 Deutsche Online Hilfe Next topic Print this topic JavaScript is required for the print function Mail us feedback on this topic! Mail us feedback on this topic!

To secure a CHM file (help file) the Windows viewer for this file - hh.exe is used. By default, every Windows system should have this file installed.

There are 3 steps to protect the CHM file:

Copy the hh.exe viewer

Copy the viewer for the chm file, the file hh.exe from c:\windows to your project folder where you saved the CHM file.

The hh.exe from a Vista machine will not run on XP but the version from XP will run on Vista machines. If you want to support NT you have to make tests which hh.exe will run on all operating systems.

It is not in the liability of Mirage if you may distribute this file or not.

Copy the start application

To run with Multimedia Protector, a special start application is needed. Copy the file startchm.exe and the configuration file chm.ini from the Multimedia Protector installation folder ...\tools\chm to your project folder where you saved the CHM file.

Now add the name of your chmfile in the chm.ini file. You can use any text editor to modify this file.

[Filename]

chmfile=test.chm (change the name here)

The folder contains now all files which are:

· hh.exe
· startchm.exe and chm.ini
· your chm file

Click to enlarge
Directory with chm files and other files to import

Import the files

Now import all the files from the project folder you created and mark startchm.exe as startfile using the button Define as starting file. A red icon signals the start file.

The import screen would show the following files.


EXE Files

Home topic Part I - Learning the Basics > Protection for a lot of applications and file formats > File formats which can be protected:

EXE Files

 Deutsche Online Hilfe Next topic Print this topic JavaScript is required for the print function Mail us feedback on this topic! Mail us feedback on this topic!

Details see chapter - Executables (exe file)


FLV (Video)

Home topic Part I - Learning the Basics > Protection for a lot of applications and file formats > File formats which can be protected:

FLV (Video)

 Deutsche Online Hilfe Next topic Print this topic JavaScript is required for the print function Mail us feedback on this topic! Mail us feedback on this topic!

The FLV format is a format that can be directly used by importing the file. If you have an application which uses FLV and the files are not displayed, convert the FLV file to SWF using Flash Video MX (Moyea).

The Multimedia Player only plays the file but does not provide controls like start, stop, forward etc. These controls have to be included in the FLV file. If they are missing, the controls can be added during conversion to SWF using a tool like using Flash Video MX (Moyea.

AVI, MPEG, Quicktime and other formats can be converted - see details.

At this time only one FLV video can be played per MMF file. The video will play only on a PC, not on a CD / DVD recorder connected to TV. Streaming is not supported. For Trouble Shooting see also - FLV file does not load

If you have multiple FLV files to secure then:

· Save each FLV file in a separate database - This feature can be used if you split the project into several databases.
· Use one of the menus Multimedia Protector provides (Advanced Menu, Basic Menu) or any other menu application.

or convert the FLV file to SWF (recommended).


HTML

Home topic Part I - Learning the Basics > Protection for a lot of applications and file formats > File formats which can be protected:

HTML

 Deutsche Online Hilfe Next topic Print this topic JavaScript is required for the print function Mail us feedback on this topic! Mail us feedback on this topic!

Pure HTML files can not be protected directly. There are 2 options depending on the way you are using the HTML files.

Protect html files

If you have a project with HTML files only, you need a tool which compresses all HTML files in one single EXE file like HTML Executable or Active E-Book Compiler, which comes with an own Viewer. Multimedia Protector now provides licensing and copy protection options. Just import the EXE file.

The HTML files are protected with the same security level like EXE files

Protect flash project which includes some html files

If the protection of the flash file is the main issue and HTML files should just be invoked, import all files (including the HTML files).

In your flash code you have to add special commands:

· Extract all files from the encrypted database to a temporary folder with the command: http://FILE:testfile.html$$COPY . You have to use this command for each html file
· Start the first HTML file with the command http://FILE:default.html$$START

The HTML files are loaded into the Browser and they are not protected

For all commands see - Flash application using EXE files


JPG (Photo / Image)

Home topic Part I - Learning the Basics > Protection for a lot of applications and file formats > File formats which can be protected:

JPG (Photo / Image)

 Deutsche Online Hilfe Next topic Print this topic JavaScript is required for the print function Mail us feedback on this topic! Mail us feedback on this topic!

To use JPG files, they have to be played by a flash file. A free flash Photo Album is provided. Otherwise, any .swf file allowing to display JPG files can be used like the free versions from Airtight. Slide shows can also be created with the free program SWF Generator.

For more details see chapter Photo Album.


MDI

Home topic Part I - Learning the Basics > Protection for a lot of applications and file formats > File formats which can be protected:

MDI

 Deutsche Online Hilfe Next topic Print this topic JavaScript is required for the print function Mail us feedback on this topic! Mail us feedback on this topic!

There are 2 options to use MDI files

· Use the Print2Flash printer driver like described for Word Documents - protected documents can be printed
· Convert it to PDF like described in PDF conversion- printing can be enabled or disabled
· Convert it to JPG - see JPG files


MP3 (Music)

Home topic Part I - Learning the Basics > Protection for a lot of applications and file formats > File formats which can be protected:

MP3 (Music)

 Deutsche Online Hilfe Next topic Print this topic JavaScript is required for the print function Mail us feedback on this topic! Mail us feedback on this topic!

To use MP3 files, they have to be played by a flash music player. A free flash music player is provided. Otherwise, any .swf file allowing to play mp3 files can be used.

IF you want to add graphics or text, then use a tool like Adobe Captivate, where you have also extended options to manipulate the audio.

A sample for mp3 files with the player is provided - use mp3-demo.mme. - Click here to download

The audio files will play only on a PC and not not on a CD / DVD recorder or mp3 player.

See also
Music Player - Overview
Configuration of the Player
Include Player in Project


PDF using Multimedia Protector PDF Viewer

Home topic Part I - Learning the Basics > Protection for a lot of applications and file formats > File formats which can be protected:

PDF

 Deutsche Online Hilfe Next topic Print this topic JavaScript is required for the print function Mail us feedback on this topic! Mail us feedback on this topic!

Multimedia Protector offers an own PDF Viewer which allows a native protection of PDF files. Most features of the standard PDF Reader are supported and the PDF Viewer is highly configurable.

Using the Multimedia Protector PDF Viewer

· Nearly the full feature set of PDF is supported including thumbnails, bookmarks, search pane, zoom or different navigation options
· Supports hyperlinks within a PDF file
· Basic form fields are supported
· The Multimedia Protector PDF Viewer can be individually configured - e.g. allow searching but no printing and no thumbnails
· No conversion required - PDF can be used as it is
· A menu application can directly load one PDF file from the database
· Strong encryption
· Supports PDF 1.7 (Adobe 8)
· Multimedia Protector PDF Viewer is free

· The Multimedia Protector PDF Viewer requires an installation and administration rights
· Hyperlinks from one PDF file to another PDF file are not supported

How it works

The PDF file is protected by a strong encryption. It is temporary extracted from the database while it is viewed. Only the inbuilt Multimedia Protector PDF Viewer can load the PDF file. Other PDF Viewers cannot open the file.

Configuration options of the Multimedia Protector PDF Viewer.

You can download a comprehensive sample of a protected PDF file (over 350 pages, graphics, thumbnails, bookmarks, no printing,19MB). Download Now!

PDF Conversion to Flash

A different approach to protect a PDF file is to convert it to flash. The advantage of this option is, that it requires no installation Multimedia Player can directly view the file with the inbuilt flash player.

· Does not require an installation
· Works with any type of document as it is a printer driver
· Animated Page Flip (with SWF Generator)

· Only basic options to browse the file - no options for thumbnails, bookmarks
· Conversion step necessary - batch file conversion available
· Hyperlinks are not supported (possible with SWF Generator)
· Additional tool - it is not free

You can use SWF Generator or a printer driver, to convert PDF to flash.

Hot tip:

Just create 2 projects. One with the Multimedia Protector PDF Viewer and one with the Multimedia Flash Player and deliver both on one CD. If the user has no administration rights, he can use the flash version.

See also
Multimedia Protector PDF Viewer
Office Documents - disable printing


PowerPoint (PPT)

Home topic Part I - Learning the Basics > Protection for a lot of applications and file formats > File formats which can be protected:

PowerPoint (PPT)

 Deutsche Online Hilfe Next topic Print this topic JavaScript is required for the print function Mail us feedback on this topic! Mail us feedback on this topic!

There are 3 different approaches to protect PowerPoint files.

Using the PowerPoint Viewer

Using the PowerPoint Viewer is easy to handle and adds the same protection level like protecting EXE files. The PowerPoint Viewer is provided for free and is included in the main PowerPoint installation.

· All animations including video and audio are supported
· No conversion necessary
· PowerPoint Viewer is free
· One PPT can invoke another PPT (Link from PPT A to PPB - tested with Office 2007)
· A menu can be used to start different presentations

· Printing can not be disabled (always enabled)
· As all files have to be extracted from a database, the size for the project should not exceed 100 MB. You can protect multiple PPT files with each 100 MB in size by splitting the project into several databases
· Not the same strong protection level like a converted flash or PDF file will offer
· Macros inside PPT are not supported
· Needs Office 2003 or newer versions

Only if you want to disable printing or the security level is very important, select one of the following options.

PPT Conversion to Flash

The PPT files can be converted into flash and therefore are protected with the highest security level, which Multimedia Protector offers for flash files .

· Highest protection level
· Printing can be enabled or disabled
· Animations are available
· The size of the complete project does not matter as files are loaded into memory only when required
· A menu can be used to start different presentations

· Some special animation effects will not work with converters
· The file has to be converted
· The converter is not free
· Macros inside PPT are not supported
· One converted Flash file cannot invoke another Flash file (Link from PPT A to PPB)

See tools: PPT Conversion to Flash

PPT Conversion to PDF

The PPT files can be converted into PDF and therefore are protected with the highest security level, which Multimedia Protector offers for PDF files

· Highest protection level
· Printing can be enabled or disabled
· The size of the complete project does not matter as files are loaded into memory only when required
· The PDF Viewer is included in Multimedia Protector
· A menu can be used to start different presentations

· No animations - only static text
· The file has to be converted
· Macros inside PPT are not supported
· One converted PDF file cannot invoke another PDF file (Link from PPT A to PPB)

What is the difference between Multimedia Protector and the Microsoft IRM (Information Rights Management) system in Office 2007?

The IRM system in Office 2007 allows to specify security options per user. You need a server to handle the user information and each user must install the IRM Client on his PC. This is typically a possible approach to protect a document inside the own company. If the document should be distributed, the restrictions to have a connection to the IRM server and to install the IRM client should be considered. Multimedia Protector protects PPT files without the need to install an additional software or to have an Internet connection.

See also

Use PowerPoint Viewer
PPT Conversion to Flash
PPT with Hyperlink


Import PowerPoint files

Home topic Part I - Learning the Basics > Protection for a lot of applications and file formats > File formats which can be protected > PowerPoint (PPT):

Protect PPT using PowerPoint Viewer

 Deutsche Online Hilfe Next topic Print this topic JavaScript is required for the print function Mail us feedback on this topic! Mail us feedback on this topic!

Multimedia Protector uses the PowerPoint Viewer to play the protected files. By default, the PowerPoint Viewer is installed when you install PowerPoint, so that you can use the Viewer with the Package a Presentation for CD option. Otherwise you can download the Viewer from the Microsoft Website. Just search in the Online help of PowerPoint how to download the Viewer. If you have Office 2002 or older the Viewer is not working in combination with Multimedia Protector. You have to convert the files to flash.

There are 2 steps to protect the PowerPoint presentation.

Create a Presentation for CD

The following description refers to PowerPoint 2007 but the required steps should be similar for other PowerPoint versions.

· On the Microsoft Office Button, point to the arrow next to Publish, and then click Package for CD (in PPT 2003, this option can be found in the menu File)
· In the Package for CD dialog box, in the Name the CD box, type a name for the CD presentation
· Click Options. Under Package type, you must select: Viewer Package (update file formats to run in PowerPoint Viewer), and then select an option in how presentations will play in the viewer list
· To ensure that files that are linked to your presentation are included in the package, select the Linked files check box
· Specify a password for modify/edit (password to open the file should be empty ). This adds just additional security
· Click OK to close the Options dialog box
· Click Copy to Folder, enter a folder name and location, and then click OK.

Create a new folder where you only store the files for this project

Import the files

Now import all the files from the project folder you created and mark pptview.exe as startfile using the button Define as starting file. A red icon signals the start file.

The import screen would show the following files if you are using PowerPoint 2007.

Click to enlarge
Import Screen - PPT Viewer selected

Make sure, that you select the folder with the file pptview.exe. If you would import a folder like ..presentation\pptview.exe you get an error message during runtime: playlist.txt can not be found.

A new configuration option appears: EXE Options. Click on the link to open the configuration screen. You have to configure the following settings:

· Extract all files
· Delete all files when EXE is terminated

See details: EXE configuration options

The project can contain multiple PPT files as long as they are linked - e.g. PPT file1 has a link to PPT file 2

If you have multiple PPT files, which are not linked, we recommend making a menu in PowerPoint (just a presentation with one slide) and link to each presentation. You can then pack all presentations in one database. If the size of all presentations exceed 100 MB, you have to split the project into several databases (one project for each PPT file) and use a different menu. Otherwise, the time to load the presentation would take too long.

The PowerPoint Viewer is started using the command line /S /L "playlist.txt". You could specify a different command line in the field Command line parameter for EXE file.

If you use very large videos, you could convert it to flash to shrink the video size. The flash file can be included in PPT using the flash object (search PPT help how to use flash (swf) files). Below is a description for PowerPoint 2007.

Include Flash in PowerPoint 2007

Ensure the Flash Player is installed on your computer, and then please follow the steps below:

1. Click Microsoft Office Button on the top left corner > click “PowerPoint Options” at the bottom of the panel > go to the “PowerPoint Options” window > click “Popular” on the left column > select “Show Developer tab in the Ribbon” on the right column > click “OK” at the bottom

2. On the “Developer” tab > go to “Controls” group > Click the icon of hammer and nail for “More Controls” > go to the “More Controls” window

3. On the “More Controls” window > select “Shockwave Flash Object” in the list > click “OK” at the bottom > use your pointer to drag on the slide to draw and resize the control

4. Right click the control you draw > click “Properties” in the right-click menu > go to the “Properties” window

5. On the alphabetic tab > click the “Movie” property > type the full drive path in the value column (the blank cell next to Movie), including the file name (e.g. C\:a.swf)

6. To make the Flash play automatically when the slide is displayed, set the “Playing” property to “True“; To embed the Flash into PowerPoint, set “Embed Movie” property to “True”

7. Finally close the “Properties” window and save your presentation.

On the View tab, in the Presentation Views group, you can click Slide Show or press F5 to preview your presentation.

See also

PowerPoint - different protection options


PPTConversion to Flash

Home topic Part I - Learning the Basics > Protection for a lot of applications and file formats > File formats which can be protected > PowerPoint (PPT):

PPTConversion to Flash

 Deutsche Online Hilfe Next topic Print this topic JavaScript is required for the print function Mail us feedback on this topic! Mail us feedback on this topic!

There are a lot of PPT conversion tools available with different pricing and different conversion options.

We recommend using a tool which generates one singe SWF file and not a file per PPT slide like http://www.wondershare.com (PPT2Flash) , http://www.presentationpro.com/ or http://www.cpslabs.net . A very powerful tool is Articulate Presenter, which adds additional animation and graphical options to PPT.

If you have PPT documents you want to convert, perform the following steps:

1. Convert PPT to flash using a PPT converter that supports hyperlinks
2. If you have multiple, large videos convert it to SWF - see video conversion
3. After converting all files to flash, copy only the flash files to a new directory which you would import
4. Use the Advanced Menu as described below if the PowerPoint converter does not support a navigation toolbar (most of the converters will add such a navigation bar automatically)
5. To disable printing see - Office Documents - disable printing

Using Advainced Menu to add a navigation toolbar

Adding a toolbar (browse, zoom, print)

The toolbar for the converted PPT file is provided by the Advanced Menu.

If you have just one PPT file then use the files provided in the folder ..\converter\swftools. You need 3 files for your project:

· Advanced-menu.swf
· config.xml
· doc.swf

Rename your converted PPT file to docu.swf and import all files. Select the file advanced-menu.swf as start file and check the option: Use advanced menu. It will add browse buttons to navigate to the next page and a scroll bar to scroll through the page.

Click to enlarge
View PPT file with toolbar

It is possible to change different settings.

Add a Print Button

To add a print button edit the config.xml file (with any editor or use free XML Editor) and change the entry <print> to True.

Disable Zoom In / Out

To disable the zoom option, edit the config.xml file (with any editor or use free XML Editor) and change the entry <zoom> to false.

Start with different size

By default, the converted PPT is loaded with 100%. It is possible to start the document with another size like 150% or 75%. Edit the config.xml file (with any editor or use free XML Editor) and change the entry <zoomin> to eg. 150 (without % sign).


PPT with Hyperlink

Home topic Part I - Learning the Basics > Protection for a lot of applications and file formats > File formats which can be protected > PowerPoint (PPT) > PPTConversion to Flash:

PPT with Hyperlink

 Deutsche Online Hilfe Next topic Print this topic JavaScript is required for the print function Mail us feedback on this topic! Mail us feedback on this topic!

Hyperlinks are supported with the PowerPoint Viewer without any special considerations.

Using a Flash Conversion tool

There are a lot of PPT conversion tools available with different pricing and different conversion options.

We recommend using a tool which generates one singe SWF file and not a file per PPT slide like http://www.wondershare.com (PPT2Flash) , http://www.presentationpro.com/ or http://www.cpslabs.net . A very powerful tool is Articulate Presenter, which adds additional animation and graphical options to PPT.

If you have PPT documents with Hyperlinks, perform the following steps:

1. Convert PPT to flash using a PPT converter that supports hyperlinks
2. After converting all files to flash, copy only the flash files to a new directory which you would import.
3. Set the option: Converting hyperlinks after SWF ending
4. If you use relative paths (links like ...\path1\file1.pdf), set the option: Always use relative path
5. Use the Advanced Menu as described below

A Hyperlink must not contain an umlaut (äüö) or any other special characters like %$

Adding a toolbar (browse, zoom, print)

The toolbar for the converted PPT file is provided by the Advanced Menu.

If you have just one PPT file then use the files provided in the folder ..\converter\swftools. You need 3 files for your project:

· Advanced-menu.swf
· config.xml
· doc.swf

Rename your converted PPT file to docu.swf and import all files. Select the file advanced-menu.swf as start file and check the option: Use advanced menu. It will add browse buttons to navigate to the next page and a scroll bar to scroll through the page.

Click to enlarge
View PPT file with toolbar

It is possible to change different settings.

Add a Print Button

To add a print button edit the config.xml file (with any editor or use free XML Editor) and change the entry <print> to True.

Disable Zoom In / Out

To disable the zoom option, edit the config.xml file (with any editor or use free XML Editor) and change the entry <zoom> to false.

Start with different size

By default, the converted PPT is loaded with 100%. It is possible to start the document with another size like 150% or 75%. Edit the config.xml file (with any editor or use free XML Editor) and change the entry <zoomin> to eg. 150 (without % sign).


SWF (Flash)

Home topic Part I - Learning the Basics > Protection for a lot of applications and file formats > File formats which can be protected:

SWF (Flash)

 Deutsche Online Hilfe Next topic Print this topic JavaScript is required for the print function Mail us feedback on this topic! Mail us feedback on this topic!

The flash format (.swf) is the main format which is used by Multimedia Protector.

Flash files running in the flash player 9.0 are supported. They can be directly imported.

A sample for flash file protection is provided with flash-demo.mme


WAV

Home topic Part I - Learning the Basics > Protection for a lot of applications and file formats > File formats which can be protected:

WAV

 Deutsche Online Hilfe Next topic Print this topic JavaScript is required for the print function Mail us feedback on this topic! Mail us feedback on this topic!

A WAV file has to be converted to SWF.

WAV Conversion Tool

A good tool for conversion is SWF Generator.

After converting the file, just import it and define it as a the starting file. If you need multiple WAV files to distribute, use the menu generator.


WORD, VISIO Office Documents

Home topic Part I - Learning the Basics > Protection for a lot of applications and file formats > File formats which can be protected:

WORD, VISIO Office Documents

 Deutsche Online Hilfe Next topic Print this topic JavaScript is required for the print function Mail us feedback on this topic! Mail us feedback on this topic!

Protect an office document using PDF format

All documents, that are printable, like Word or Visio can be protected by creating a PDF file. See details PDF protection. This is the recommended and most flexible option.

Office 2007 comes with a free Add-In, which creates a PDF file and it supports hyperlinks. Just select File, Save As PDF. If this option is missing, you can download the Add-In here or search in the Word Online help for PDF.

If you do not have any PDF tool, download PDF creator: http://www.pdfforge.org/products/pdfcreator/

Protect an office document using SWF Generator

This tool allows to convert PDF, jpg, gif, png, and wav files to SWF. Hyperlinks within PDF files are supported. First create a PDF file and then convert the PDF to flash using SWF Generator.

It has not all the options the PDF Viewer offers but it requires no installation with administration rights on the end user PC.

Special Promotion: All users, who buy Multimedia Protector 2.1, get from Orontes Project a free version of SWF Generator. The license key is sent out with the Multimedia Protector license. The offer is subject to change without notice.

You can download a free trial version. Click here to download. The trial version needs Multimedia Protector installed on the same system.

Protect an office document using a printer driver for flash conversion

A different way to protect office documents, is to convert it to flash using a printer driver. It is called Print2Flash and can be downloaded and bought at http://print2flash.com. It has not all the options the PDF Viewer offers but it requires no installation with administration rights on the end user PC.

Links within the file will be lost.

Download a sample - the Multimedia Protector Tutorial with over 200 pages and links inside the PDF document - converted with Flashpaper - Click here to download and unzip the file to a folder. Start mp-flashpaper.exe.

If Word or Excel documents have VB macros or formula, you need a source code integration with Licence Protector - see www.Licence-Protector.com or contact sales@mirage-systems.de.

See also

Word with Hyperlink


Word with Hyperlink

Home topic Part I - Learning the Basics > Protection for a lot of applications and file formats > File formats which can be protected > WORD, VISIO Office Documents:

Word with Hyperlink

 Deutsche Online Hilfe Next topic Print this topic JavaScript is required for the print function Mail us feedback on this topic! Mail us feedback on this topic!

Most PDF converters support hyperlinks. Then you protect the PDF file like described in the chapter PDF.

If you use a converter, which does not support it, you can use the freeware tool PDF-T-Maker. http://www.transcom.de/transcom/en/2004_pdf-t-maker.htm

PDF T-Maker

Word Documents with Hyperlinks to other Word Documents need a special converter. This converter is a plug-in in Word and creates a Postscript file with hyperlinks.

Technically, there are these steps:

1. Create Postscript file with PDF-T-Maker
2. Create PDF file, using the Postscript file, with any PDF tool. This step can be done automatically after step 1

You can download the converter here: http://www.transcom.de/transcom/en/2004_pdf-t-maker.htm

After installing the plug-in in Word, you have to configure it:

· General Tab. Check: Convert Cross document links, thereby convert .doc in filename into .swf
· Default Postscript Printer: If you do not have a printer installed, either find one on the web page described in the pdf-t-maker documentation or install one that comes with Windows (e.g. Brother HL-2400C BR SCRIPT2 - use LPT3 to print as a virtual device)
· Default Destiller TAB: If you have Acrobat installed, define Acrodist.exe or the distiller of your PDF tool. If you do not have any PDF tool, download PDF creator: http://www.pdfforge.org/products/pdfcreator/

If you need a batch conversion, e.g. conversion of all files on a specific subdirectory, please contact www.transcom.de and ask for the batch conversion option.

A Hyperlink may not contain an umlaut (äüö) or any other special characters like %$


Office Documents - disable printing

Home topic Part I - Learning the Basics > Protection for a lot of applications and file formats > File formats which can be protected > WORD, VISIO Office Documents:

Office Documents - disable printing

 Deutsche Online Hilfe Next topic Print this topic JavaScript is required for the print function Mail us feedback on this topic! Mail us feedback on this topic!

To disable printing for PDF files, see Multimedia Protector PDF Viewer, disable option Allow printing.

To disable printing in a flash project:

· Uncheck Enable Flash configuration in the screen - Player Options
· If you are using the Advanced Menu (which is recommended because of the options it offers to view the document), set print to false in the config.xml file.


Active E-Book Compiler

Home topic Part I - Learning the Basics > Protection for a lot of applications and file formats:

Active E-Book Compiler

 Deutsche Online Hilfe Next topic Print this topic JavaScript is required for the print function Mail us feedback on this topic! Mail us feedback on this topic!

Active E-Book Compiler (http://www.ebookcompiler.com ) creates from HTML files one single exe file. This exe file can now be licensed and protected by Multimedia Protector.

· Create the EXE file with Active E-Book Compiler
· Protect the executable file with Multimedia Protector. See Import EXE file

This supports all options of Active E-Book Compiler but with the limitation of the EXE protection.


Adobe Captivate (Adobe)

Home topic Part I - Learning the Basics > Protection for a lot of applications and file formats:

Adobe Captivate (Adobe)

 Deutsche Online Hilfe Next topic Print this topic JavaScript is required for the print function Mail us feedback on this topic! Mail us feedback on this topic!

For protecting files created with Adobe Captivate (www.adobe.com) you have 2 different options:

Create Flash file(s)

As Adobe Captivate can create flash files, this is the recommended option. It is the most secure solution but could have limitations if you use special functions, which are not supported by the Multimedia Player.

· Save the project as flash (swf)

· Now import ALL files (swf, html, js..) and make xy_skin.swf the start file.
· Screen - Player Options. Select: Start with default size

Live Tutorial (flash)

Create executable (EXE) file

Create one executable file and protect the executable file with Multimedia Protector. This supports all options of Adobe Captivate but with the limitation of the EXE protection.


Authorware (Macromedia)

Home topic Part I - Learning the Basics > Protection for a lot of applications and file formats:

Authorware (Macromedia)

 Deutsche Online Hilfe Next topic Print this topic JavaScript is required for the print function Mail us feedback on this topic! Mail us feedback on this topic!

For protecting files created with Authorware you have 3 different options:

1. Generate a swf flash. If the file runs in the standard flash player, it will run with Multimedia Protector. This is the most secure solution to protect the content of the flash file but could have limitations if you use special functions, which are not supported by the standard flash player
2. Create one executable file and protect the executable file with Multimedia Protector. This supports all options of Authorware but with the limitation of the EXE protection
3. Make a Source Code integration using the Licence Protector DLL. This is the most flexible solution - www.Licence-Protector.com but requires development work. It allows to protect application features.


Articulate Engage (Articulate)

Home topic Part I - Learning the Basics > Protection for a lot of applications and file formats:

Articulate Engage (Articulate)

 Deutsche Online Hilfe Next topic Print this topic JavaScript is required for the print function Mail us feedback on this topic! Mail us feedback on this topic!

To protect applications created in Articulate Engage (www.articulate.com) the following steps are necessary.

Select Publish in Articulate Engage

Select the option CD, press Publish

Import Files

Now import all the files from the project folder and mark launch_interaction.exe as startfile using the button Define as starting file. A red icon signals the start file.

The import screen would show the following files.

· If you have several different Articulate applications you need a menu application.
· If the project size is over 100 MB, the loading time would be too long. Split the application in several projects.

(This sample was tested with Articulate Engage 09)


Articulate Presenter (Articulate)

Home topic Part I - Learning the Basics > Protection for a lot of applications and file formats:

Articulate Presenter (Articulate)

 Deutsche Online Hilfe Next topic Print this topic JavaScript is required for the print function Mail us feedback on this topic! Mail us feedback on this topic!

To protect applications created in Articulate Presenter (www.articulate.com) the following steps are necessary.

Depending on the type of the Articulate project, you can use one of the following options:

SWF Protection

This option uses the Multimedia Player flashplayer. Use it if:

· The project uses no Articulate Engage or Articulate Quizmaker components
· The project uses only SWF files and no FLV video files

· Project loads fast
· Project size up to 1GB
· Highest protection level

· Requires to move folders and copy files
· Project cannot include Articulate Engage, Quizmaker and FLV files

EXE Protection

This option uses the Multimedia Player EXE protection. Use it if:

· The project uses Articulate Engage or Articulate Quizmaker components
· The project uses FLV video files

· Easy to protect - just import a folder
· Project can include Articulate Engage, Quizmaker and FLV files

· Project loads slower
· The project size can be up to 100MB. Then you have to split the project
· Security and limitation of the EXE protection

SWF Protection

Select Publish in Articulate

Select the option CD and press Publish

Move Folders

Articulate creates the following folder structure.

The folder data should look like this

Articulate uses some special directory functions which are not working within Multimedia Protector. You have to move folders.

Move the content of the folder player to the folder data. The folder data will have this structure now.

Copy Start Application

To run with Multimedia Protector, a special start application is needed. Copy the file startarticulate.swf and the configuration file config.xml from the Multimedia Protector installation folder ...\tools\articulate to your folder ..\data

The folder \data contains now these files:

· All original files from the folder data and the subfolder \swf
· All files from folder \player
· Startarticulate.exe and config.xml

Import Files

Now import all the files from the project folder \data and mark startarticulate.swf as startfile using the button Define as starting file. A red icon signals the start file.

The import screen would show the following files.

EXE Protection

Select Publish in Articulate Presenter

Select the option CD and press Publish

Import files

Now import all the files from the project folder and mark launch_presentation.exe as startfile using the button Define as starting file. A red icon signals the start file.

The import screen would show the following files

· If you have several different Articulate applications you need a menu application.
· If the project size is over 100 MB, the loading time would be too long. Split the application in several projects.

(This sample was tested with Articulate Presenter 09)


Articulate Quizmaker (Articulate)

Home topic Part I - Learning the Basics > Protection for a lot of applications and file formats:

Articulate Quizmaker (Articulate)

 Deutsche Online Hilfe Next topic Print this topic JavaScript is required for the print function Mail us feedback on this topic! Mail us feedback on this topic!

To protect applications created in Articulate Quizmaker (www.articulate.com) the following steps are necessary.

Select Publish in Articulate Quizmaker

Select the option CD, press Publish

Import Files

Now import all the files from the project folder and mark launch_quiz.exe as startfile using the button Define as starting file. A red icon signals the start file.

The import screen would show the following files.

· If you have several different Articulate applications you need a menu application.
· If the project size is over 100 MB, the loading time would be too long. Split the application in several projects.

(This sample was tested with Articulate Quizmaker 09)


Camtasia (Techsmith)

Home topic Part I - Learning the Basics > Protection for a lot of applications and file formats:

Camtasia (Techsmith)

 Deutsche Online Hilfe Next topic Print this topic JavaScript is required for the print function Mail us feedback on this topic! Mail us feedback on this topic!

For protecting files created with Camtasia (http://techsmith.com ) you have 2 different options:

Create Flash file(s)

As Camtasia can create flash files, this is the recommended option. It is the most secure solution but could have limitations if you use special functions, which are not supported by the Multimedia Player.

· Select [image] Custom production settings

Select Custom production settings

· Select [image] Flash/FLV - Adobe Flash Output

Select Flash/FLV - Adobe Flash output

· Select [image] Flash Template and Options

· Use option [image] Flash . Select Flash Version 7 or higher

· Now import ALL files (swf, html, js..) and make xy-controller.swf the start file

If the video is displayed in the wrong size, e.g. stretched, you have to specify the exact screen resolution in the screen - Player Options. The resolution can be found in the file xy.html of the Camtasia project. Edit this file and search for the line: var fo = new SWFObject( "myflashproject", "csSwf", "800", "619", "7", "#FFFFFF" ). The third value is the width in pixel, the forth value is the height.

Configuration settings of the Player Options

If the result of the flash video is still not satisfying, create an AVI video in Camtasia and convert it with Moyea Flash Video MX - http://www.moyea.com to the swf format.

Create executable (EXE) file

Create one executable file and protect the executable file with Multimedia Protector. This supports all options of Camtasia but with the limitation of the EXE protection.

As Camtasia flash files are often very large we recommend splitting the files into multiple projects (e.g. lessons).

You can download 2 samples made with Camtasia. The have been produced by www.so-gehts.eu

· Training Session: Office Tabs - English
· Training Session: PowerPoint - German


Director (Adobe)

Home topic Part I - Learning the Basics > Protection for a lot of applications and file formats:

Director (Adobe)

Deutsche Online Hilfe Next topic Print this topic JavaScript is required for the print function Mail us feedback on this topic! Mail us feedback on this topic!

For protecting files created with Macromedia Director you have 3 different options:

1. Generate a swf flash. If the file runs in the standard flash player, it will run with Multimedia Protector. This is the most secure solution to protect the content of the flash file but could have limitations if you use special functions, which are not supported by the standard flash player
2. Create one executable file and protect the executable file with Multimedia Protector. his supports all options of Macromedia Director but with the limitation of the EXE protection.
3. Make a Source Code integration using the Licence Protector DLL. This is the most flexible solution - www.Licence-Protector.com but requires development work. It allows to protect application features.


Flashform (Rapid Intake)

Home topic Part I - Learning the Basics > Protection for a lot of applications and file formats:

Flashform (Rapid Intake)

 Deutsche Online Hilfe Next topic Print this topic JavaScript is required for the print function Mail us feedback on this topic! Mail us feedback on this topic!

For protecting files created with Flashform (http://www.rapidintake.com) you have 2 different options:

Create Flash file(s)

As Flashform can create flash files, this is the recommended option. It is the most secure solution but could have limitations if you use special functions, which are not supported by the Multimedia Player. Right now, FLV files loaded within Flashform are not supported.

Select Publish Course

Select Publish Method CD-ROM, Check - Use Flash Cookies and Operating System Windows.

· Now import ALL files (swf, html, js..) and make player.swf the start file

Create executable (EXE) file

Use the player.exe which comes with flashform and protect the executable file with Multimedia Protector. This supports all options of Flashform but with the limitation of the EXE protection.

Select Publish Course

Select Publish Method CD-ROM, Check - Use Flash Cookies and Operating System Windows.

· Now import ALL files (exe, swf, html, js..) and make player.exe the start file


Flashpaper (Adobe)

Home topic Part I - Learning the Basics > Protection for a lot of applications and file formats:

Flashpaper (Adobe)

 Deutsche Online Hilfe Next topic Print this topic JavaScript is required for the print function Mail us feedback on this topic! Mail us feedback on this topic!

Printer driver to create a flash file from any document. Works perfect if you do not have hyperlinks inside the document. If you need hyperlinks use SWF Generator instead.

See chapter: Office documents


Flash Video MX (Moyea)

Home topic Part I - Learning the Basics > Protection for a lot of applications and file formats:

Flash Video MX (Moyea)

 Deutsche Online Hilfe Next topic Print this topic JavaScript is required for the print function Mail us feedback on this topic! Mail us feedback on this topic!

Internet Site: www.moyea.com

This converter allows you to convert videos to flash (swf). During the conversion process you can add a player control (mandatory for Multimedia Protector) and you can define the video quality, screen resolution etc.

Define Video Quality

You can define the quality of the video on this page. Import setting is: Embed the video in SWF and play in timeline and Video Codec: Flash 8

Then select a Player control (toolbar which allows to start, stop, pause, rewind). This is mandatory because Multimedia Protector does not provide an player toolbar. You can select a design and a lot of other player settings.

Player Settings

Select a Skin and a player control.

· Now import the files (swf) and make the .swf file the start file. If you have multiple videos then add a menu and make the menu the start file.


HTML Executable (gdgsoft)

Home topic Part I - Learning the Basics > Protection for a lot of applications and file formats:

HTML Executable (gdgsoft)

 Deutsche Online Hilfe Next topic Print this topic JavaScript is required for the print function Mail us feedback on this topic! Mail us feedback on this topic!

HTML Executable from gdgsoft (www.htmlexe.com) creates from HTML files one single exe file. This exe file can now be licensed and protected by Multimedia Protector.

· Create the EXE file with HTML Executable
· Protect the executable file with Multimedia Protector. See Import EXE file

This supports all options of HTML Executable but with the limitation of the EXE protection.


LearnCube (Outstart)

Home topic Part I - Learning the Basics > Protection for a lot of applications and file formats:

LearnCube (Outstart)

 Deutsche Online Hilfe Next topic Print this topic JavaScript is required for the print function Mail us feedback on this topic! Mail us feedback on this topic!

To protect applications created in LearnCube (www.outstart.com), the following steps are necessary.

Step 1 - Publish in Learncube

Select the menu Project, the Publish with the following options:

Step 2 - protect application with Multimedia Protector

· Now import ALL files and make Start.exe the start file

All all options of LearnCube are supported but with the limitation of the EXE protection.


Lectora (Trivantis)

Home topic Part I - Learning the Basics > Protection for a lot of applications and file formats:

Presenter (Adobe)

 Deutsche Online Hilfe Next topic Print this topic JavaScript is required for the print function Mail us feedback on this topic! Mail us feedback on this topic!

For protecting files created with Lectora (www.trivantis.com) the following steps are necessary.

Step 1 - Select Publish in Lectora

Within Lectora, select Publish. As publish option, select Publish to Single File Executable.

Step 2 - Import files in Multimedia Protector

Now import all the files from the project folder and mark the EXE file as start file using the button Define as starting file. A red icon signals the start file.

This supports all options of Lectora but with the limitation of the EXE protection.


Lightroom (Adobe)

Home topic Part I - Learning the Basics > Protection for a lot of applications and file formats:

Lightroom (Adobe)

 Deutsche Online Hilfe Next topic Print this topic JavaScript is required for the print function Mail us feedback on this topic! Mail us feedback on this topic!

For protecting files with Adobe Photoshop Lightroom (http://www.adobe.com/products/photoshoplightroom/) the following steps are necessary.

Select a Gallery

First select the option Web, and then one of the standard galleries.

Depending on the selected gallery, the steps are a little bit different.

Airtight AutoViewer

Import ALL files (swf, html, js..) and make viewer.swf the start file

Airtight PostcardViewer

Import ALL files (swf, html, js..) and make viewer.swf the start file

Airtight Simple Viewer

Import ALL files (swf, html, js..) and make viewer.swf the start file

Lightroom Flash Gallery

· First copy from the folder ...\tools\lightroom all files to your folder with the Lightroom Flash Gallery Files.

· Import ALL files (swf, html, js..) and make flashstarter.swf the start file


Mediator (Matchware)

Home topic Part I - Learning the Basics > Protection for a lot of applications and file formats:

Mediator (Matchware)

 Deutsche Online Hilfe Next topic Print this topic JavaScript is required for the print function Mail us feedback on this topic! Mail us feedback on this topic!

For protecting files created with Mediator you have 2 options:

1. Generate a swf flash. If the file runs in the standard flash player, it will run with Multimedia Protector. This is the most secure solution but could have limitations if you use special functions, which are not supported by the standard flash player
2. Create one executable file and protect the executable file with Multimedia Protector. This supports all options of Mediator but with the limitation of the EXE protection


Presenter (Adobe)

Home topic Part I - Learning the Basics > Protection for a lot of applications and file formats:

Presenter (Adobe)

 Deutsche Online Hilfe Next topic Print this topic JavaScript is required for the print function Mail us feedback on this topic! Mail us feedback on this topic!

For protecting files created with Adobe Presenter (www.adobe.com) the following steps are necessary.

Step 1 - Select Publish in Adobe Presenter

In Adobe Presenter select Publish. As publish option, select SWF My Computer.

Step 2 - Import files in Multimedia Protector

Now import all the files from the project folder and mark viewer.swf as start file using the button Define as starting file. A red icon signals the start file.

Note: The description refers to Adobe Presenter 7 but other versions, which can create flash files, should also work.


Print2Flash (Blue-Pacific)

Home topic Part I - Learning the Basics > Protection for a lot of applications and file formats:

Print2Flash (Blue-Pacific)

 Deutsche Online Hilfe Next topic Print this topic JavaScript is required for the print function Mail us feedback on this topic! Mail us feedback on this topic!

Printer driver to create a flash file from any document. Works perfect if you do not have hyperlinks inside the document.

See chapter: Office documents


SWF Generator (Orontes Projects)

Home topic Part I - Learning the Basics > Protection for a lot of applications and file formats:

SWF Generator (Orontes Projects)

 Deutsche Online Hilfe Next topic Print this topic JavaScript is required for the print function Mail us feedback on this topic! Mail us feedback on this topic!

SWF Generator is a utility to convert jpg (create slideshows), gif, png, wav and pdf files to Flash format (SWF) including support of hyperlinks.

For protecting files with SWF Generator (http://www.orontesprojects.com ) the following steps are necessary.

Step 1 - Convert file to Flash

Select the Input file (e.g. flyer-multimedia-protector.pdf) and specify an output file. Important settings are:

· Create only the SWF-File - this is mandatory
· Enable LINKS in SWF
· Select any Viewer

Step 2 - protect file with Multimedia Protector

· Now import the SWF file and make it the start file
· Screen - Player Options. Select: Start with default size

Special Promotion: All users, who buy Multimedia Protector 2.1, get from Orontes Project a free version of SWF Generator. The license key is sent out with the Multimedia Protector license. The offer is subject to change without notice.

You can download a free trial version. Click here to download. The trial version needs Multimedia Protector installed on the same system.


SWF Studio (Northcode)

Home topic Part I - Learning the Basics > Protection for a lot of applications and file formats:

SWF Studio (Northcode)

 Deutsche Online Hilfe Next topic Print this topic JavaScript is required for the print function Mail us feedback on this topic! Mail us feedback on this topic!

For protecting files created with SWF Studio you have 2 options:

1. Generate a swf flash. If the file runs in the standard flash player, it will run with Multimedia Protector
2. Create one executable file and protect the executable file with Multimedia Protector. See Import EXE file


Toolbook (SumTotal)

Home topic Part I - Learning the Basics > Protection for a lot of applications and file formats:

Toolbook (SumTotal)

 Deutsche Online Hilfe Next topic Print this topic JavaScript is required for the print function Mail us feedback on this topic! Mail us feedback on this topic!

To secure applications created in Toolbook ( www.toolbook.com ) the following steps are necessary.

Copy your .spo file (this file will be protected) to a new project folder.

Copy Start Application and .SPO File

To run with Multimedia Protector, a special start application is needed. Copy the file starttoolbook.exe and the configuration file configstarttoolbook.ini from the Multimedia Protector installation folder ...\tools\toolbook to your folder ..\project

The folder \project contains now these files:

· Your .spo file
· starttoolbook.exe and configstarttoolbook.ini

Configure INI File

Open configstarttoolbook.ini with a standard editor. You have to change these item:

[Start]

File=sample.spo (name of your .spo file)

FilenameTaskManager=Sample Application (name of your toolbook application which is displayed in the title bar - normally the application name. This name is also displayed in the task manager.)

Save the configuration file.

Import Files

Now import all the files from the project folder and mark starttoolbook.exe as startfile using the button Define as starting file. A red icon signals the start file.

The import screen would show the following files.


Turbodemo (balesio)

Home topic Part I - Learning the Basics > Protection for a lot of applications and file formats:

Turbodemo (balesio)

 Deutsche Online Hilfe Next topic Print this topic JavaScript is required for the print function Mail us feedback on this topic! Mail us feedback on this topic!

For protecting files created with Turbodemo (www.turbodemo.com) you have 2 different options:

Create Flash file(s)

As Turbodemo can create flash files, this is the recommended option. It is the most secure solution but could have limitations if you use special functions, which are not supported by the Multimedia Player.

· Save the project as flash (swf)

· Now import ALL files (swf, html, js..) and make xy.swf the start file

Create executable (EXE) file

Create one executable file and protect the executable file with Multimedia Protector. This supports all options of Turbodemo but with the limitation of the EXE protection.


Zinc (MDM)

Home topic Part I - Learning the Basics > Protection for a lot of applications and file formats:

Zinc (MDM)

 Deutsche Online Hilfe Next topic Print this topic JavaScript is required for the print function Mail us feedback on this topic! Mail us feedback on this topic!

For protecting files created with Zinc you have 3 different options:

1. Generate a swf flash. If the file runs in the standard flash player, it will run with Multimedia Protector. This is the most secure solution to protect the content of the flash file but could have limitations if you use special functions, which are not supported by the standard flash player
2. Create one executable file and protect the executable file with Multimedia Protector. This supports all options of Zinc but with the limitation of the EXE protection
3. Make a Source Code integration using the Licence Protector DLL. This is the most flexible solution - www.Licence-Protector.com but requires development work. It allows to protect application features


Getting started - All screens in detail

Home topic Part I - Learning the Basics:

Getting started - All screens in detail

 Deutsche Online Hilfe Next topic Print this topic JavaScript is required for the print function Mail us feedback on this topic! Mail us feedback on this topic!

In this lesson, you will open the tutorial project that is installed with Multimedia Protector and familiarize yourself with the work environment. Using a sample file Flash-Demo will allow you to begin to explore Multimedia Protector .


Start Screen

Home topic Part I - Learning the Basics > Getting started - All screens in detail:

Start Screen

 Deutsche Online Hilfe Next topic Print this topic JavaScript is required for the print function Mail us feedback on this topic! Mail us feedback on this topic!

After starting Multimedia Protector the main start screen appears. You can select a Skin and a Language to customize Multimedia Protector.

Skin

A skin changes the look & feel (design) of the application. Just try to find the one you like best.

Language

Select your language.

Skin with MacOS | Skin with Wave
Click to enlarge | Click to enlarge


Welcome Screen

Home topic Part I - Learning the Basics > Getting started - All screens in detail:

Welcome Screen

 Deutsche Online Hilfe Next topic Print this topic JavaScript is required for the print function Mail us feedback on this topic! Mail us feedback on this topic!

By default, the Welcome Screen is opened in addition to the Start Screen. This screen provides you with:

· Links to most popular FAQs to get started
· Link to the Online Knowledge Base
· Link to updates

The screen can be deactivated by checking Do not display this Quick Introduction help anymore when starting and activated again in the Administration Screen, Miscellaneous TAB, Display Quick Introduction help


Online Help / Tutorial

Home topic Part I - Learning the Basics > Getting started - All screens in detail:

Online Help / Tutorial

 Deutsche Online Hilfe Next topic Print this topic JavaScript is required for the print function Mail us feedback on this topic! Mail us feedback on this topic!

You can start the Online Help / Tutorial any time within Multimedia Protector by clicking on the icon [image].


Opening a Project

Home topic Part I - Learning the Basics > Getting started - All screens in detail:

Opening a Project

 Deutsche Online Hilfe Next topic Print this topic JavaScript is required for the print function Mail us feedback on this topic! Mail us feedback on this topic!

Within the Start Screen, you can either

· Open the last project
· Browse the file directory to select a project

Open the last Project

On the right screen, the last used project is displayed. Just click on the project name to open the project.

Select a Project

Click on Open existing Project. A windows file dialog will appear. You can open all files with the extension .MME. Open Flash-Demo.MME to work with this tutorial.

It is not possible to open the same project twice at the same time.


Demoversion

Home topic Part I - Learning the Basics > Getting started - All screens in detail:

Demo version

 Deutsche Online Hilfe Next topic Print this topic JavaScript is required for the print function Mail us feedback on this topic! Mail us feedback on this topic!

The demo version has the following restrictions:

· Limited by days - normally 15 days
· During the program start of the Multimedia Player a message is displayed: This is an unregistered Version of Multimedia Protector

All other parts of the application are fully functional.

Demo versions are available for the Standard and Premium Edition on the website www.Multimedia-Protector.com. See: Standard or Premium Edition? for differences.

The Online Activation can be tested with the project flash-demo.mme (only with Premium Edition).


Standard or Premium ?

Home topic Part I - Learning the Basics > Getting started - All screens in detail:

Standard or Premium ?

 Deutsche Online Hilfe Next topic Print this topic JavaScript is required for the print function Mail us feedback on this topic! Mail us feedback on this topic!

Multimedia Protector comes in a Standard and Premium Edition. The Standard version is designed for single user installations and activation of the software by E-Mail, Fax or Phone.

The Premium Edition includes more functionality:

· Network license per User, PC and Concurrent User
· Online Activation option - requires Web Activation Server
· Shop Integration

Check out the feature comparison matrix which provides you with all the details to decide, which version is right for you.


The work environment

Home topic Part I - Learning the Basics > Getting started - All screens in detail:

The work environment

 Deutsche Online Hilfe Next topic Print this topic JavaScript is required for the print function Mail us feedback on this topic! Mail us feedback on this topic!

Take a moment to familiarize yourself with the work environment:

In the upper pane window the configuration screen is displayed. The selected category like Settings or Licence Information is displayed in the heading section of the configuration screen.

In the lower pane window the navigation buttons can be found. They allow to select a category like Settings or Licence Information and provide access to the online help.


How TOs and FAQ

Home topic Part I - Learning the Basics > Getting started - All screens in detail:

How TOs and FAQ

 Deutsche Online Hilfe Next topic Print this topic JavaScript is required for the print function Mail us feedback on this topic! Mail us feedback on this topic!

You find Frequently Asked Questions as well as tips and tricks in Part II, chapter How TOs and FAQ.


Sample Projects

Home topic Part I - Learning the Basics > Getting started - All screens in detail:

Sample Projects

 Deutsche Online Hilfe Next topic Print this topic JavaScript is required for the print function Mail us feedback on this topic! Mail us feedback on this topic!

Multimedia Protector comes with samples for a wide range of applications. You find the samples in the installation directory of the folder .\demodata. To work with the samples, open the .mme file, press the button Save, then Distribute / Save and finally Test Project Now

Document Sample

Flash-Demo.MME - Sample Flash application with audio

This project allows testing the online activation with the Web Activation Server.

· Open the project flash-demo.mme in the folder ..\demodata
· Create a Serial Number
· Save the project

Now make a live test. Copy the files from the folder ...\demodata\flash-demo\deploy to a test directory and start document-demo.exe.

· Activate the product online using the Serial Number you have created
· Find your activation on the Web Activation Server using the demo account of the Web Administration Interface


Screen - Settings

Home topic Part I - Learning the Basics > Getting started - All screens in detail:

Screen - Settings

 Deutsche Online Hilfe Next topic Print this topic JavaScript is required for the print function Mail us feedback on this topic! Mail us feedback on this topic!

Define Basic program settings like program name and activation options.


Basic Settings

Home topic Part I - Learning the Basics > Getting started - All screens in detail > Screen - Settings:

Basic Settings

Deutsche Online Hilfe Next topic Print this topic JavaScript is required for the print function Mail us feedback on this topic! Mail us feedback on this topic!

The upper part of the Settings screens allow defining the basic product settings:

Product Name

This name is displayed in the registration screens and in the title bar of the Multimedia Player.

Company Name

The company name is displayed in the registration screens.

Link to Web Shop

If a link is specified, a BUY button will be displayed in the registration and activation screens. This link should move you directly to the order page.
Name of the Multimedia Player

This is the name which is assigned to all distributed files (Multimedia Player and files to distribute). It can be different from the product name.

Example:

Product name: Multimedia Flash Demo

Name of the Player: Flash-Demo

The name must not contain any special characters like . &%$§" , space or umlauts like öäü.

Default Customer Name

Name that is displayed in the Licence Viewer, until the Serial Number and real customer name is typed in.

Default: Evaluation

Link to Help

If this hyperlink is specified, a Help Icon [image] will be displayed for all product activation screens. The link should direct to a website that offers help during the registration process.

Default: http://www.helpserver.biz/onlinehelp/lpmme/2.1/player/help/index.html . This offers a generic help for the registration process including a Video Tutorial. You can alternatively use your own online help.

Start Video Tutorial for product Activation

Click to enlarge
Screen - Settings


About Activation

Home topic Part I - Learning the Basics > Getting started - All screens in detail > Screen - Settings > Activation Options:

About Activation

 Deutsche Online Hilfe Next topic Print this topic JavaScript is required for the print function Mail us feedback on this topic! Mail us feedback on this topic!

To activate a product means turning on Copy Protection and running the software with the specified license options.

There are 4 options to activate a product

· Online Activation via Web Activation Server
· Activation by E-Mail
· Activation by Fax
· Activation by Phone

Which activation method to choose depends on the line of business and the number of copies sold. The activation options can be combined, e.g. use 3 out of the 4 options. You can define a default activation method with the option Use as default option.

Online Activation

Preferred option for medium and large sales.

+ Allow automating the delivery process

+ No administration personnel needed

+ works 24 hours - customer can activate any time

- Internet connection required

- Could be blocked by application firewalls

- Web Activation Server needed

Activation by E-Mail

Preferred option if Online Activation is not available. Should be used as an second option in combination with Online Activation

+ Almost available on any PC

+ No firewall problems

- Internet connection required

- Customer has to wait for the Unlock Key

- Administration personnel needed

- Automation of delivery process not possible

Activation by Fax

Alternative option if Online Activation is not available.

+ Good option as an alternative activation method

- Fax required

- Customer has to wait for the Unlock Key

- Administration personnel needed

- Automation of delivery process not possible

Activation by Phone

Alternative option if Online Activation is not available.

+ Almost everybody has a phone

- Only available during business hours

- Administration personnel needed

- Automation of delivery process not possible


Activation by E-Mail

Home topic Part I - Learning the Basics > Getting started - All screens in detail > Screen - Settings > Activation Options:

Activation by E-Mail

 Deutsche Online Hilfe Next topic Print this topic JavaScript is required for the print function Mail us feedback on this topic! Mail us feedback on this topic!

Enables Activation by E-Mail. For Activation details see About Activation.

Select the checkbox: Use E-Mail for Registration

If this is to be the default activation method, select: Use as default option

E-Mail address

A valid E-Mail address to receive the registration data.

Subject of E-Mail

The subject line of the registration E-Mail.

Example: Registration of Multimedia Edition

Text for E-Mail and Fax

Additional text which is used in the registration E-Mail. The text is restricted to 1500 characters.

Sample: The Unlock Key will be sent within 1-2 business days.

Screens and Workflow for E-Mail activation

Below find the user screens and workflow during e-mail activation.

The E-Mail Activation requires the Serial Number, company name and e-mail address. After filling out the screen, an e-mail with the hardware IDs and license information will be generated. You have to send one key back to the customer to activate the copy protection (see screen Enter Unlock Key). Details of the workflow.

This activation option is defined in the screen - Settings

Click to enlarge
Screen - E-Mail Activation

After filling out the screen, select: Request Unlock Key by E-Mail - send E-Mail. This will open your default E-Mail client. An e-mail with the hardware IDs and license information will be created. Press send to send the e-mail to our activation center. You will get an Unlock Key back within 2-3 business days.

Click to enlarge
E-Mail Activation - Send E-Mail

Create Unlock Key

The Unlock Key is generated in the TAB Administration, Create Unlock Key with Copy Protection or Create Unlock Key without Copy Protection. If you are using the Activation Server, then see Create Unlock Key using the Web Activation Server.

Enter Unlock Key

After requesting the Unlock Key by E-Mail, the screen shown below will appear during each start of the program. Type in the Unlock Key you got back by e-mail or fax. Press the button Next. If the Activation is successful, the screen Activation finished is displayed.

Click to Click to enlarge
Enter Unlock Key


Online Activation

Home topic Part I - Learning the Basics > Getting started - All screens in detail > Screen - Settings > Activation Options:

Online Activation

 Deutsche Online Hilfe Next topic Print this topic JavaScript is required for the print function Mail us feedback on this topic! Mail us feedback on this topic!

Enables Online Activation. For Activation details see About Activation.

Select the checkbox: Use Online Activation for Registration.

If this is to be the default activation method, select: Use as default option

URL to Web Activation Server

The http: address of the Web Activation Server. Mirage offers a hosting of the Web Activation Server - see details.

Example: http://registerserver.net/hostingnumber/lpweb/ lpws.asmx

The address is automatically assigned if you have configured the link to the Web Administration Interface in the administration screen.

The URL has to end with lpws.asm

We provide an Activation Server for testing. Just add this link to test an online activation with your product.

http://registerserver.net/9999999/lpweb/lpws.asmx

See chapter: Activation Server for Testing for all necessary configuration options.

For Hosting customers the URL is: http://www.registerserver.net/hostingnumber/lpweb/lpws.asmx

Allow changing of URL

Allows changing the URL during the Web Activation process. This makes sense if you have a backup server running.

This feature is available only in the Multimedia Protector Premium Edition.

To use Online Activation the Activation Server is required.

Screens and Workflow for Online activation

Below find the user screens and workflow during online activation.

The Online Activation requires the Serial Number, company name and e-mail address. Then the license will be verified online and activated. No additional step will be required. Details of the workflow.

This activation option is defined in the screen - Settings.

The activation process is transparent for the customer.

The screen: Activation Successful is displayed


Activation by Fax

Home topic Part I - Learning the Basics > Getting started - All screens in detail > Screen - Settings > Activation Options:

Activation by Fax

 Deutsche Online Hilfe Next topic Print this topic JavaScript is required for the print function Mail us feedback on this topic! Mail us feedback on this topic!

Enables Activation by Fax. For Activation details see About Activation.

Select the checkbox: Use Fax for Registration

If this is to be the default activation method, select: Use as default option

Fax number to register

A valid fax number to receive the registration data. You should use an international format like +49 721/151599638.

Text for E-Mail and Fax

Additional text which is used in the registration Fax. The text is restricted to 1500 characters.

Sample: The Unlock Key will be sent within 1-2 business days.

Screens and Workflow for Fax activation

Below find the user screens and workflow during fax activation.

The Fax Activation requires the Serial Number, company name and e-mail address. After filling out the first screen, a print page with the hardware IDs and Serial Number will be generated. You have to send one key back to the customer to activate the copy protection (see screen Enter Unlock Key). Details of the workflow.

This activation option is defined in the screen - Settings

Click to enlarge
Fax Activation

Request Unlock Key

After filling out the screen, select: Request Unlock Key by Fax - print Fax. This will open a report with the hardware IDs and license information. Press print to print the report and then fax it to the number provided in the report. You will get an Unlock Key back within 2-3 business days.

Click to enlarge
Fax Activation - Print Fax

Create Unlock Key

The Unlock Key is generated in the TAB Administration, Create Unlock Key with Copy Protection or Create Unlock Key without Copy Protection. If you are using the Activation Server, then see Create Unlock Key using the Web Activation Server.

Enter Unlock Key

After requesting the Unlock Key by E-Mail, the screen shown below will appear during each start of the program. Type in the Unlock Key you got back by e-mail or fax. Press the button Next. If the Activation is successful, the screen Activation finished is displayed.

Click to Click to enlarge
Enter Unlock Key


Activation by Phone

Home topic Part I - Learning the Basics > Getting started - All screens in detail > Screen - Settings > Activation Options:

Activation by Phone

 Deutsche Online Hilfe Next topic Print this topic JavaScript is required for the print function Mail us feedback on this topic! Mail us feedback on this topic!

Enables Activation by Phone. For Activation details see About Activation.

Select the checkbox: Use Phone for Registration

If this is to be the default activation method, select: Use as default option

Phone number to register

A valid phone number to receive the registration data. You should use an international format like +49 700/54885342.

Screens and Workflow for activation by phone

Below find the user screens and workflow during phone activation.

The Phone Activation requires the Serial Number and company name. After filling out the first screen, a screen with the phone number and also displaying the hardware IDs and Serial Number will pop up. The Unlock Key can be entered directly in this screen. Details of the workflow.

This activation option is defined in the screen - Settings

Click to enlarge
Phone Activation - Step 1

Request Unlock Key

Now call the phone number which is displayed. First specify the Serial Number. You will then be asked for one Installation code. Type in the Unlock Key you get and press the button Apply Key.

Click to enlarge
Phone Activation - Step 2

Create Unlock Key

The Unlock Key is generated in the TAB Administration, Create Unlock Key with Copy Protection or Create Unlock Key without Copy Protection. If you are using the Activation Server, then see Create Unlock Key using the Web Activation Server.


Screen - License Information

Home topic Part I - Learning the Basics > Getting started - All screens in detail:

Screen - License Information

 Deutsche Online Hilfe Next topic Print this topic JavaScript is required for the print function Mail us feedback on this topic! Mail us feedback on this topic!

Define license type like single user or network license and evaluation options.

Tip: For testing a project check - No Activation - this allows testing without the need to browse through the activation dialogs.


License Type

Home topic Part I - Learning the Basics > Getting started - All screens in detail > Screen - License Information:

Licence Type

 Deutsche Online Hilfe Next topic Print this topic JavaScript is required for the print function Mail us feedback on this topic! Mail us feedback on this topic!

For information about licensing see available license options.

Select one of the 3 possible license types. Licence per:

· PC
· User / Person
· Concurrent user

Non-network license

If the application is a non-network application (installation on a single PC), choose license per PC and number of PCs = 1. This is the only option in the Standard version. For details about the user license see Licence per PC.

Non-network license / single user installation

If the application is a non-network application (installation on a single PC) AND you want to limit it to one user, choose license per User and number of users = 1. For details about the user license see Licence per User / Person.

Network license

Select one of the 3 possible license types and the number of users/PCs you want to allow during evaluation. See also How to distribute a network version.

The network license and license per User as well as Concurrent User is available only in the Multimedia Protector Premium Edition.

The number of users or PCs for the full version can be changed with an Activation Key.

For network installations, the number of users / PCs has to be set to 99999 if no limitation is required.

Click to enlarge
Screen - Licence Information

If a user connects through a remote connection using a tool like Remote Desktop, Citrix, Terminal Server or gotomypc, it depends on the tool if the remote connection counts as a separate license. For most tools, Multimedia Protector retrieves the PC name of the remote PC and counts the connection as a new license.

Concurrent user is not supported when the main application is an EXE file.

This feature is available only in the Multimedia Protector Premium Edition.


Evaluation Time

Home topic Part I - Learning the Basics > Getting started - All screens in detail > Screen - License Information:

Evaluation Time

 Deutsche Online Hilfe Next topic Print this topic JavaScript is required for the print function Mail us feedback on this topic! Mail us feedback on this topic!

Defines whether the application is available for evaluation or not. During each program start the days left for evaluation are displayed.

Number of days to evaluate

Days for evaluation, beginning with the first start of the Multimedia Player. Setting days to 0 allows using the software without time limitation but offers an option for registration.

End of Evaluation

This can be used as an alternative to number of days for specifying a final expiry date.

The button Clear Expiry Date deletes an expiry date.

You can combine both values - e.g. allow 15 days after installation but end the trial at the latest on 31.12.2006. The date occurring first is used.

No evaluation version – Serial Number needed to start

There is no evaluation period. The Multimedia Player can be started only after activation of the software. The first screen the user will get (see screen No evaluation version) requires to enter a Serial Number.

Check for system date modification

Enables a check, if the system date is modified back more than 1 day. This option will stop the application if the date was turned back.

You have to send the user a special key to turn off this lock.

Create key to turn off system date lock

If the user gets an error screen that the system date was modified, you have to send him an Unlock Key with or without copy protection

· Unlock Key with Copy Protection
· Unlock Key without Copy Protection

Test time limitation

To test how the time limitation is working, do not turn back the system date. Make a time-limited version which runs for one day (number of days to evaluate = 1) or set a final expiry date (End of Evaluation) to tomorrow. Create a CD, start the Multimedia Player today and start it tomorrow.

Click to enlarge
Screen - Licence Information

See also

How to make a time limited evaluation / trial license?
How to prolong an evaluation / trial version?


Time limited version after activation

Home topic Part I - Learning the Basics > Getting started - All screens in detail > Screen - License Information > Licence Options:

Time limited version after activation

 Deutsche Online Hilfe Next topic Print this topic JavaScript is required for the print function Mail us feedback on this topic! Mail us feedback on this topic!

If you need a time-limited full version (full version = version which is activated), check: Time limited version after Activation. Limitation is possible either

· by x days after the activation is done or
· by a specified expiry date

Use one of the following options.

· Limit by number of days. Specify the number of days the version should run after activation is done - e.g. 10 days
· Limit by expiry date. Specify an expiry date which will stop the application at this date after activation is done

Click to enlarge
Screen - Licence Information

This time limitation is independent of the time limitation of the evaluation version.


Advanced Protection

Home topic Part I - Learning the Basics > Getting started - All screens in detail > Screen - License Information > Licence Options:

Advanced Protection

 Deutsche Online Hilfe Next topic Print this topic JavaScript is required for the print function Mail us feedback on this topic! Mail us feedback on this topic!

This switch enables an advanced protection of the Multimedia Player. The Multimedia Player can detect if the EXE file was modified or cracked.

This is a very good additional protection but it is bound to a specific version of the MMF file. If you always deliver the Multimedia Player together with the MMF file (see Distribute a Project), it will work. If you allow downloading the Multimedia Player in combination with multiple different MMF files, it will not work.

Always use this option if you deliver Multimedia Player and MMF file together.

Click to enlarge
Screen - Licence Information


Content Protection Only

Home topic Part I - Learning the Basics > Getting started - All screens in detail > Screen - License Information > Licence Options:

Content Protection Only

 Deutsche Online Hilfe Next topic Print this topic JavaScript is required for the print function Mail us feedback on this topic! Mail us feedback on this topic!

If only the content is to be protected and no screen with licensing, time limitation or copy protection is to appear, select the option No activation (content protection only).

For network installations, the number of users / PCs has to be set to 99999 if no limitation is required.

Tip: For testing a project check - No Activation - this allows testing without the need to browse through the activation dialogs.

If you need a version just with content protection, which runs for an unlimited time, select:

· Number of Days = 0
· No activation (content protection only)

Click to enlarge
Screen - Licence Information


Screen - Image

Home topic Part I - Learning the Basics > Getting started - All screens in detail:

Screen - Image

 Deutsche Online Hilfe Next topic Print this topic JavaScript is required for the print function Mail us feedback on this topic! Mail us feedback on this topic!

Define the images to be used in your project.

These images can be assigned:

· Splash-Image - image which is displayed during program start
· Registration Image - image which is displayed in the registration screen
· Icon - small image in the title bar of the Multimedia Player and Multimedia Protector PDF Viewer

Click on a hyperlink text to select the image you want to assign. Click on the button: Load it to assign an image or on the button Delete to delete an image.


Splash Image

Home topic Part I - Learning the Basics > Getting started - All screens in detail > Screen - Image:

Splash Image

 Deutsche Online Hilfe Next topic Print this topic JavaScript is required for the print function Mail us feedback on this topic! Mail us feedback on this topic!

You can define a splash image to be displayed during the program start of the Multimedia Player.

Click on the button Splash Image to display the selected image.

Click on the button Load It to select an image.

Click on the button Delete to delete the image.

Only JPG images are supported.

Click to enlarge
Screen - Image


Registration Image

Home topic Part I - Learning the Basics > Getting started - All screens in detail > Screen - Image:

Registration Image

 Deutsche Online Hilfe Next topic Print this topic JavaScript is required for the print function Mail us feedback on this topic! Mail us feedback on this topic!

You can define an image to be displayed during the registration process.

Click on the button Registration Image to display the selected image.

Click on the button Load It to select an image.

Click on the button Delete to delete the image.

Only JPG images are supported. The ideal image size is 175x110 pixel.


Icon

Home topic Part I - Learning the Basics > Getting started - All screens in detail > Screen - Image:

Icon

 Deutsche Online Hilfe Next topic Print this topic JavaScript is required for the print function Mail us feedback on this topic! Mail us feedback on this topic!

You can define an ICON which is displayed in the title bar of the Multimedia Protector and Multimedia Protector PDF Viewer. The default icon is [image].

Click on the button Icon to display the selected image.

Click on the button Load It to select an image.

Click on the button Delete to delete the image.

Only ICO files are supported. The size of the ico file must be 32x32.

In combination with the Installation Manager, you can also define a desktop icon and program manager group icon. The icon which is displayed in the File Explorer cannot be changed.


Screen - Data Import

Home topic Part I - Learning the Basics > Getting started - All screens in detail:

Screen - Data Import

 Deutsche Online Hilfe Next topic Print this topic JavaScript is required for the print function Mail us feedback on this topic! Mail us feedback on this topic!

Import your data / content which is to be secured into the encrypted data file.

See also
About Data Import
Import Files
Import PDF Files
Import PowerPoint (PPT) Files
Import EXE Files


About Data Import

Home topic Part I - Learning the Basics > Getting started - All screens in detail > Screen - Data Import:

About Data Import

 Deutsche Online Hilfe Next topic Print this topic JavaScript is required for the print function Mail us feedback on this topic! Mail us feedback on this topic!

All your media files are imported and stored in a single, encrypted database file (MME, MMF) - for details see chapter The Basics.

You can select files to import from one folder and all its subfolders. The start file has to be a .SWF , .FLV , .EXE or PDF file. This file can address any other file types like video or audio which are supported within flash. All selected files are imported into the project file and are stored in an encrypted format.

To make a file the start file of the project, select the file and press the button Define as starting file.

What is a start file?

The start file is the file that is opened first from the Multimedia Player. It can be a menu which offers to start other files or any flash file.

Data File

All your media files are imported in one single data file and stored in an encrypted format (MME). If you make changes on the original files, you have to reimport the files.


Import Files

Home topic Part I - Learning the Basics > Getting started - All screens in detail > Screen - Data Import:

Import Files

 Deutsche Online Hilfe Next topic Print this topic JavaScript is required for the print function Mail us feedback on this topic! Mail us feedback on this topic!

Press the button: Select Data Folder and select a folder with the files you want to use for your Multimedia Project. All files from the folder and its subfolders are imported automatically. It is not possible to import files in different folders.

Now select a Start file press the button: Define as starting file. The file is indicated with a red icon. This file is the file that is played after the start of the Multimedia Player and must be a .SWF(flash) , .PDF (Adobe PDF), .FLV (video) or EXE (executable) file.

You can delete files by selecting one ore more files and press the button: Delete

The files are only deleted in the encrypted data file. The original files on the file system are never deleted.

If you have new files on the file system, press the button: Read files from Folder to import all files again.

If the files on the files systems have been modified, select these files and press the button: Refresh Selected Files to synchronize the files between the folder and the data file.

Modifying a file, adding a file or deleting a file on the file system does not affect the imported data in the encrypted data file. You have to Refresh the data, Read all files again or Delete the files manually in the data file by pressing the corresponding buttons.

Click to enlarge
Screen - Import


Import EXE Files

Home topic Part I - Learning the Basics > Getting started - All screens in detail > Screen - Data Import:

Import EXE Files

 Deutsche Online Hilfe Next topic Print this topic JavaScript is required for the print function Mail us feedback on this topic! Mail us feedback on this topic!

After selecting an EXE file in the import screen, a new configuration option appears: EXE Options. Click on the link to open the configuration screen.

Click to enlarge
Import Screen - EXE file selected

Details EXE configuration options

This feature is available only in the Multimedia Protector Premium Edition.

How does the EXE protection work?

Multimedia Protector supports copy protection and complete licensing for stand-alone EXE files including files on folders. It wraps the EXE file and additional files into the encrypted database. This kind of protection is not as strong as the Source Code integration with Licence Protector but a good choice if you do not have any Source Code or you do not want to spend time to add copy protection and licensing.

If you have just one or more EXE file and additional files like DLL or configuration files, import it and define one exe file as a start file. After the initial tests like evaluation or product activation have been done, the Multimedia Player starts the exe file, extracts all other imported files (configurable) and terminates automatically so that only the EXE file will be active.

If Source Code is available, the protection can be improved significantly by defining a password, which is required to start the EXE file.

All files (EXE file and all additional files) are extracted to the hard disk during runtime. The file of the database should have maximum 80-100 MB. Otherwise the loading time would be too long.

The EXE file must not require administration rights when it is running - e.g. it may not be an installer EXE file or a file which has words like setup, install in the file name. Also if a manifest file is delivered, the manifest file may not have a definition, that the EXE requires administration rights. For more details about EXE names and Vista read this blog.

If the EXE file opens configuration files and the files are expected on the same folder like the EXE file, retrieve the correct path by reading the configuration data.

Concurrent user is not supported when the main application is an EXE file.

See also
EXE configuration options
Exe file is menu application
Flash application using exe file
Read Configuration Data
No Source Code / Encrypt EXE file


EXE configuration options

Home topic Part I - Learning the Basics > Getting started - All screens in detail > Screen - Data Import > Import EXE Files:

EXE configuration options

 Deutsche Online Hilfe Next topic Print this topic JavaScript is required for the print function Mail us feedback on this topic! Mail us feedback on this topic!

There are different options you can use, depending on the type of your application.

Command Line Parameter for EXE file (password for EXE file)

The protection can be improved significantly by providing a password as a command line parameter. This option should be used if source code is available. If you do not have a source code, you could use an EXE packer to add the password.

· The application only starts, if the password, provided in the command line, is correct
· The password should be at least 30 characters long and should contain numbers, upper and lower case characters e.g.r1nBLCV1rZLZI0YyG7J1BiGNc2cLtZg21pfxm1nv9Jl2f34fs2ajVw31ToTQL1QYt

The password may not contain spaces and the character "

When a EXE file is specified as a start file, a new option is visible: Command line parameter for EXE file

The Multimedia Player provides the password during runtime when the EXE file is invoked.

We recommend splitting the password in different parts and variables of the application to prevent, that a hacker can find out the command line by analyzing the EXE file.

Sample

A very simple method would be to hide the strings in different program parts and make calculations. You can implement more sophistic code like the one below. This is just to outline an idea.

x$=”2”

a$=r1nBLCV1rZLZI0YyG7J1BiGNc2cLtZg+str$((val(x$)+1)*7)pfxm1nv9Jl+x$

c$=f34fs+x$+ajVw31ToTQL1QYt

commandparameter$=a$+b$+c$

.NET offers a SecureString Class. It represents text that should be kept confidential. The text is encrypted for privacy when being used, and deleted from computer memory when no longer needed. For details see: http://msdn2.microsoft.com/en-us/library/system.security.securestring.aspx

Extract all files

This option extracts the EXE file AND all other files in the database to a temporary folder. Import only additional files if they should be protected (e.g. if you use the PowerPoint Viewer you also have to import the PPT files). During runtime, the additional files are not protected.

Delete all files when EXE is terminated

This option deletes all files on the temporary folder after the EXE file is terminated. Only uncheck this option if the main EXE file invokes other EXE files. If the application is one EXE file then always check this option.

Run EXE unprotected on installation directory

This option would extract the EXE file to the folder, where the Multimedia Player is located. You could use this option if you have no source code and the EXE file must be on the same folder like the other files. You could additional use a file encryption tool.


Read configuration data and license information

Home topic Part I - Learning the Basics > Getting started - All screens in detail > Screen - Data Import > Import EXE Files:

Read configuration data and license information

 Deutsche Online Hilfe Next topic Print this topic JavaScript is required for the print function Mail us feedback on this topic! Mail us feedback on this topic!

If the main application is an EXE file, the application should work without any modifications. Only if the EXE files writes configuration files, which should be available after the next program start, a modification could be necessary.

Test your application. If the application writes configuration files typically on the installation folder, this folder is not visible any more to the EXE file while it is running. The folder name can be retrieved reading a text or XML file. The name of the folder, where the EXE file is stored, can be found in the variable <Install-Path-Player>.

The configuration file also provides additional information like the registered customer name, time limitation or whether the product is activated or not.

The Multimedia Player provides a file mp-config.xml and mp-config.txt. Both files have the same content. Just read the file with the format your application can handle.

The files provide a lot of information. Some are for future use and are not explained in this documentation. You can download a sample of each file. Download Now!

mp-config.xml

It is an XML file and you need an XML parser to read it.

<Default>

<Install-Path-MMF> - path where the mmf file (database) can be found
<Install-Path-Player> - installation path of the application
<Player-Name> - name of the Multimedia Player, e.g. myapp.exe
<MMF-Name> - name of the mmf file, e.g. myappdata.mmf
<StartExe> - name of the start file, e.g. yoursource.exe

<LicenceInfo>

<Customer> - license holder name. This is the name which was type in during the product activation

<Module1>

<TotalLicences> - number of maximum network licenses define in the screen - License Information or in the Serial Number

<RemainingLicences> - licenses available in a network installation

<ExpiredOn> - Expiry date of the license - if expired on is 30.12.1899 then it is a version without any time limitation

<RemainingDays> - Days left to evaluate the product or to run the full version. If the value is -1 then there is no time limitation

<LicenceType> - S - license per Computer, U = license per User, R = license per concurrent user - defines in the screen - License Information

<WebActivation> - 0 = status after program start. No Serial Number was applied, 1 = Serial Number was applied, 2 = product is activated, 3 = erroneous activation

mp-config.txt

It is standard Windows INI file.

[Default] - Section Name you have to specify if you read an parameter

Install-Path-MMF - path where the mmf file (database) can be found
Install-Path-Player - installation path of the application
Player-Name - name of the Multimedia Player, e.g. myapp.exe
MMF-Name - name of the mmf file, e.g. myappdata.mmf
StartExe - name of the start file, e.g. yoursource.exe

[LicenceInfo]

Customer - license holder name. This is the name which was type in during the product activation

[Module1]

TotalLicences - number of maximum network licenses define in the screen - License Information or in the Serial Number

RemainingLicences - licenses available in a network installation

ExpiredOn - Expiry date of the license - if expired on is 30.12.1899 then it is a version without any time limitation

RemainingDays - Days left to evaluate the product or to run the full version. If the value is -1 then there is no time limitation

LicenceType - S - license per Computer, U = license per User, R = license per concurrent user - defines in the screen - License Information

WebActivation - 0 = status after program start. No Serial Number was applied, 1 = Serial Number was applied, 2 = product is activated, 3 = erroneous activation

The variable Install-Path-Player provides you with the installation path of the application. This would be the folder where your application previously stored configuration files.

It is possible that the protected EXE file (variable Player-Name) has a different name like your original EXE file (variable StartExe.)

Use the name of the EXE file you want to protect as project filename. Then the name of the protected EXE file has the same filename like your original application.

Where should you place your configuration files

As a configuration file needs a read and write access, you cannot place it to c:\program files folder as there is no write access on this folder for Vista.

Although we found no recommended procedure from Microsoft how to share a file on one PC for all users, the following installation process will work.

Retrieve folder names

You can retrieve the folder name via the registry.

Windows Vista

HKLM\SOFTWARE\Microsoft\Windows\CurrentVersion\explorer\Shell Folders

Common AppData

C:\ProgramData\

Windows XP

HKLM\SOFTWARE\Microsoft\Windows\CurrentVersion\explorer\Shell Folders

Common AppData

C:\Documents and Settings\All Users\Application Data

Create a folder

Save the configuration file to

· Windows Vista - C:\ProgramData\yourcompany name\appname\app.dat
· Windows XP - C:\Documents and Settings\All Users\Application Data\yourcompany name\appname\app.dat

By default, standard users on Vista have only Read access and the folder is not visible. See below how to set write access to this folder.

Setting Write Access to a folder during installation.

Some installers have built in options to change rights on folders. You cannot use the standard Windows tool cacls.exe or icacls (Vista) because you have to address the user / group name you want to change in the language of the operation system - e.g. 'users' or 'Benutzer'.

There is a tool SetAcl.exe which allows using SID to change the permission. The tool can be downloaded here: http://setacl.sourceforge.net/html/examples.html . Documentation for the SID can be found here (only German): http://www.grurili.de/index.html?/Grundlagen/WellKnown_SIDs.htm

Your installer could use the following sequence

· Copy setacl.exe to the installation directory
· Execute Setacl.exe e.g. "maindir\SetAcl.exe" -on "maindir" -ot file -actn ace -ace "n:S-1-5-32-545;p:full;s:y" - This will set full rights to the group users. The SID S-1-5-32-545 is used instead of the name users

(note: maindir is the folder name like c:\ProgramData\yourcompany name\appname)
· Delete setacl.exe


Import PDF Files

Home topic Part I - Learning the Basics > Getting started - All screens in detail > Screen - Data Import:

Import PDF Files

 Deutsche Online Hilfe Next topic Print this topic JavaScript is required for the print function Mail us feedback on this topic! Mail us feedback on this topic!

After selecting a PDF file in the import screen, a new configuration option appears: PDF Options. Click on the link to open the configuration screen for the Multimedia Protector PDF Viewer.

Click to enlarge
Import Screen - PDF file selected

· Configure the Multimedia Protector PDF Viewer

The PDF file may not be password protected (open or save) - all security settings must be set to none for the PDF file before you import it.

There are also other ways to protect a PDF file. More Information.

You can import multiple PDF files. You then need a menu application, which allows to select a PDF file.

See also
Multimedia Protector PDF Viewer options
Multimedia Protector PDF Viewer Installation
Menu application


Multimedia Protector PDF Viewer options

Home topic Part I - Learning the Basics > Getting started - All screens in detail > Screen - Data Import > Import PDF Files:

Multimedia Protector PDF Viewer options

 Deutsche Online Hilfe Next topic Print this topic JavaScript is required for the print function Mail us feedback on this topic! Mail us feedback on this topic!

Multimedia Protector offers an inbuilt PDF Viewer, which supports PDF files until PDF version 1.7 (Acrobat 8). Not all features (like Multimedia content or forms) are supported - see details chapter PDF.

PDF Options

This screen allows you to configure the Multimedia Protector PDF Viewer - e.g. disable printing or add a thumbnail page.

The configuration options are on the left side.

Security Options

· Allow Printing - enable or disable the print button
· Allow Select and Copy - this enables the option to copy and paste text from the PDF document
· Do NOT encrypt PDF files - The PDF files are stored without encryption. This makes sense, if other applications like PowerPoint / EXE want to open the PDF file in a standard Reader (see start PDF files).

If you change this option, you have to select Read files from folder in the Import Screen again.
Show Toolbar

Allows to enable a toolbar like zoom or find or to display a menu bar.

· Menu Bar - enable or disable the menu bar (File, Edit, View etc.). This option is necessary if you activate a pane window like thumbnails. If the user closes this window he can open it again using the menu
· Rotate View - enable or disable the option to rotate a PDF file
· Zoom - enable or disable the zoom
· Find - enable or disable the search functionality

Show Panes

A pane is a small window on the left or right side (sometime on the bottom) of a PDF document.

· Page Layout - enables multiple page viewing or continuous page viewing
· Page Navigation - adds an option to browse through the document, displays the number of pages and allows to jump directly to a page

· Bookmarks - adds a window to display the bookmarks. If Display Bookmarks on open is selected, this screen appears when the document is loaded. Otherwise it can be selected using the menu bar.

· Thumbnails - adds a window to display a small preview of each page. If Display Thumbnails on open is selected, this screen appears when the document is loaded. Otherwise it can be selected using the menu bar.

· Search Pane - adds a window with extended search features
Runtime Options
· Extract all files - by default, only the selected start file is extracted to a temporary folder. If multiple files are imported (PDF with audio, video) then all these files could be extracted but they are not protected. The PDF file is always protected

· Start PDF from installation folder - this options allows to start an encrypted PDF file from outside the database. If a PDF file is bigger than 100 MB, the loading time is tool long on slow machines. This options stores an encrypted PDF file in the publish folder and the Multimedia Protector PDF Viewer starts the file directly from the folder. If you use the Installation Manager, you have to additionally copy the file, because it is not stored in the database.

If your PDF file has links to audio files, then you have to provide the audio file on the same folder. If you additionally select Extract all files, then all other files will be placed on the temporary folder.

MPPDFVIEWER%> uses the language of the operating system and not the language, which is defined for the Multimedia Player in the screen - Player Options.

Example: The registration dialogues of the Multimedia Player are in English, the operating system is in Russian, then then MPPDFVIEWER%> will start with Russian user interface.

Use Audio and Video inside a PDF file

It is not possible, to use an embedded audio or video file inside the PDF file but it is possible, to make a link to an audio or video file.

· Add a hyperlink in the PDF file to the audio or video file
· Import all files (PDF, Audio, Video) and make the PDF file the start file
· Check the Runtime Option, Extract all files

The Audio and Video files will not be protected. They run in the default player of the system.

The Multimedia Protector PDF Viewer needs administration rights during the first program start. The necessary components are automatically installed. You could also use the Installation Manager (set InstallPDFViewer=true).

Large PDF files

If a PDF file has more than 100 MB, select the option: Start PDF from installation folder . Details see Runtime Options


Multimedia Protector PDF Viewer Installation

Home topic Part I - Learning the Basics > Getting started - All screens in detail > Screen - Data Import > Import PDF Files:

Multimedia Protector PDF Viewer Installation

 Deutsche Online Hilfe Next topic Print this topic JavaScript is required for the print function Mail us feedback on this topic! Mail us feedback on this topic!

Multimedia Protector PDF Viewer needs to install a Viewer component. This is automatically done when the user starts the Multimedia Protector PDF Viewer the first time. To install this component, administration rights are needed. The next program start detects, that the Viewer component is already installed and directly displays the PDF document.

There are 2 other ways to install the component:

· Use the Installation Manager and set InstallPDFViewer = true
· Start the Multimedia Protector PDF Viewer with the parameter -ipdf on. This would start the Multimedia Protector PDF Viewer and always install the Viewer component. The switch can be used if the auto installation fails
· Start the Multimedia Protector PDF Viewer with the parameter -ipdf off. This would start the Multimedia Protector PDF Viewer and never install the Viewer component. The switch can be used if the auto installation fails and disables the installation of the Viewer component


Information missing in PDF file

Home topic Part I - Learning the Basics > Getting started - All screens in detail > Screen - Data Import > Import PDF Files:

Information missing in PDF file

 Deutsche Online Hilfe Next topic Print this topic JavaScript is required for the print function Mail us feedback on this topic! Mail us feedback on this topic!

The Multimedia Protector PDF Viewer will display the PDF file nearly in the same way like the Adobe PDF Reader. There could be slight differences.

· Images - if an image is missing or slightly different and you are using Adobe Acrobat / Distiller for PDF creation, try to change the settings for the images. Otherwise use the PDF converter, which comes with Office 2007 or a freeware PDF converter (like http://www.pdfforge.org/products/pdfcreator/). They have simpler image conversion.
· Forms are supported only in a limited way
· Embedded videos are not supported


Screen - Player Options

Home topic Part I - Learning the Basics > Getting started - All screens in detail:

Screen - Player Options

 Deutsche Online Hilfe Next topic Print this topic JavaScript is required for the print function Mail us feedback on this topic! Mail us feedback on this topic!

Define runtime options and language for the Multimedia Player.


Display Options

Home topic Part I - Learning the Basics > Getting started - All screens in detail > Screen - Player Options:

Display Options

 Deutsche Online Hilfe Next topic Print this topic JavaScript is required for the print function Mail us feedback on this topic! Mail us feedback on this topic!

Define options for the Multimedia Player during runtime.

Display Options

There are different options to start the Multimedia Player.

Run with Full Screen

This option starts the Multimedia Player in full screen mode.

Otherwise the Multimedia Player uses the screen size defined in the start .swf file.

Start with maximized size

This option is similar to Run with full screen. It starts with the maximum usable size, while a title bar to close the Multimedia Player stays at the top of the screen.

Start with default size

The Multimedia Player uses the screen size defined in the start .swf file.

Start with customized size

You can define the width and height of the screen in pixel.

Enable Flash configuration (right mouse click)
This enables the user to use right mouse click within the Multimedia Player and then print the current page or modify flash settings.

Show Control Bar

Activates a control bar with a Home button. This allows the user to start the main file (Start file) at any time again. Use this feature if you have multiple flash files connected with hyperlinks and the flash files does not provide a home or any other navigation feature. Select none if no control bar should be displayed.

Home button - activates the Start file

The control-bar can be placed:

· left
· bottom
· right
· top

Select Language
Select one or multiple languages for the registration and activation dialogs. The user can select the language within the first registration dialog.

Default Language

You can define a default language which is used for the first program start.

Click to enlarge
Screen - Player Options


Converting Options

Home topic Part I - Learning the Basics > Getting started - All screens in detail > Screen - Player Options:

Converting Options

 Deutsche Online Hilfe Next topic Print this topic JavaScript is required for the print function Mail us feedback on this topic! Mail us feedback on this topic!

These options allow to automatically make corrections for files which would normally not run in the standard flash player.

Converting hyperlinks after SWF ending

If documents like PDF or PPT are converted and they have links to other PDF or PPT files, Multimedia Player can automatically convert the hyperlinks to .swf extension.

Sample

Original files: file1.pdf and file2.pdf. File1.pdf links to file2.pdf

Converted files: file1.swf and file2.swf. File1.swf links to file2.pdf. This link would not work and is automatically corrected to file2.swf

Use this option only if needed. Hyperlinks e.g. using a xml configuration file will not work because they are also converted.

Always use relative paths

If documents like Word link to other documents in subfolders with these documents linking back, it is often necessary to use a relative path to link back like ...\file1.doc (instead of .\folder1\file1.doc).

Sample

c:\program files\folder1\file1.doc Ú links to .\subfolder1\file2.doc

c:\program files\folder1\subfolder1\file2.doc Ú links to ...\file1.doc instead using .\folder1\file1.doc

Using the option Always use relative path will support this kind of hyperlinks.

If the application loads but the configuration text provided via an XML file is missing, try again using the Option Always use relative path.

Run in installation directory

This options can be used if EXE files are started. The Multimedia Player provides the path where the encrypted database is stored as the path where the EXE file is started. This option can be used if the EXE file has problems with configuration files.

Click to enlarge
Screen - Player Options


Screen - Save

Home topic Part I - Learning the Basics > Getting started - All screens in detail:

Screen - Save

 Deutsche Online Hilfe Next topic Print this topic JavaScript is required for the print function Mail us feedback on this topic! Mail us feedback on this topic!

Save your project and create the files for deployment.

You can either create multiple files, which are used for CD Distribution or one ZIP file, which includes all the files in a compressed format. The ZIP file can be used for distribution with a download link.


Distribute / Save for CD or USB

Home topic Part I - Learning the Basics > Getting started - All screens in detail > Screen - Save:

Distribute / Save for CD or USB

 Deutsche Online Hilfe Next topic Print this topic JavaScript is required for the print function Mail us feedback on this topic! Mail us feedback on this topic!

After all necessary settings have been made, the files to deploy included in the encrypted data file can be created. Press the button: Distribute / Save for CD / USB. Depending of the size of the imported files this can take seconds to minutes.

If you want to provide the files via download, press Save as ZIP file to get one single file.

A new folder ...\projectname\Deploy with all necessary files is generated. For details see chapter The Basics about Distributing a file. You can just click on View Deploy Folder to open this folder.

After the files have been successfully generated, a Testdrive can be made.

You can add an installer which allows installing the files from CD to the hard disk drive.

Note

· To save a file just press Distribute / Save for CD. Make sure that no file you want to import is opened by another application.

· If you added or modified files within the Screen Import, all files will be imported and encrypted again, which can take some times. Changing all other settings will just update this information, which is quite fast.

· You have to import at least one swf, flv or exe file and mark it as a start file before you can save the project.

Click to enlarge
Screen - Save

See also
Distribute a CD / DVD
Create ZIP file
Adding an installer


Create ZIP file / Save

Home topic Part I - Learning the Basics > Getting started - All screens in detail > Screen - Save:

Create ZIP file / Save

 Deutsche Online Hilfe Next topic Print this topic JavaScript is required for the print function Mail us feedback on this topic! Mail us feedback on this topic!

After all necessary settings have been made, the files to deploy included in the encrypted data file can be created. Press the button: Distribute / Save as ZIP. Depending of the size of the imported files this can take seconds to minutes. As a result, all files are packed into one single ZIP file.

If you want to provide the files via CD, press Save for CD.

A new folder ...\projectname\Deploy with all necessary files is generated. For details see chapter The Basics about Distributing a file.

As the files are ZIP, you can not test it. If you need a test, select Save for CD first.

You can add an installer which allows installing the files from CD to the hard disk drive.

Note

· To save a file just press Distribute / Save as ZIP. Make sure that no file you want to import is opened by another application.

· If you added or modified files within the Screen Import, all files will be imported and encrypted again, which can take some times. Changing all other settings will just update this information, which is quite fast.

· You have to import at least one swf, flv or exe file and mark it as a start file before you can save the project.

Click to enlarge
Screen - Save

See also
Create files for CD
Adding an installer


Cancel without Saving Project

Home topic Part I - Learning the Basics > Getting started - All screens in detail > Screen - Save:

Cancel without Saving Project

 Deutsche Online Hilfe Next topic Print this topic JavaScript is required for the print function Mail us feedback on this topic! Mail us feedback on this topic!

Selecting this option will cancel the project without saving anything. To save the project data, select Distribute / Save.


Test Project

Home topic Part I - Learning the Basics > Getting started - All screens in detail > Screen - Save:

Test Project

 Deutsche Online Hilfe Next topic Print this topic JavaScript is required for the print function Mail us feedback on this topic! Mail us feedback on this topic!

After creating the files for deployment you can test your project (Testdrive). The Testdrive simulates the deployment. It is only available if you selected the option Save for CD.

You cannot start the Multimedia Player on this folder, because the license file is modified with each start and cannot be used any longer for distribution.

If you want to make a life test, copy the complete Deploy folder to another directory.


View Deploy Folder

Home topic Part I - Learning the Basics > Getting started - All screens in detail > Screen - Save:

View Deploy Folder

 Deutsche Online Hilfe Next topic Print this topic JavaScript is required for the print function Mail us feedback on this topic! Mail us feedback on this topic!

You can directly view all files and then copy the files to a CD or for testing on your hard disk. Just click on the option View Deploy Folder. It opens the file explorer.


Upload files to Activation Server

Home topic Part I - Learning the Basics > Getting started - All screens in detail > Screen - Save:

Upload files to Activation Server

 Deutsche Online Hilfe Next topic Print this topic JavaScript is required for the print function Mail us feedback on this topic! Mail us feedback on this topic!

If you use the Activation Server, the project definition files have to be uploaded to the server. This upload is needed only once after you generated the project or when you change Activation Server settings.

This option is only available if:

· The login data to the Activation Server is configured - see screen Administration, Web Activation Server Administration
· The Premium Edition is installed
· Online Activation is selected in the screen - Settings

All configuration files are uploaded to the Activation Server to allow instant Online Activation of the product. This option is no longer supported (requires Multimedia Protector version 3.0). Use the manual upload or upgrade to version 3.0

See also

Online Activation - Step by Step
Error during uploading files


Error during uploading files

Home topic Part I - Learning the Basics > Getting started - All screens in detail > Screen - Save > Upload files to Activation Server:

Error during uploading files

 Deutsche Online Hilfe Next topic Print this topic JavaScript is required for the print function Mail us feedback on this topic! Mail us feedback on this topic!

This option is no longer supported (requires Multimedia Protector version 3.0). Use the manual upload or upgrade to version 3.0


Manually upload Files

Home topic Part I - Learning the Basics > Getting started - All screens in detail > Screen - Save > Upload files to Activation Server:

Manually upload Files

 Deutsche Online Hilfe Next topic Print this topic JavaScript is required for the print function Mail us feedback on this topic! Mail us feedback on this topic!

There are 2 options to upload files

Use a FTP program to upload project files

You can copy your files to the Activation Server with an FTP software (using the File Explorer will not work).

Details

Using the popular FTP Tool FileZilla Client (http://filezilla-project.org/) the settings would be as follows:

User: This is lp+hosing number - e.g. if hosting number is 9999999 then the user would be: lp9999999

Password: Your hosting password

It is important to set the transfer mode to Active

After login you will see a directory structure on the Activation Server similar to this one:

Copy files from local PC to the Activation Server

On your local PC, select the project folder. It includes 2 sub folders (config and deploy). Select the config folder and then the folder Web Activation Server.

· Select the folder ..alg and copy the files to the directory \alg on the Activation Server
· Select the folder ..pconfig and copy the files to the directory \pconfig on the Activation Server

Send the files to support

You can e-mail the project files to support and we upload the files for your.

Details

On your local PC, select the project folder. It includes 2 sub folders (config and deploy). Select the config folder and then the folder Web Activation Server.

ZIP the complete folder Web Activation Server and send it to support@mirage-systems.de


Adding an Installer

Home topic Part I - Learning the Basics > Getting started - All screens in detail > Screen - Save:

Installation Manager for Harddisk and Network

 Deutsche Online Hilfe Next topic Print this topic JavaScript is required for the print function Mail us feedback on this topic! Mail us feedback on this topic!

The Premium Edition comes with a ready to go installation manager. It allows installing the files from CD or download link to the hard disk. It also offers a network installation for Client PC's. The installer files can be found on the folder \Multimedia Protector Premium\2.1\installer .

The installation manager includes the following features:

· Copies all files to a specified directory
· Adds the necessary user rights to the specified directory
· Copies the player, database mmf file and the license file to the specified directory, including an icon file
· Adds a program manager group and an entry within the program manager group to start the Multimedia Player
· Define a different start application, e.g. a menu program
· Copy additional files, e.g. files needed by a menu program
· Display a readme file at the end of the installation
· Option to install the files on a USB-Stick instead of the hard disk
· Adds uninstall information
· Installation dialogs are available in multiple languages

You can change the icon on the desktop and in the program manager group with an own bespoke icon.

The installer consists of 2 files:

· setup.exe - (installer file for single user installation) or setup-network.exe (for network installation)
· setup.ini - (configuration file for installer)

Copy these 2 files from the main installation folder ..\Multimedia Protector Premium\2.1\installer to a new folder, eg. projectname-install

· Save the project with the option for CD/USB and not as a ZIP file
· Copy the files from the deploy folder to the new projectname-install folder
· Then modify the setup.ini file with any editor. The name of the installer can be renamed, e.g. to setup-abc.exe. The name of the ini file must be setup.ini.

If you want to start the installer directly after a CD is inserted, modify the file autorun.inf.

[autorun]

icon=flash-demo.exe

open=setup.exe

Name=Multimedia Protector - Flash Demo

This feature is available only in the Multimedia Protector Premium Edition.

See also

Configuration File - Setup.ini
Single User Installation
Network Installation


Screen - Administration

Home topic Part I - Learning the Basics > Getting started - All screens in detail:

Screen - Administration

 Deutsche Online Hilfe Next topic Print this topic JavaScript is required for the print function Mail us feedback on this topic! Mail us feedback on this topic!

Supports administration tasks like creating keys (Serial Number, Unlock Key, Licence Keys), add USB protection or access to administrations issues like checking for the latest update, Activation Server Administration Interface interface and version information.


About Administration

Home topic Part I - Learning the Basics > Getting started - All screens in detail > Screen - Administration:

About Administration

 Deutsche Online Hilfe Next topic Print this topic JavaScript is required for the print function Mail us feedback on this topic! Mail us feedback on this topic!

The administration screen bundles a lot of administration activities in 3 main sections. You can browse to each section using the TAB.

· Keys ( Create a Serial Number Key, create Unlock Key or key for additional licenses)
· Add USB protection
· Miscellaneous functions like Access Web Administration Interface, Repair and Compress project file, ActivateError log, Display own license for Multimedia Protector, Test for available updates


Miscellaneous Administration Functions

Home topic Part I - Learning the Basics > Getting started - All screens in detail > Screen - Administration:

Miscellaneous Administration Functions

 Deutsche Online Hilfe Next topic Print this topic JavaScript is required for the print function Mail us feedback on this topic! Mail us feedback on this topic!

The Miscellaneous TAB provides access to administration tasks like license information, checking for updates, repairing the database and using the Web Activation Server Administration interface.

See also
Activation Server Configuration
Activation Server for Testing
Check for Updates
Display Welcome Screen


About Multimedia Protector - Version information

Home topic Part I - Learning the Basics > Getting started - All screens in detail > Screen - Administration > Miscellaneous Administration Functions:

About Multimedia Protector - Version information

 Deutsche Online Hilfe Next topic Print this topic JavaScript is required for the print function Mail us feedback on this topic! Mail us feedback on this topic!

Displays a screen with the version information (Version number and date) and copyright information. You need the version number to check for updates.


Check for Updates

Home topic Part I - Learning the Basics > Getting started - All screens in detail > Screen - Administration > Miscellaneous Administration Functions:

Check for Updates

 Deutsche Online Hilfe Next topic Print this topic JavaScript is required for the print function Mail us feedback on this topic! Mail us feedback on this topic!

This link opens the screen to configure the scheduler for updates. You can select one of the following options:

· Daily
· Weekly (recommended)
· Monthly
· Never

Click on image to enlarge
Configure Scheduler for Updates

The update check is done in the background and informs you if an update is available. It downloads the update and installs it automatically. This is the recommended way to install updates.

If you manually want to check for an update, the update check can also be started from your program manager group, Multimedia Protector, [image] Check for updates. The check is instantly done.

You can also check for updates on the website - click here for a manual check. Only updates for main releases (not Service Packs) can be downloaded here.

To compare the latest update with the installed version, retrieve the version number with the About Multimedia Edition link.

To install an update, you need a valid update subscription. Check your license information with Show Licence Information.

The update check is also available in the Welcome Screen.


Repair and Compress Project File

Home topic Part I - Learning the Basics > Getting started - All screens in detail > Screen - Administration > Miscellaneous Administration Functions:

Repair and Compress Project File

 Deutsche Online Hilfe Next topic Print this topic JavaScript is required for the print function Mail us feedback on this topic! Mail us feedback on this topic!

If the database is corrupted, you can repair and also compress the database with the button Repair and Compress Project file.

We recommend using this function from time to time to compress the database, as it will grow with every rebuilt.


Web Activation Server

Home topic Part I - Learning the Basics > Getting started - All screens in detail > Screen - Administration > Miscellaneous Administration Functions:

Web Activation Server

Deutsche Online Hilfe Next topic Print this topic JavaScript is required for the print function Mail us feedback on this topic! Mail us feedback on this topic!

If you are using the Web Activation Server, you can access the administration interface directly with the link Web Activation Server Administration.

To configure the link to the server, press the button Change URL and type in the URL to the Webserver, e.g.

http s ://www.registerserver.net/hostingnumber/lpweb

Activation Server - Hosting Service

Type in your Hosting Number and Hosting password as well. This is necessary before you upload the configuration files to the Activation Server.

Click to enlarge
Configure Activation Server

Running an own Activation Server

If you run the Activation Server on your own machine, you can also use the automatic uploading of the configuration files . This requires a special configuration of the server. If the configuration is not possible, you can always manually upload the configuration files.

Configuration for automatic upload

For an automatic upload of your Multimedia Protector configuration files to the Activation Server you have to provide a FTP access. Install an FTP-Server with access on FTP-port 21. Provide a FTP-account which has full read/write access to the Activation Server installation including all subfolders (like ..\bin, \alg).

Now configure the FTP account in the Multimedia Protector Generator.

· FTP-Server address: name of the FTP Server like registerserver.net
· FTP Account: FTP account user name
· FTP Password: password - always use a password with this FTP account
· PATH on FTP Server - path to the Activation Server server directory, relative to the home directory

Example: Installation is on c:\wwwroot\lpweb. The FTP user's home directory is c:\ . The PATH on FTP Server would be 'wwwroot\lpweb'. If the FTP user's home directory is 'c:\wwwroot\lpweb' then the path can be left blank

Primary / Alternative Harware ID

The primary hardware ID is used as the main criteria to activate copy protection. Only if this criteria is not retrievable the Alternative Hardware ID is used.

For single user installations or CD distribution, the hardware ID 4 (NetBIOS Name) is recommended. For network installations use installation code 5 (Volume ID + UNC Path) or 6 (MAC Address + UNC Path).

Theses values are automatically assigned to each new project.

How often can a Serial Number be used?

It can be defined, how often a Serial Number can be used. The default value is 1. If you want to allow, that the product is installed e.g on 3 different PC's, then change here the value to 3.

This option is only available in the Premium version. You also need a valid hosting account. Order Hosting.

Every time you change a setting of the Activation Server, you have to upload the configuration again to the Activation Server - See Upload files to the Activation Server

See also

Online Activation - Step by Step
Activation Server for Testing


Display quick introduction help / Welcome Screen

Home topic Part I - Learning the Basics > Getting started - All screens in detail > Screen - Administration > Miscellaneous Administration Functions:

Display quick introduction help / Welcome Screen

 Deutsche Online Hilfe Next topic Print this topic JavaScript is required for the print function Mail us feedback on this topic! Mail us feedback on this topic!

The option Display quick introduction help when starting allows to enable or disable the Welcome Screen at startup.


Enable Error Tracking

Home topic Part I - Learning the Basics > Getting started - All screens in detail > Screen - Administration > Miscellaneous Administration Functions:

Enable Error Tracking

 Deutsche Online Hilfe Next topic Print this topic JavaScript is required for the print function Mail us feedback on this topic! Mail us feedback on this topic!

In case there is an error within the Project Generator, Mirage support may advise you to turn on an error log. Select Error Tracking Enabled and select a folder to save the log files with Select Path for Log files.

Do not forget to deselect this option after the problem has been solved.


Show License Information

Home topic Part I - Learning the Basics > Getting started - All screens in detail > Screen - Administration > Miscellaneous Administration Functions:

Show License Information

 Deutsche Online Hilfe Next topic Print this topic JavaScript is required for the print function Mail us feedback on this topic! Mail us feedback on this topic!

This opens the Licence Viewer to display your license for Multimedia Protector.

Additional details about your Licence, Demoversion and Licence Agreement can be found in the chapter Your Multimedia Protector Licence.

To apply an Activation Key(like key for update subscription) see Apply Activation Key.


Creating Serial Numbers and Keys

Home topic Part I - Learning the Basics > Getting started - All screens in detail:

Creating Serial Numbers and Keys

 Deutsche Online Hilfe Next topic Print this topic JavaScript is required for the print function Mail us feedback on this topic! Mail us feedback on this topic!

To switch to the key generation mode, select the TAB Keys on the right side.


Format of a Key

Home topic Part I - Learning the Basics > Getting started - All screens in detail > Creating Serial Numbers and Keys:

Format of a Key

 Deutsche Online Hilfe Next topic Print this topic JavaScript is required for the print function Mail us feedback on this topic! Mail us feedback on this topic!

All keys used by Multimedia Protector are unique and have the same format.

dO8uc-G1iC9-jOGeA-BqgEX-U71lD-0V1VX

There are 6 blocks each with 5 characters. The blocks are separated by a hyphen for better readability.

The option Use extended description adds additional information information to clarify letters which could be misinterpreted (like I and 1 or O and 0). This is only necessary when transmitting a key by fax. The extended description is only available if you make one single key.

Example:

dO8uc-G1iC9-jOGeA-BqgEX-U71lD-0V1VX

In block 1 at position 2 there is the capital letter O

In block 3 at position 2 there is the capital letter O

In block 5 at position 4 there is the small letter l

In block 6 at position 1 there is the digit 0

All keys are project-specific. You have to load the project before you create the keys. It is not possible to create a Serial Number for project A when project B is loaded.


Create Serial Number Key

Home topic Part I - Learning the Basics > Getting started - All screens in detail > Creating Serial Numbers and Keys:

Create Serial Number

 Deutsche Online Hilfe Next topic Print this topic JavaScript is required for the print function Mail us feedback on this topic! Mail us feedback on this topic!

After having bought the product, the customer is provided with a Serial Number which is the 'proof of purchase' and is unique. To get a better idea of the workflow, see Basics about Workflow.

The design of a key is described in Format of a Key.

There are different ways to create a Serial Number

· Create one single Serial Number
· Create a Key List
· Dynamically create a Serial Number within an Online Shop


Create one single Serial Number

Home topic Part I - Learning the Basics > Getting started - All screens in detail > Creating Serial Numbers and Keys > Create Serial Number Key:

Create one single Serial Number

 Deutsche Online Hilfe Next topic Print this topic JavaScript is required for the print function Mail us feedback on this topic! Mail us feedback on this topic!

To manually create a Serial Number switch to the Administration Screen.

A Serial Number can be created with different options.

Allow additional days after applying Serial Number

If activation by e-mail, fax or phone is used, there is a time difference between applying the Serial Number key and sending the Unlock Key. To allow the customer to use the Multimedia Player after applying the Serial Number, add a few days (typically 2-5 days) which are included in the Serial Number.

Number of users

If a network license is used (more then 1 license per PC / user / concurrent user), the number of PCs / users / concurrent users can coded in the Serial Number. If the user buys later more licenses, send him and Additional Key.

This value overwrites the existing value in the license file. If you have an evaluation version with 5 users and the Serial Number includes 1 user, this results in a license for one user after applying the Serial Number.

For a single user installation always set this value to 1.

Number of desired Serial Numbers

Either generate one key per customer or generate a complete key list with hundreds of keys. For details see Create a Key List.

Create and Save Key

After pressing the button Generate Key, the key(s) including the extended description is/are copied into the text box. If only one key is generated, it is also copied into the clipboard.

The content of the text box can be saved to a file with the button Save generated keys to file.

Special Workflow - use ONE Serial Number on MULTIPLE PCs

The recommended workflow is to make one Serial Number for one PC, so that each PC has its own Serial Number. It is possible to hand out one single Serial Number to a company and allow, that this Serial Number can be used on multiple PCs. This requires the Activation Server.

The necessary steps are:

· Create one Serial Number (Number of PCs = 1, Number of Desired Serial Numbers = 1)
· Add this Serial Number on the 2.1 server. In the Activation Server Administration Interface, select Tools, Add an Activation Entry. It is important to select Module Activation. In the Field Maximum Tries you specify, how often the Serial Number can be used

Click to enlarge
Add a Serial Number on the Activation Server

See also

Create a Key List


Create a Key List

Home topic Part I - Learning the Basics > Getting started - All screens in detail > Creating Serial Numbers and Keys > Create Serial Number Key:

Create a Key List

 Deutsche Online Hilfe Next topic Print this topic JavaScript is required for the print function Mail us feedback on this topic! Mail us feedback on this topic!

If you have only a few installations to manage, it is sufficient to generate the Serial Number on a one-by-one basis manually. In case of a large volume delivery like hundreds of CD's, a key list is necessary. The key list file would then be sent to the CD duplication company. Online Shops that do not support an integrated generator often support the upload of a key list.

The key list file can be generated within the screen - Administration, TAB Serial Number. Enter the desired number of serials, press button Generate Key and then the button Save Key output to file. The key list is saved as a text file.

Sample:

Generating 3 Serial Number(s)...

RZ9UZ-l1CC9-9Ah7v-GZ97n-gd18N-a21Fa

6F9UA-l1CC9-9Ah7e-GZ97n-ld18N-a71FJ

S79Uf-l1CC9-9Ah7a-GZ97n-Qd18N-ak1FP

Key(s) generated.

The Key List can e.g. be sent to e-commerce providers or can be printed on the cover of the CD/DVD.

See also

Create one single Serial Number


Unlock Key

Home topic Part I - Learning the Basics > Getting started - All screens in detail > Creating Serial Numbers and Keys:

Unlock Key

 Deutsche Online Hilfe Next topic Print this topic JavaScript is required for the print function Mail us feedback on this topic! Mail us feedback on this topic!

Generating an Unlock Key is only necessary if the customer registers via e-mail, fax or phone. It unlocks the version by activating the copy protection. To get a better idea of the workflow, see Basics about Workflow.

The Unlock Key is either generated

· With Copy Protection

or if the Activation Server is used
· Within the Activation Server Administration Interface

If copy protection is not necessary, select Unlocking without Copy Protection instead.

Requesting Unlock Key by E-Mail, Fax or Phone

The customer fills out the screen for E-Mail activation or Fax Activation and sends to you an E-Mail or Fax with the activation request or calls you to activate by phone. You use the installation codes provided to generate an Unlock Key.

Click on the image to expand
E-Mail Activation Request
Click on the image to expand
Fax Activation Request
Click on the image to expand
Phone Activation Request

For details see workflow - Activation by E-Mail, Phone, Fax


Create Unlock Key with Copy Protection

Home topic Part I - Learning the Basics > Getting started - All screens in detail > Creating Serial Numbers and Keys > Unlock Key:

Create Unlock Key with Copy Protection

 Deutsche Online Hilfe Next topic Print this topic JavaScript is required for the print function Mail us feedback on this topic! Mail us feedback on this topic!

Enter the Hardware ID which is transmitted from the customer and select the type of copy protection (Volume ID, MAC Address, Hostname etc.) you want to use. You have to enter only one hardware ID.

For single user installations or CD distribution, the hardware ID 4 (NetBIOS Name) is recommended. For network installations use installation code 5 (Volume ID + UNC Path) or 6 (MAC Address + UNC Path).

After pressing the button Generate Key, the key including the extended description is copied into the text box. It is also copied into the clipboard. The content of the text box can be saved to a file with the button Save generated keys to file.

Send the Unlock Key to the customer who will use the key in the screen Enter Unlock Key.

If a hardware ID can not be retrieved (e.g. there is no network adapter) then the code is empty.

See also

The design of a key is described in Format of a Key

To better understand the Hardware ID see chapter Hardware ID.


Create Unlock Key without Copy Protection

Home topic Part I - Learning the Basics > Getting started - All screens in detail > Creating Serial Numbers and Keys > Unlock Key:

Create Unlock Key without Copy Protection

 Deutsche Online Hilfe Next topic Print this topic JavaScript is required for the print function Mail us feedback on this topic! Mail us feedback on this topic!

If the product should be unlocked with copy protection, select Unlocking with Copy Protection instead. Unlocking without Copy Protection will just protect the content, but the user could copy the product and use it on multiple PCs.

After pressing the button Generate Key, the key including the extended description is copied into the text box. It is also copied into the clipboard. The content of the text box can be saved to a file with the button Save generated keys to file.

If you have unchecked - Remove time limitation after Unlock Key is applied you will get 2 keys. Both keys have to be applied.

Send the Unlock Key to the customer who will use the key in the screen Enter Unlock Key.

See also

The design of a key is described in Format of a Key

To better understand the Hardware ID see chapter Hardware ID.


Create Unlock Key using Web Activation Server

Home topic Part I - Learning the Basics > Getting started - All screens in detail > Creating Serial Numbers and Keys > Unlock Key:

Create Unlock Key using Web Activation Server

 Deutsche Online Hilfe Next topic Print this topic JavaScript is required for the print function Mail us feedback on this topic! Mail us feedback on this topic!

Using the Activation Server to create the Unlock Key ensures that the Serial Number cannot be used twice (e.g. customers sends the Serial Number key by fax and uses the key on another PC with Online activation).

Log into the Activation Server Administration Interface and select Tools, Manual Activation.

Select your project and the main module ID. Use the Serial Number and installation code from the e-mail, fax or phone. After pressing the button Send, the data is stored and the Unlock Key is created.


Additional Licenses

Home topic Part I - Learning the Basics > Getting started - All screens in detail > Creating Serial Numbers and Keys:

Additional Licences

 Deutsche Online Hilfe Next topic Print this topic JavaScript is required for the print function Mail us feedback on this topic! Mail us feedback on this topic!

This option allows to create an Activation Key, which changes the license information after the product is delivered. The Activation Key can be applied:

· During the trial period or when an error occurs, using the option Show License Information
· After the product is activated using the License Viewer

Increase Network Licence

If a network license is used (more then 1 license per PC / user / concurrent user), the number of PCs / users / concurrent users can be increased or decreased by sending an Activation Key to the customer.

This feature is available only in the Multimedia Protector Premium Edition.

This key adds the selected number of licenses to the existing value in the license file. If you have an existing license with 5 users and the additional license includes 2 users, this results in a license for 7 users after applying the key.

Prolong Evaluation Version

The second option is to prolong an existing trial period. Make an Activation Key with:

· additional licenses = 0
· either select: "Number of days" to evaluate or "Expiry Date"

The design of a key is described in Format of a Key.

After pressing the button Generate Key, the key including the extended description is copied into the textbox. It is also copied into the clipboard. The content of the textbox can be saved to a file with the button Save generated keys to file.

Remove time limitation

The option removes time limitation removes the expiry date of a license.

To ensure that this Activation Key is not used many times, there are 2 options

With Web Activation Server

Online Validation Required

Use this options, if you have a Web Activation Server. The Activation Key is sent to the Web Activation Server before it is applied. It is stored in the database. If the Web Activation Server detects that the key was already used, it will block the key.

Without Web Activation Server

You have to include the Hardware ID in the Activation Key. This ensures that the Activation Key can only be used on the machine with the specified Hardware ID.


Add USB Stick protection

Home topic Part I - Learning the Basics > Getting started - All screens in detail:

Add USB-Stick protection

Deutsche Online Hilfe Next topic Print this topic JavaScript is required for the print function Mail us feedback on this topic! Mail us feedback on this topic!

Multimedia Protector supports to use a standard USB-Stick to copy protect a product. For details how this works see USB-Stick as a dongle replacement

Click here how to add the protection on the USB stick

To deliver a USB-Stick with a ready to go license, there are only a few steps necessary.

Limit usage

The customer can use the license always only on the computer, where the USB-Stick is attached. The limitation by PC / user is an additional configuration setting to limit the usage.

· Use a license per Computer/PC - this limits the usage to the defined number of computers (recommended option). To define an unlimited usage, just configure a license with 9999 computersPC)
· Use a license per User- this limits the usage to the defined number of users

The default value is retrieved from the project settings in the screen - License Information. If you want to change the default settings, define the new value in the field Number of Computers where the USB stick can be used.

A license per concurrent user is not supported with a USB-Stick.

Expiry Date

If you want to add an expiry date for the full version (time limited full version) use the default values from the screen - License Information. If you want to change the default settings, define the new value in the field below: Expiry Date

Licensed to

This should be the company name or the user name. The information is displayed in the License Viewer.

Activate protection on USB-Stick

If you want to copy the files to the USB-Stick and automatically activate the copy protection, select the option: Files should be copied to the USB-Stick press the button Switch on Copy Protection on USB-stick. This opens a file dialog to select the USB-Stick, copies the files and adds the protection. You can specify the number of computers, where the USB-Stick can be used, and an expiry date in the fields below.

If you already copied the files to the USB-stick and you want to use default values, select the option: Files are already on the USB-stick - Activate Copy Protection and press the button Switch on Copy Protection on USB-stick. This opens a dialog, where you can select the license file on the USB-Stick. The copy protection is then activated.

If you already copied the files to the USB-stick and you want to change the default settings, select the option: Files are already on the USB-stick - use the following values and press the button Switch on Copy Protection on USB-stick. This opens a dialog, where you can select the license file on the USB-Stick. The copy protection is then activated. You can specify the number of computers, where the USB-Stick can be used, and an expiry date in the fields below.

If you made any changes in the project settings, first save the project before you copy the files to the USB-stick.

If the USB-Stick does not support copy protection, an error message is displayed:There is no valid instcode for file filename.lic

You have to use another USB-Stick.

Typical project settings

In combination with USB-Stick you would have typically these settings:

· Uncheck - No evaluation version - Serial Number needed to start

Automated process for large quantities

If you need large quantities of USB-Sticks with a license file already activated, you can use the service of the company OEM marketing - www.oem.de. They are specialized in CD and USB duplication and they have a special license from us to add the USB-Stick protection in a batch process. You have to send them your files from the folder Deploy.

Administration - Add USB protection

This feature is available only in the Multimedia Protector Premium Edition.

See also
USB-Stick - more details
Deliver the USB-Stick with Copy Protection already activated


Create a new Project

Home topic Part I - Learning the Basics > Getting started - All screens in detail > Create a new Project:

Create a new Project

 Deutsche Online Hilfe Next topic Print this topic JavaScript is required for the print function Mail us feedback on this topic! Mail us feedback on this topic!

Select the option Create new Project in the start screen to create a new project.

You could also copy an existing project with all settings.


Project File Name

Home topic Part I - Learning the Basics > Getting started - All screens in detail > Create a new Project:

Project File Name

 Deutsche Online Hilfe Next topic Print this topic JavaScript is required for the print function Mail us feedback on this topic! Mail us feedback on this topic!

Name of new Project

Type in a project filename.

This is the name which is assigned to all distributed files (Multimedia Player and files to distribute). It can be different from the product name.

Example:

Product name: Multimedia Flash Demo

Name of the Player: Flash-Demo

The name must not contain any special characters like . &%$§" , space or umlauts like öäü.

All the project definitions and all imported files are stored in one single project file. The extension is .MME. The project filename is used with the extension .mme for the project file.

Sample: Flash-Demo.MME

Select a path (project folder) to store the new project.

If you want to protect an EXE file use the name of the EXE file you want to protect as project filename.


The Project Folder

Home topic Part I - Learning the Basics > Getting started - All screens in detail > Create a new Project:

The Project Folder

 Deutsche Online Hilfe Next topic Print this topic JavaScript is required for the print function Mail us feedback on this topic! Mail us feedback on this topic!

We recommend creating a folder per project. The project files are:

Project File .MME

This file contains all the data and definitions - see Project File Name

This file should be included in a backup. All subsequent files can be created from the project file.

Project Folders

After creating the files to deploy, a project subfolder with the Project Filename is created. This subfolder includes additional folders.

Sample:

...\Flash-Demo \Config

...\Flash-Demo \Deploy

Folder Config

Holds a configuration file with the extension .XML. This file is only for internal use and should not be changed. The Config folder has subfolders with configuration information for the Web Activation Server and Shop Integration.

Folder Deploy

This folder holds all necessary files for distribution. For details see chapter Distribute the Project .


Copy a Project

Home topic Part I - Learning the Basics > Getting started - All screens in detail:

Copy a Project

 Deutsche Online Hilfe Next topic Print this topic JavaScript is required for the print function Mail us feedback on this topic! Mail us feedback on this topic!

You can copy an existing project with all settings. Select Copy Project in the start screen.

In the file dialog, select now the project you want to copy. You get now a new screen where you can type in a new project name and select a new folder.

Click to enlarge
Copy Options

The important option is: New project uses a different encryption.

This should be used, if you want to create a new project and the project should use different Serial Numbers.

Only if you plan to deliver multiple databases with one license, because you want to split the project, uncheck this option. For details see chapter: Split project into several databases

Option: New Project uses different encryption

Checked: The new project gets a new license file and different Serial Numbers with a different encryption.

Unchecked: The new project can use the same license file and the same Serial Numbers like the original project


About Multimedia Protector

Home topic Part I - Learning the Basics > Multimedia Protector - Background Information:

About Multimedia Protector

 Deutsche Online Hilfe Next topic Print this topic JavaScript is required for the print function Mail us feedback on this topic! Mail us feedback on this topic!

Multimedia Protector allows to protect Flash, Video, Music and other file types like PDF or Office Documents (Word, Powerpoint). Every document that can be printed with a printer driver can be protected. Multimedia Protector offers evaluation features and software copy protection - ALL IN ONE.

All files of a project (e.g. Flash project with Video, Music and other files) are encrypted into one single file. The files are played in the memory to prevent that the original files can be captured from a temporary folder while played. A unique Multimedia Player is used to play the files.

Multimedia Protector comes with predefined workflows - no programming is necessary.

All types of license and copy protection is supported:

· Time limited versions
· Software Copy Protection
· Network license per PC and per User (only Premium Edition)
· Online Activation (only Premium Edition)
· Integration in Online shops ( only Premium Edition)

A user does not need to have a flash or another player like PPT or PDF reader installed. All necessary components are included in the Multimedia Player, no installation will be required and the protected application can be started even directly from CD.


Files which can be protected

Home topic Part I - Learning the Basics > Multimedia Protector - Background Information:

Files which can be protected

 Deutsche Online Hilfe Next topic Print this topic JavaScript is required for the print function Mail us feedback on this topic! Mail us feedback on this topic!

The Multimedia Protector offers a native support of SWF (Macromedia Flash) files, FLV, PDF, JPEG, EXE, PPT, MP3 and other file types by converting these files to flash files.

At least one SWF, FLV, PDF or EXE file is needed. This file can start any video, music or image files that are supported by the standard flash players.

Below find a list of all supported file types and the steps which are necessary to protect each file.

· AVI, MPEG, Quicktime, Windows Media Video
· CHM
· Executables - EXE files (only Premium Edition)
· FLV (Video)
· HTML
· JPG (Image)
· MP3 (Music)
· PDF
· PPT (Powerpoint)
· SWF (Flash)
· WAV
· Word, Visio, Excel, Office Documents


The Multimedia Player

Home topic Part I - Learning the Basics > Multimedia Protector - Background Information:

The Multimedia Player

 Deutsche Online Hilfe Next topic Print this topic JavaScript is required for the print function Mail us feedback on this topic! Mail us feedback on this topic!

The Multimedia Player is the piece of software which runs on the customer machine. It includes the in-built functionality of playing flash files in the memory (and not on the hard disk) and performs the defined licensing and copy protection schemes.

The Multimedia Player is a unique application which controls:

· Evaluation Options
· Copy Protection
· Network licensing
· Content Protection

The Multimedia Player and the encrypted file can be distributed on CD / DVD or via a download link. It does not require installation or registration on a PC - just start the Multimedia Player to display the protected files. It also does not require the installation of a flash player. Flash version 9 is supported.

Even while played a file is protected. It is not temporarily stored on the hard disk drive but played in a kind of virtual disk within the memory.

The Multimedia Player comes with a ready to go menu creator which allows to select single files - e.g. make a menu for chapter I, chapter II, chapter III, and to define which files to be started.

The Premium version comes with an ready to go installer tool, which offers an automated installation and creates a program manager group.

This is the icon of the Multimedia Player

A user does not need to have a flash or another player like PPT or PDF reader installed. All necessary components are included in the Multimedia Player, no installation will be required and the protected application can be started even directly from CD.


Copy Protection - How it works

Home topic Part I - Learning the Basics > Multimedia Protector - Background Information > Copy Protection, Licensing, Evaluation:

Copy Protection - How it works

 Deutsche Online Hilfe Next topic Print this topic JavaScript is required for the print function Mail us feedback on this topic! Mail us feedback on this topic!

Multimedia Protector offers a media independent protection - the media itself like CD / DVD, download link or USB-Stick is not modified or protected. The copy protection does not prevent, that you can copy the data from CD to the hard disk but it prevents that the application can be started on multiple machines.

The license is bound to a specific hardware ID of the PC (e.g. MAC address). The Multimedia Player will start only, if the license file is located on the specified hardware. This works both in a single user environment and in a network environment.

The advantage of a software copy protection is:

· media independent - distribute the application via CD / DVD, download, USB-Stick or other media where you can store files
· the application can run without a CD / DVD inserted
· you can produce even one single CD - no need to have 1000 CDs duplicated at once
· no problems with the CD / DVD drives or operating systems because no physical modification (like modification of the CD) is done

The additional step, which is necessary, is to transfer the hardware IDs. With Online activation, this step is automated. With activation by e-mail, fax or phone this is a manual process.

The following hardware IDs are supported:

· Volume ID
· MAC Address of the network adapter
· Hostname
· Netbios Name
· Volume ID and UNC Pathname
· MAC Address and UNC Pathname

Details as well as pros and cons about each criteria can be found in Part II - Details about Copy Protection

Copy Protection is enabled automatically (default option), but it is possible to make a full version without Copy Protection (see: How to protect the content but do not use Copy Protection?) and to protect the content only.


Available License Options

Home topic Part I - Learning the Basics > Multimedia Protector - Background Information > Copy Protection, Licensing, Evaluation:

Available Licence Options

 Deutsche Online Hilfe Next topic Print this topic JavaScript is required for the print function Mail us feedback on this topic! Mail us feedback on this topic!

Multimedia Protector supports 3 different types of license:

· Licence per User
· Licence per PC (only option in Standard version)
· Licence per Concurrent User

Licence per User (Person)

The Windows User name is licensed. Each user starting the Multimedia Player will need a license. The windows user name is written into the license file.

This type of license requires a Licence for each User, but only one Licence per PC. If 2 users would share 1 PC this would result in 2 user licenses, but only in 1 PC license.

Licence per PC

This is often the default license type. Each PC starting the Multimedia Player needs a license. The PC name is written into the license file. This type results in a smaller number of licenses than with the Licence per User type (e.g.: if 2 users share 1 PC, 2 Licences per User are needed, but only 1 PC license).

If the application runs on a Citrix / Terminal server, the hostname of the local PC and not the hostname of the server will be used.

Licence per Concurrent User

This is a typical license in a huge multi-user environment. The Multimedia Player can be installed on an unlimited number of machines, but the number of concurrent (simultaneous) users are counted and limited to the specified number. The license is assigned only as long as the Multimedia Player is running. If the Multimedia Player is terminated, the license is available again. If a user logs in with the same user name on 2 different PCs, 2 licenses will be used.

Multimedia Protector offers a sophisticated verification of concurrent user licenses. Machines that hang or have crashed are detected and the license is released. This is done automatically through the Multimedia Player.

The network license and Licence per User as well as Licence per Concurrent User is available only in the Multimedia Protector Premium Edition.

Concurrent user is not supported when the main application is an EXE file.

All license types also work in a Terminal Server and Citrix environment. The license information can be displayed within the Licence Viewer.

See also How to distribute a network version.


Evaluation Options

Home topic Part I - Learning the Basics > Multimedia Protector - Background Information > Copy Protection, Licensing, Evaluation:

Evaluation Options

 Deutsche Online Hilfe Next topic Print this topic JavaScript is required for the print function Mail us feedback on this topic! Mail us feedback on this topic!

The evaluation version allows starting the Multimedia Player for a specific time without registration. During each program start the days left for evaluation are displayed.

The following evaluation options are possible

· Limit number of days after installation
· Limit until a specified expiry date
· Just display evaluation screen to register, but always allow a program start
· No evaluation version - registration is mandatory
· No evaluation version - Multimedia Player can be started without registration (content protection only)


The License File

Home topic Part I - Learning the Basics > Multimedia Protector - Background Information > Copy Protection, Licensing, Evaluation:

The Licence File

 Deutsche Online Hilfe Next topic Print this topic JavaScript is required for the print function Mail us feedback on this topic! Mail us feedback on this topic!

Multimedia Protector uses a license file (extension .lic) for storing license information. This file is modified during the program start and during activation. The user needs read and write access for the file.

This is especially important in a network environment or if distributing the application via CD/DVD.

Always make a backup of the license file if you start the Multimedia Player directly. The license file is modified with each start and cannot be used any longer for distribution.


Content Protection

Home topic Part I - Learning the Basics > Multimedia Protector - Background Information > Copy Protection, Licensing, Evaluation:

Content Protection

 Deutsche Online Hilfe Next topic Print this topic JavaScript is required for the print function Mail us feedback on this topic! Mail us feedback on this topic!

The file content and the file itself is protected. At no time there will be an access to the original format like flash, PDF or Word.

Content Protection

All files are imported into one single data file which is encrypted. Only this data file is distributed and not the original files. This makes sure that only the encrypted data file is visible on the distribution media, but the data file itself is not accessible.

Access Protection

The weak point of any protection tool is the timeframe during which the file is displayed in the player. Normally, a player copies the file to a temporary folder on the hard disk drive which can be detected and the file can be captured unprotected.

Not so with Multimedia Protector. The file is directly loaded from the encrypted database into the memory. At no point during displaying the file will be accessible on the hard disk drive.

The Multimedia Player runs in a mode which does not allow saving and printing the file.

The access protection is not available for EXE (executables) files.


About Part II

Home topic Part II - Enhanced Features:

About Part II

 Deutsche Online Hilfe Next topic Print this topic JavaScript is required for the print function Mail us feedback on this topic! Mail us feedback on this topic!

These lessons explore Multimedia Protector features that will enhance your projects even more. After completing them, you'll have experience with these tasks:

· Activation an Registration Screens
· Add an Installer for Harddisk and Network Installation
· Add-Ons (Menu Creator, Music Player, Photo Album)
· Details about Copy Protection
· Distribute the Project
· Executables (exe file)
· Files which can be protected (SWF, FLV, MP3, EXE, MPEG, JPG, PDF, PPT, Word, Visio, AVI, WAV, Other formats)
· Flash Development
· Shop Integration
· How TOs and FAQ
· Menu Creator
· Multimedia Player
· Network License - how it works
· Problems - Trouble Shooting - Error Messages


Activation and Registration Screens

Home topic Part II - Enhanced Features:

Activation and Registration Screens

 Deutsche Online Hilfe Next topic Print this topic JavaScript is required for the print function Mail us feedback on this topic! Mail us feedback on this topic!

This chapter describes all relevant screens of the Multimedia Player during the licensing and activation process.

Tutorial - Product Activation

This tutorial demonstrates, how the user activates the product - using Online, E-Mail, Fax or phone activation.

Start Video Tutorial for product Activation


Start Screen of the Multimedia Player

Home topic Part II - Enhanced Features > Activation and Registration Screens:

Start Screen of the Multimedia Player

 Deutsche Online Hilfe Next topic Print this topic JavaScript is required for the print function Mail us feedback on this topic! Mail us feedback on this topic!

This is the initial screen which pops-up as long as the software has not been activated. It depends on the selected customization options.

The following configuration settings are possible:

· Product Name
· Link to Web Shop
· Registration Image
· Activation Options and Default Activation Option
· Number of days to evaluate
· Available Activation Options
· Link to Help
· Dialog to choose a language

It allows either continuing unregistered or typing in the Serial Number. The version can be used x days for evaluation before the activation has to be done.


Online Activation

Home topic Part II - Enhanced Features > Activation and Registration Screens:

Online Activation

 Deutsche Online Hilfe Next topic Print this topic JavaScript is required for the print function Mail us feedback on this topic! Mail us feedback on this topic!

The Online Activation requires the Serial Number, company name and e-mail address. Then the license will be verified online and activated. No additional step will be required. Details of the workflow.

This activation option is defined in the screen - Settings.

The activation process is transparent for the customer.

The screen: Activation Successful is displayed


Activation by E-Mail

Home topic Part II - Enhanced Features > Activation and Registration Screens:

Activation by E-Mail

 Deutsche Online Hilfe Next topic Print this topic JavaScript is required for the print function Mail us feedback on this topic! Mail us feedback on this topic!

The E-Mail Activation requires the Serial Number, company name and e-mail address. After filling out the screen, an e-mail with the hardware IDs and license information will be generated. You have to send one key back to the customer to activate the copy protection (see screen Enter Unlock Key). Details of the workflow.

This activation option is defined in the screen - Settings

Click to enlarge
Screen - E-Mail Activation

After filling out the screen, select: Request Unlock Key by E-Mail - send E-Mail. This will open your default E-Mail client. An e-mail with the hardware IDs and license information will be created. Press send to send the e-mail to our activation center. You will get an Unlock Key back within 2-3 business days.

Click to enlarge
E-Mail Activation - Send E-Mail

Create Unlock Key

The Unlock Key is generated in the TAB Administration, Create Unlock Key with Copy Protection or Create Unlock Key without Copy Protection. If you are using the Activation Server, then see Create Unlock Key using the Web Activation Server.

Enter Unlock Key

After requesting the Unlock Key by E-Mail, the screen shown below will appear during each start of the program. Type in the Unlock Key you got back by e-mail or fax. Press the button Next. If the Activation is successful, the screen Activation finished is displayed.

Click to Click to enlarge
Enter Unlock Key


Activation by Fax

Home topic Part II - Enhanced Features > Activation and Registration Screens:

Activation by Fax

 Deutsche Online Hilfe Next topic Print this topic JavaScript is required for the print function Mail us feedback on this topic! Mail us feedback on this topic!

The Fax Activation requires the Serial Number, company name and e-mail address. After filling out the first screen, a print page with the hardware IDs and Serial Number will be generated. You have to send one key back to the customer to activate the copy protection (see screen Enter Unlock Key). Details of the workflow.

This activation option is defined in the screen - Settings

Click to enlarge
Fax Activation

Request Unlock Key

After filling out the screen, select: Request Unlock Key by Fax - print Fax. This will open a report with the hardware IDs and license information. Press print to print the report and then fax it to the number provided in the report. You will get an Unlock Key back within 2-3 business days.

Click to enlarge
Fax Activation - Print Fax

Create Unlock Key

The Unlock Key is generated in the TAB Administration, Create Unlock Key with Copy Protection or Create Unlock Key without Copy Protection. If you are using the Activation Server, then see Create Unlock Key using the Web Activation Server.

Enter Unlock Key

After requesting the Unlock Key by E-Mail, the screen shown below will appear during each start of the program. Type in the Unlock Key you got back by e-mail or fax. Press the button Next. If the Activation is successful, the screen Activation finished is displayed.

Click to Click to enlarge
Enter Unlock Key


Activation by Phone

Home topic Part II - Enhanced Features > Activation and Registration Screens:

Activation by Phone

 Deutsche Online Hilfe Next topic Print this topic JavaScript is required for the print function Mail us feedback on this topic! Mail us feedback on this topic!

The Phone Activation requires the Serial Number and company name. After filling out the first screen, a screen with the phone number and also displaying the hardware IDs and Serial Number will pop up. The Unlock Key can be entered directly in this screen. Details of the workflow.

This activation option is defined in the screen - Settings

Click to enlarge
Phone Activation - Step 1

Request Unlock Key

Now call the phone number which is displayed. First specify the Serial Number. You will then be asked for one Installation code. Type in the Unlock Key you get and press the button Apply Key.

Click to enlarge
Phone Activation - Step 2

Create Unlock Key

The Unlock Key is generated in the TAB Administration, Create Unlock Key with Copy Protection or Create Unlock Key without Copy Protection. If you are using the Activation Server, then see Create Unlock Key using the Web Activation Server.


Enter Unlock Key

Home topic Part II - Enhanced Features > Activation and Registration Screens:

Enter Unlock Key

 Deutsche Online Hilfe Next topic Print this topic JavaScript is required for the print function Mail us feedback on this topic! Mail us feedback on this topic!

After requesting an unlock key via e-mail or fax this screen will appear with the next program start. Typing in the unlock key activates the software copy protection. The registration process is completed. The screen Activation Successful is displayed.


Activation Successful

Home topic Part II - Enhanced Features > Activation and Registration Screens:

Activation Successful

 Deutsche Online Hilfe Next topic Print this topic JavaScript is required for the print function Mail us feedback on this topic! Mail us feedback on this topic!

After Online Activation or successfully entering an Unlock key, this screen will appear to indicate that the activation process is finished. The next start of the Multimedia Player will display a screen only in case of an error.


Evaluation Period Expired / No evaluation version

Home topic Part II - Enhanced Features > Activation and Registration Screens:

Evaluation Period Expired / No evaluation version

 Deutsche Online Hilfe Next topic Print this topic JavaScript is required for the print function Mail us feedback on this topic! Mail us feedback on this topic!

If the evaluation period defined in the screen - Licence Information - has expired or the option , No evaluation version - Serial number needed to start was selected, this screen will appear. It is not possible to continue.


Copy Protection Violation

Home topic Part II - Enhanced Features > Activation and Registration Screens:

Copy Protection Violation

 Deutsche Online Hilfe Next topic Print this topic JavaScript is required for the print function Mail us feedback on this topic! Mail us feedback on this topic!

If the version is installed on another PC after activation, the copy protection will be violated. It is not possible to continue.


No free license available

Home topic Part II - Enhanced Features > Activation and Registration Screens:

No free license available

 Deutsche Online Hilfe Next topic Print this topic JavaScript is required for the print function Mail us feedback on this topic! Mail us feedback on this topic!

If the Multimedia Player is used with a network license and more users / Pcs then defined in the screen - Licence Information - try to start the Multimedia Player. Then this error message will appear. It is not possible to continue.

A user / PC license can be deactivated from the end user within the Licence Viewer.

See common reasons for this error.


Show License Information

Home topic Part II - Enhanced Features > Activation and Registration Screens:

Show License Information

 Deutsche Online Hilfe Next topic Print this topic JavaScript is required for the print function Mail us feedback on this topic! Mail us feedback on this topic!

The License Viewer is part of the Multimedia Player and is a complete administration interface for the end user. It can be accessed from any screen during the activation and registration process with the link Show License Information. The License Viewer can also be invoked by starting the Multimedia Player with the parameter -v (see Start Options) or it can be added in the program manager group using the installer (parameter ShowLicenseInfo).

You can also use a standard text file with the extension .BAT (e.g. viewer.bat), which has only one line with the command:

xy-player.exe -v

whereas xy-player.exe is the name of your Multimedia Player of your product. You can download a sample here.

Features

· Basic license information like manufacturer, company, copy protection status and system information
· License information per module (number of licenses, time limitation, demo version, activation status)
· List of users, PCs and concurrent users for each module. Allows to remove / deactivate a user / PC / item
· Option to apply Activation Keys
· Option to activate log file

See also
Multimedia Player - Start Options
Basic license information
Module Information
Deactivate a network license


About Online Activation

Home topic Part II - Enhanced Features > Activation Server:

About Online Activation

 Deutsche Online Hilfe Next topic Print this topic JavaScript is required for the print function Mail us feedback on this topic! Mail us feedback on this topic!

The Web Activation and Registration module is an out of the box solution for activating a license and changing license information online. The Multimedia Playerconnects to the registration server and performs the following operations:

· Activate copy protection
· Change a license, e.g. from demo mode to full version mode
· Verify Serial Numbers and Activation Keys

The registration server ensures that each license can be registered only once. Every transaction is logged to a database.

Optionally, keys can be transmitted to the activation server before they are applied to the license file. It is checked, whether the key was already used or not. This is to ensure that the key cannot be passed on and used multiple times.

See workflow for default options of activation.

This feature is available only in the Multimedia Protector Premium Edition.

The Web Activation Server is provided via a hosting model. Mirage provides installation and maintenance of the server. The hosting has to be ordered separately. You can run your own server. Contact sales@mirage-systems.de.

See also

Enable Online Activation
Online Activation Workflow
Web Administration Interface
Hosting of the Web Activation Server
Sample project to test online activation


Online Activation - Step by Step

Home topic Part II - Enhanced Features > Activation Server:

Online Activation - Step by Step

 Deutsche Online Hilfe Next topic Print this topic JavaScript is required for the print function Mail us feedback on this topic! Mail us feedback on this topic!

To use the Online Activate feature, perform the following steps:

One time configuration

· You need the Multimedia Protector Premium version - check your license
· You need a valid hosting account - Order Hosting.
· Type in you hosting data in the screen Administration, Web Activation Server Administration

Configuration per project

· Select Online Activation in the screen - Settings and also set correct URL to Web Activation Server
· Save your project - Screen - Save
· Upload configuration files to Activation Server
· Log into Activation Server Administration Interface using the Link in the Web Activation Server Administration
· Select menu Tools, select: Restart Webservice

Now you can start using a Serial Number and activate the product online.

Retrieve Statistics

· Log into Activation Server Administration Interface using the Link in the Web Activation Server Administration
· Browse the tutorial of the Web Activation Server


Web Administration Interface

Home topic Part II - Enhanced Features > Activation Server:

Web Administration Interface

 Deutsche Online Hilfe Next topic Print this topic JavaScript is required for the print function Mail us feedback on this topic! Mail us feedback on this topic!

The Web Activation Server comes with an browser-based Web Administration interface. You can monitor each activation, allow reactivation or detect fraudulent usage of Activation Keys.

The Web Administration interface can be accessed within the Administration screen.

Have a look at the administration interface on the demo Web Activation Server or browse the tutorial of the Web Activation Server.

The user name is demo, the password is protector. To get a German user interface, use user name: demo-ge and password: protector.


Hosting of the Web Activation Server

Home topic Part II - Enhanced Features > Activation Server:

Hosting of the Web Activation Server

 Deutsche Online Hilfe Next topic Print this topic JavaScript is required for the print function Mail us feedback on this topic! Mail us feedback on this topic!

Mirage provides the Web Activation Server as a hosting service, which allows you to start without worrying about running an own server, applying updates or any firewall issues.

You pay per number of activations. For details including used hardware and pricing, see hosting service on our website.


Activation Server for Testing

Home topic Part II - Enhanced Features > Activation Server:

Activation Server for Testing

 Deutsche Online Hilfe Next topic Print this topic JavaScript is required for the print function Mail us feedback on this topic! Mail us feedback on this topic!

We provide a Test Activation Server, which allows you to make real activations with your product before you order the hosting service.

Use the following configuration settings.

· In the Screen - Settings, set the URL to Web Activation Server to http://registerserver.net/9999999/lpweb/lpws.asmx
· In the Screen - Administration, Set Hosting Number to 9999999 and Password to lp9999999
· In the Screen - Administration. press the button Change URL and type in the URL to the Webserver,
https://www.registerserver.net/9999999/lpweb

Click to enlarge
Configure Activation Server

· Save the project
· Upload configuration files to Activation Server
· Log into Activation Server Administration Interface using the Link in the Web Activation Server Administration

The user name is demo, the password is protector. To get a German user interface, use user name: demo-ge and password: protector.

Now you can start using a Serial Number and activate the product online.

Retrieve Statistics

· Log into Activation Server Administration Interface using the Link in the Web Activation Server Administration

The user name is demo, the password is protector. To get a German user interface, use user name: demo-ge and password: protector.

· Browse the tutorial of the Web Activation Server

As this is a testing environment the projects are removed from time to time and the activations are deleted.


Add-Ons

Home topic Part II - Enhanced Features:

Add-Ons

 Deutsche Online Hilfe Next topic Print this topic JavaScript is required for the print function Mail us feedback on this topic! Mail us feedback on this topic!

Add-On tools are provided to cover specific requirements. They are provided on an 'AS IS' basis. These tools must never be used and distributed without the Multimedia Player.

Menu Creator - lets you create own flash menus

Music Player - protects mp3 files

Photo Album - 2 different albums to present photos

MIRAGE MAKES NO REPRESENTATION, WARRANTY, OR GUARANTY AS TO THE RELIABILITY, TIMELINESS, QUALITY, SUITABILITY, TRUTH, AVAILABILITY, ACCURACY OR COMPLETENESS OF THE SOFTWARE MENTIONED IN THIS TUTORIAL. MIRAGE DOES NOT REPRESENT OR WARRANT THAT (A) THE USE OF THE SOFTWARE WILL BE SECURE, TIMELY, UNINTERRUPTED OR ERROR-FREE OR OPERATE IN COMBINATION WITH ANY OTHER HARDWARE, SOFTWARE, SYSTEM OR DATA, (B) THE SOFTWARE WILL MEET YOUR REQUIREMENTS OR EXPECTATIONS, (C) ERRORS OR DEFECTS WILL BE CORRECTED, OR (D) THE SOFTWARE IS FREE OF VIRUSES OR OTHER HARMFUL COMPONENTS.

THE SOFTWARE IS PROVIDED TO YOU STRICTLY ON AN "AS IS" BASIS. ALL CONDITIONS, REPRESENTATIONS AND WARRANTIES, WHETHER EXPRESS, IMPLIED, STATUTORY OR OTHERWISE, INCLUDING, WITHOUT LIMITATION, ANY IMPLIED WARRANTY OF MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE, OR NON-INFRINGEMENT OF THIRD PARTY RIGHTS, ARE HEREBY DISCLAIMED TO THE MAXIMUM EXTENT PERMITTED BY APPLICABLE LAW BY MIRAGE.


Music Player

Home topic Part II - Enhanced Features > Add-Ons:

Music Player

 Deutsche Online Hilfe Next topic Print this topic JavaScript is required for the print function Mail us feedback on this topic! Mail us feedback on this topic!

Multimedia Protector comes with a music player for MP3 files. It can be found on the directory ...\Add-Ons\Music Player

A sample how to protect music files with this player is provided with mp3-demo.mme. Click here to download

The buttons, category, title and composer can be defined. The free player is limited to 10 songs. If you want an unlimited player or player with your own logo, you can buy it directly on the A4flash Website - Click here to buy

The music player can be used with Multimedia Protector, but it is not allowed to distribute the files as a standalone application without Multimedia Protector

See also
Configuration of the Player
Include Player in Project
How to edit an XML file


Configuration of the Player

Home topic Part II - Enhanced Features > Add-Ons > Music Player:

Configuration of the Player

 Deutsche Online Hilfe Next topic Print this topic JavaScript is required for the print function Mail us feedback on this topic! Mail us feedback on this topic!

The configuration of the music player is done with the radio.xml. It can be modified using any editor. If you do not have an XML Editor see How to edit an XML file.

Never use a absolute path like c:\files which points to your disk drive on the PC. Always use a relative path like radio/01.mp3.

Button

You can define the labels of the buttons which appear on the player. You can place a different link per button. If you do not need the button, leave text and link empty. The button will be invisible.

<button id="1" text="A4Flash" link="http://a4flash.com/lib/access/" />

Station name

To structure the presentation of the songs use different station names like Pop, Classic.

<station name="Classical Music" text="test">

Song

Define the title, composer, mp3 file, image and links for the buttons. You always have to use relative paths for the mp3 file and the image like used in the sample. You can have any number of songs per station within the limitation of the free version (10 songs).

<song> ç song tag contains one song details

<title>Song1</title> ç set the title of the song

<composer>Songster1</composer> ç set the composer of the song

<file>Radio/01.mp3</file> ç set the path of the sound file

<<artistpic>Images/1.jpg</artistpic> ç set the picture of the artist

</song>


Include Player in Project

Home topic Part II - Enhanced Features > Add-Ons > Music Player:

Include Player in Project

 Deutsche Online Hilfe Next topic Print this topic JavaScript is required for the print function Mail us feedback on this topic! Mail us feedback on this topic!

To include the music placer into the project, just copy the files:

· music-player.swf
· radio.xml

as well as all used images and mp3 files to your data source directory and import the files in the screen - Data Import.


Photo Album

Home topic Part II - Enhanced Features > Add-Ons:

Photo Album

 Deutsche Online Hilfe Next topic Print this topic JavaScript is required for the print function Mail us feedback on this topic! Mail us feedback on this topic!

Multimedia Protector comes with 2 different photo albums. You can use a photo album to distribute JPG files. It can be found on the directory ...\Add-Ons\PhotoAlbum and then ...\album1 and..\album2

A sample for jpg files with these photo-albums is provided with photo-album1-demo.mme and photo-album2-demo.mme.

Album 1

This is a photo album which allows placing a lot of text and present the photos in different categories.

Album 2

This is a photo album which allows placing a lot photos on one page including thumbnail and big size photo as well as a short description per photo.

The Photo Album can be used with Multimedia Protector, but it is not allowed to distribute the files as a standalone application without Multimedia Protector .

If you need animations and a slide show, use Adobe Lightroom or the freeware tool from Airtight (Simple Viewer, PostCardViewer, AutoViewer).

See also

Use Photo Album 1
Use Photo Album 2
Other Photo Albums
Include Photo Album in Project
How to edit an XML file


Album 1

Home topic Part II - Enhanced Features > Add-Ons > Photo Album:

Album 1

 Deutsche Online Hilfe Next topic Print this topic JavaScript is required for the print function Mail us feedback on this topic! Mail us feedback on this topic!

To use this Album, copy all files from ...\Add-Ons\PhotoAlbum\Album1 to a new directory. You may not rename the folder names.

You can start the file photo-portfolio.swf to browse through the demo album.

Never use a absolute path like c:\files which points to your disk drive on the PC. Always use a relative path like \img\flash\gallery_01.

Textlabels

The text that appears on the album can be modified with the file setup.txt.

· Go to the folder ...\Add-Ons\PhotoAlbum\Album1\Set
· Open the file setup.txt and change the text

You will find a more detail description in one up the next updates of the online help

Images

The images have to be placed on a subfolder for each section, which was defined in the setup.txt file with &title_section_1 or &title_section_2 (sample: &title_section_1=men)

For each section you need a subfolder ..\Add-Ons\PhotoAlbum\Album1\img\flash\gallery_01

To add images for gallery 1 (title_section_1 in the setup.txt)

· Go to the .\Add-Ons\PhotoAlbum\Album1\img\flash\gallery_01
· Delete the default images
· Each image to add must be renamed:

pic_1_gall_01_bg.jpg (picture 01, big)
pic_1_gall_01_sm.jpg (picture 01, small)
pic_1_gall_02_bg.jpg (picture 02, big)
pic_1_gall_02_sm.jpg (picture 02, small)
· Add your pictures for each gallery in the folder ..img\flash\gallery_01-img\flash\gallery_03 and for the Home Tab in img\flash\home

After adding all files, select the main folder Album1 to import it. Define photo-portfolio.swf as starting-file.

Look & Feel of the Album


Album 2

Home topic Part II - Enhanced Features > Add-Ons > Photo Album:

Album 2

 Deutsche Online Hilfe Next topic Print this topic JavaScript is required for the print function Mail us feedback on this topic! Mail us feedback on this topic!

To use this Album, copy all files from ...\Add-Ons\PhotoAlbum\Album2 to a new directory. You may not rename the folder names.

You can start the file gallery.swf to browse through the demo album.

Never use a absolute path like c:\files which points to your disk drive on the PC. Always use a relative path like \img\flash\gallery_01.

Textlabels

The text that appears on the album, can be modified with the files pictures.xml and personal_setup.xml

· Go to the folder ...\Add-Ons\PhotoAlbum\Album2\xml
· Open the file pictures.xml with any xml Editor (notepad, Word). If you do not have an XML Editor see How to edit an XML file

You can define a name per section / galleryname (<gallery name="1">) and you have to define each image you want to use

<image source="pics/pic1.jpg" thumb="pics/th1.jpg" descr="description 1"/>

whare source = the subfolder and big image name, thumb = name of small image, descr = title of the image

· Your personal settings can be configured in personal_setup.xml

You will find a more detail description in one up the next updates of the online help

Images

The images have to be placed in a subfolder ...\Add-Ons\PhotoAlbum\Album2\pics and added in the pictures.xml file.

After adding all files, select the main folder Album1 to import it. Define gallery.swf as starting-file.

Look & Feel of the Album

See also
How to edit an XML file


Include Photo Album in Project

Home topic Part II - Enhanced Features > Add-Ons > Photo Album:

Include Photo Album in Project

 Deutsche Online Hilfe Next topic Print this topic JavaScript is required for the print function Mail us feedback on this topic! Mail us feedback on this topic!

To include the photo album in the project, just copy the files:

· Album 1 (photo-portfolio.swf, folder ..\set)
· Album 2 (gallery.swf, folder ..\xml)

as well as all used images and files to your data source directory and import the files in the screen - Data Import.


Airtight

Home topic Part II - Enhanced Features > Add-Ons > Photo Album:

Airtight

 Deutsche Online Hilfe Next topic Print this topic JavaScript is required for the print function Mail us feedback on this topic! Mail us feedback on this topic!

There are great photo albums, which you can download from Airtight - http://www.airtightinteractive.com/viewers/

· SimpleViewer
· PostcardViewer
· AutoViewer

You find there also a description, how you can create the photo album using a popular tool like PhotoShop, Picasa, Porta, iPhoto, RapidWeaver, Aperture, Adobe Lightroom - details

For protecting files with Airtight, the following steps are necessary.

Airtight AutoViewer

Import ALL files (swf, html, js..) and make viewer.swf the start file

Airtight PostcardViewer

Import ALL files (swf, html, js..) and make viewer.swf the start file

Airtight Simple Viewer

Import ALL files (swf, html, js..) and make viewer.swf the start file


SWF Generator - Slide Show

Home topic Part II - Enhanced Features > Add-Ons > Photo Album:

SWF Generator - Slide Show

 Deutsche Online Hilfe Next topic Print this topic JavaScript is required for the print function Mail us feedback on this topic! Mail us feedback on this topic!

You can create a slide show with SWF Generator. The details are described in the online help of SWF Generator but these are the basic steps.

Step 1 - Create Slideshow

Select the images within SWF Generator in the input dialog.

Select a Viewer and create the SWF file.

Important settings are:

· Create only the SWF-File - this is mandatory
· Select any Viewer

Step 2 - protect file with Multimedia Protector

· Now import the SWF file and make it the start file
· Screen - Player Options. Select: Start with default size

Special Promotion: All users, who buy Multimedia Protector 2.1, get from Orontes Project a free version of SWF Generator. The license key is sent out with the Multimedia Protector license. The offer is subject to change without notice.

You can download a free trial version. Click here to download. The trial version needs Multimedia Protector installed on the same system.


The Basics about Copy Protection

Home topic Part II - Enhanced Features > Details about Copy Protection:

The Basics about Copy Protection

 Deutsche Online Hilfe Next topic Print this topic JavaScript is required for the print function Mail us feedback on this topic! Mail us feedback on this topic!

This feature prevents that the application can be run on different machines. It binds the license file to a hardware specific item.

The user cannot move the Multimedia Player from computer A to computer B, because the hardware identifiers that are used for Copy Protection will be different on any other machine - Copy protection does not prevent the copy process, but starting the Multimedia Player on non-licensed machines.

The place where the license file is stored is used to determine the hardware information of the machine.

· If the license file is stored on a local machine, the hardware of the local machine will be used.
· If the license file is stored on a server, then the server hardware is used (Volume ID, MAC Address, Hostname). When starting the application on a local machine within a network, Multimedia Player retrieves the server hardware even if the application is running on the local machine
· If the license file is stored on a NAS drive (Network attached storage), then the hardware of the NAS is used (Volume ID, MAC Address, Hostname). When starting the application on a local machine within a network, Multimedia Player retrieves the NAS hardware even if the application is running on the local machine
· If the license file is on an USB-Stick, then a criteria of the USB-Stick is used to provide copy protection
· If the product is started from a CD/DVD then the license file is copied to the local PC hardware and the local PC hardware is used for copy protection

Copy Protection can be used as an option. You can create a license without Copy Protection by just sending out an Unlock Key without Copy Protection.


Hardware IDs

Home topic Part II - Enhanced Features > Details about Copy Protection:

Hardware IDs

 Deutsche Online Hilfe Next topic Print this topic JavaScript is required for the print function Mail us feedback on this topic! Mail us feedback on this topic!

Hardware IDs are often referenced as installation codes, because the codes are only available after the installation of the

application on a machine. The hardware IDs are referenced with installation code numbers to prevent that the user knows the criteria which are used. The installation code numbers are itemized in brackets after the name of the hardware ID.

For protection of privacy, the hardware ID is always an 8 digit code. This is very important because some countries do not allow to transfer personal data like hostname. The hardware ID is additionally hashed with a project specific code to ensure, that each Multimedia Protector application creates different installation codes.

The following hardware IDs are supported:

· Volume ID (1)
· MAC Address of the network adapter (2)
· Hostname (3)
· NetBIOS Computer Name (4)
· Volume ID and UNC Pathname (5)
· MAC Address and UNC Pathname (6)
· USB-Stick (11) 1)

1)

This feature is available only in the Multimedia Protector Premium Edition.

For a server license only use an installation code combined with the UNC pathname.

If a hardware ID can not be retrieved (e.g. there is no network adapter) then the code is empty.


Transferring Hardware IDs

Home topic Part II - Enhanced Features > Details about Copy Protection:

Transferring Hardware IDs

 Deutsche Online Hilfe Next topic Print this topic JavaScript is required for the print function Mail us feedback on this topic! Mail us feedback on this topic!

Using the Online Activation, the hardware IDs are automatically transferred to the Web Activation server. Using activation by e-mail, fax or phone, the codes have to be sent to you and you have to send and unlock key back.

The complete process is described in the chapter: Worflow - from Distribution to Activation


Volume ID (1)

Home topic Part II - Enhanced Features > Details about Copy Protection:

Volume ID (1)

 Deutsche Online Hilfe Next topic Print this topic JavaScript is required for the print function Mail us feedback on this topic! Mail us feedback on this topic!

Each hard disk drive (even a USB-Stick) has a volume ID (like a Serial Number). To view the current Volume ID of a drive, you can just perform a dir <drive>: and the volume Serial Number is shown on the second line down, e.g.

Volume in drive E is system
Volume Serial Number is BC09-8AE4

The Serial Number can be changed using tools, and if a drive is imaged, the volume ID will be imaged as well.

Pros/Cons

+ Always available and always working

+ Works in single user and network environment

- After reinstallation of Windows, the volume ID changes

- Volume ID’s are always the same whenever a image tool is used to set up a drive

- Allows several installations on the same machine

Recommendation

· Good for applications used by home users because the criteria are always available
· The only choice, if the license file is stored on a memory stick


MAC Address (2)

Home topic Part II - Enhanced Features > Details about Copy Protection:

MAC Address (2)

 Deutsche Online Hilfe Next topic Print this topic JavaScript is required for the print function Mail us feedback on this topic! Mail us feedback on this topic!

This is a good criteria for single user installations, because it is still available after a reinstallation of a machine and is independent of disk imaging. There are a few things to be considered in a server environment.

Server with 2 network adapters

If a server has more than one adapter, with some PCs accessing the server through adapter 1, some through adapter 2, a copy protection violation will occur. In this case we recommend switching to the criteria Volume ID + UNC Pathname.

Server with subnets

In a subnet portioned network environment the MAC address should not be used. All PCs in outer subnets cannot retrieve the MAC address. Switch to Volume ID or Hostname in combination with UNC path as means of copy protection.

Novell Server

Multimedia Protector can be used on a Novell server for licensing, but the Software Copy Protection will not work, because the hardware information like Volume ID or MAC address cannot be retrieved from the server.

W-Lan Adapter

Some W-Lan Adapters are 'invisble' for Windows, whenever the network cable is unplugged or a notebook is in battery mode. Switch to hostname.

PDA with network adapter

If a PDA with an in-built network adapter is connected to the PC during the activation, it could happen that this network adapter is used, because the network adapter of the PDA is added to the PCs network adapters. The PDA should be disconnected, and then the MAC address can be used for copy protection.

Windows 98 /NT

The software copy protection with installation code 2 cannot be used, whenever using Windows 98 / NT with the license file being on the server. A Windows 98 / NT system cannot retrieve this information from the server.

Recommendation: Use installation code 5, 1 or 3 within a network installation with Windows 98 / NT machines.

The installation code 2 works with Windows 98 / NT, whenever the license file is on the local machine.

Note:

· There will be no future support for Windows 98 and Multimedia Protector with the complete functionality.
· A MAC address can be faked with tools
· If Multimedia Protector cannot retrieve a MAC address the instcode 2 is empty

Pros/Cons

+ After reinstallation of Windows, the MAC address does not change

+ If an image tool is used, the MAC address is still different

+ Good within a network, because the MAC address must be unique

- See considerations above for multiple network cards

- Restricted use in network environment with Windows 98 / NT machines

- Allows several installations of the application on the same machine.

Recommendation

Should be used for enterprise users because disk imaging is often used to set up multiple machines and a reinstallation of Windows does not need a new licensing.


Hostname (3)

Home topic Part II - Enhanced Features > Details about Copy Protection:

Hostname (3)

 Deutsche Online Hilfe Next topic Print this topic JavaScript is required for the print function Mail us feedback on this topic! Mail us feedback on this topic!

A Windows machine's NetBIOS name is not to be confused with the computer's host name. Each computer running TCP/IP (whether it's a Windows machine or not) has a host name (also sometimes called a machine name). You can view/change it on the DNS tab in Control Panel -> Network -> TCP/IP -> Properties Host names are used by applications such as telnet, ftp, web browsers, etc. In order to connect to a computer running the TCP/IP protocol using its HOST name, the host name must be resolved into an IP Address (the host name or FQDN (Fully Qualified Domain Name)-IP address resolution is typically done by something called DNS - Domain Name System/Service). Changing a computer's Host name DOES NOT change its NetBIOS name.

Note

If a local PC does not have a network adapter and uses a dial-up connection for registration then the hostname could change between 'localhost' and the hostname used for the dial-up connection. The only solution for this scenario is to use the NetBIOS computer name.

Pros/Cons

+ Works in single user and network environment

+ Good within a network because the hostname must be unique

- After reinstallation of Windows, the hostname changes

- See considerations above with dial-up connections

- Allows several installations on the same machine.

Recommendation

· Should be used for enterprise users who have problems using the installation code with the MAC address


NetBIOS Computer Name (4)

Home topic Part II - Enhanced Features > Details about Copy Protection:

NetBIOS Computer Name (4)

 Deutsche Online Hilfe Next topic Print this topic JavaScript is required for the print function Mail us feedback on this topic! Mail us feedback on this topic!

This is the recommended installation code for single user.

Each computer running Windows has a NetBIOS name; you can view/change it on the identification tab in Control Panel -> Network. Various services & client tools, including Network Neighbourhood and NET USE, use NetBIOS names. The NetBIOS name is specified when Windows networking is installed/configured. In order to connect to a computer running TCP/IP via its NetBIOS name, the name must be resolved to an IP Address (the NetBIOS name-IP address resolution is often done by WINS - NetBIOS Name Server). A computer's NetBIOS name is often the same as that computer's host name, but it doesn't have to be.

Pros/Cons

+ Works always in single user environment

+ See considerations regarding hostname with dial-up connections

+ Works even in Notebooks with W-Lan adapter when disconnected from the local network

- After reinstallation of Windows, the NetBIOS computer name changes

- Only usable for single user installations

- Allows several installations on the same machine.

Recommendation

· If you do have only single user installations then use the NetBIOS name


Volume ID + UNC Pathname (server license) (5)

Home topic Part II - Enhanced Features > Details about Copy Protection:

Volume ID + UNC Pathname (5)

 Deutsche Online Hilfe Next topic Print this topic JavaScript is required for the print function Mail us feedback on this topic! Mail us feedback on this topic!

This Installation Code combines the Volume ID with UNC pathname (details).

Pros/Cons

+ Always available and always working

+ Works in single user and network environment

+ Allows only one installation on one machine

- After reinstallation of Windows, the volume ID changes

- Volume ID’s are always the same whenever a image tool is used to set up a drive

Recommendation

· Should be used for enterprise users who have problems using the installation code with the MAC address and who want to make sure that the application is only installed once

For a server license only use an installation code combined with the UNC pathname.

This code results in a copy protection error if you work on the server AND on the workstation. It only works if the server is used as a dedicated server and the Multimedia Player is not started on the server. Use code 1-3 in case of an problem.


MAC Address + UNC Pathname (server license) (6)

Home topic Part II - Enhanced Features > Details about Copy Protection:

MAC Address + UNC Pathname (6)

 Deutsche Online Hilfe Next topic Print this topic JavaScript is required for the print function Mail us feedback on this topic! Mail us feedback on this topic!

This Installation Code combines the MAC address with the UNC pathname (details)

Pros/Cons

+ After reinstallation of Windows, the MAC address does not change

+ If an image tool is used, the MAC address is still different

+ Good within a network, because the MAC address must be unique

+ Allows only one installation on one machine

- See considerations above for multiple network cards

- Restricted use in network environment with Windows 98 / NT machines

Recommendation

· Should be used for enterprise users because disk imaging is often used to set up multiple machines and a reinstallation of Windows does not need a new licensing.

For a server license only use an installation code combined with the UNC pathname.

This code results in a copy protection error if you work on the server AND on the workstation. It only works if the server is used as a dedicated server and the Multimedia Player is not started on the server. Use code 1-3 in case of an problem.


USB Stick (11)

Home topic Part II - Enhanced Features > Details about Copy Protection:

USB-Stick (11)

 Deutsche Online Hilfe Next topic Print this topic JavaScript is required for the print function Mail us feedback on this topic! Mail us feedback on this topic!

Multimedia Protector offers a unique technology to use a standard USB-Stick as a 'Dongle replacement'. Now the times are over where you have to decide whether to use a software copy protection or a Dongle.

The big advantage compared with a dongle is, that nearly any standard USB-Stick can be used. You can send out the USB-Stick with your project files already loaded on the stick or the customer can use his own USB-Stick. If a USB-Stick can be used or not depends on the fact, if the manufacturer has added a special information like a kind of a Serial Number of the USB-Stick.

If a module with a license per PC is used, the usage of the USB-Stick can be limited to a specified number of PCs.

Pros/Cons

+ Works always in single user environment

+ Customer can use a single user license on different machines

+ The number of machines, where the USB-Stick can be used, can be limited

- Only usable for single user installations

- Hardware is involved

- Not all USB-Sticks will work

For details how to use the USB-Stick see chapter: Using an USB-Stick as a Dongle replacement.

The USB-Stick protection can only be used as a single PC / single user license. A network license is not supported as a PC cannot retrieve the hardware information of the USB-Stick when it is used on a server.

The USB protection works only with Windows XP and newer Windows versions like Vista. Windows 2000, Windows 98 and Windows 95 are not supported.

This feature is available only in the Multimedia Protector Premium Edition.


The Basics about Distributing a Project

Home topic Part II - Enhanced Features > Distribute the Project:

The Basics about Distributing a Project

 Deutsche Online Hilfe Next topic Print this topic JavaScript is required for the print function Mail us feedback on this topic! Mail us feedback on this topic!

After a project has been created successfully and Distribute / Save has been selected, a folder with all necessary files for distribution will be generated.

The folder name is ..\Deploy and is a subfolder of the project folder.

Example: ..\Flash-Demo \Deploy

Never store other files in this folder (on the hard disk). The files in this folder are deleted when the project is saved.

The folder contains 4 files. All files are named according the settings: Name Of Player in the Settings screen. You can copy these files to a CD/DVD or USB-Stick. Never use a folder name Deploy on the CD/DVD or USB-Stick as the product does not start then.

The Multimedia Player

The Multimedia Player has the extension .EXE and is the main application which includes all the necessary functionality to display the file and monitor copy protection and licensing.

Example: flash-demo.exe

You cannot start the Multimedia Player in this folder, because the license file is modified with each start and cannot be used any longer for distribution. If you want to make a life test, copy the complete Deploy folder to another directory.

The Data File

The data file contains all the files selected in the Data Import section in an encrypted format. It has the extension .MMF.

Example: flash-demo.mmf

Never deploy the project file with the extension .mme

The Licence File

The license file contains all licensing and copy protection information. It has the extension .LIC

Example: flash-demo.lic

To be 100% sure that you have a new license file, just create the deploy folder again before you distribute the project.

To test a project use the Testdrive option.

Autorun File

When distributing the files on a CD, the autorun.inf file would start the Multimedia Player after the CD is inserted in the drive.

A user does not need to have a flash or another player like PPT or PDF reader installed. All necessary components are included in the Multimedia Player, no installation will be required and the protected application can be started even directly from CD.


Distribute a CD/DVD

Home topic Part II - Enhanced Features > Distribute the Project:

Distribute a CD/DVD

 Deutsche Online Hilfe Next topic Print this topic JavaScript is required for the print function Mail us feedback on this topic! Mail us feedback on this topic!

To deliver a CD/DVD, just copy all files from the folder deploy to the CD/DVD. If you want to install the files from the CD to a hard disk drive, use the ready to go installer.

Never start the Multimedia Player for testing before you make the CD/DVD, as the license file is modified with each start and cannot be used any longer for distribution. The CD/DVD must be finalized (no modification is possible after the CD/DVD is burned) and it must be a Read Only CD/DVD. Don't use a Live File System (CD/DVD can be used like a hard disk) like Vista offers. The best option is to use a CD/DVD burning software which makes sure, that the CD cannot be modified after burning.

Using a RW CD/DVD would result in an error because the Multimedia Player would try to modify the license file. When the Multimedia Player is directly started from a CD/DVD, then the license file is automatically copied during the first program start to a folder on the hard disk, where each user has a read and a write access.

See also
Adding an Installer


Distribute via a download link

Home topic Part II - Enhanced Features > Distribute the Project:

Distribute via a download link

 Deutsche Online Hilfe Next topic Print this topic JavaScript is required for the print function Mail us feedback on this topic! Mail us feedback on this topic!

To distribute via a download link, all files from the folder deploy have to be packed into one ZIP file. Use the option Save as ZIP in the Screen - Save.

Never start the Multimedia Player for testing before you make the exe or zip file, as the license file is modified with each start and cannot be used any longer for distribution

See also
Adding an Installer


Executables (exe file)

Home topic Part II - Enhanced Features:

Executables (exe file)

 Deutsche Online Hilfe Next topic Print this topic JavaScript is required for the print function Mail us feedback on this topic! Mail us feedback on this topic!

Multimedia Protector supports a protection of .EXE files.

You can start EXE files from flash applications or secure standalone EXE files. Also menu applications could be used to start other EXE files.

How does it work?

· The exe file is imported into the encrypted database and not visible. It is completely protected
· When the exe file is invoked, it is extracted to the hard disk to a hidden place and started

The security of exe files is different compared with swf files. Swf files are loaded directly into the memory and are never visible on a disk. The exe file has to be saved temporarily on a folder.

If Source Code is available, the protection can be improved significantly by defining a password, which is required to start the EXE file. If no Source Code is available, you can additionally encrypt the EXE file.

See also
Import EXE Files
Read configuration data and license file information
EXE file - protection options
Exe file is menu application
Flash application using exe file
Define Password for EXE file

This feature is available only in the Multimedia Protector Premium Edition.


No Source Code / Encrypt EXE

Home topic Part II - Enhanced Features > Executables (exe file):

No Source Code / Encrypt EXE

 Deutsche Online Hilfe Next topic Print this topic JavaScript is required for the print function Mail us feedback on this topic! Mail us feedback on this topic!

If you don't have a Source Code and you want to add a password or you additionally want to encrypt the EXE file (e.g. .NET applications), then you could use the EXE packer - RLPACK - http://rlpack.jezgra.net/

It encrypts the EXE file and allows to specify a password, which is passed from Multimedia Player to the encrypted EXE file. You need at least version 1.2.1 of RLPACK. The password feature is only available in the full version.

Before you buy the software, first check with the free trial version, if the product encrypts your EXE file and the file starts correct.

Step 1 - Encrypt File and add Password

Encrypt your EXE file and add a password. Find below settings, which should work for most applications but you have to test it thoroughly with your application.

Define a password as recommended in the chapter - define password for EXE file. Click on the P button to specify password options. Select: Do not save the password on user computer!

Click on the options button an define Protection options.

Step 2 - Import the EXE File

Import the EXE file and specify a command line parameter. The command line parameter for RLPack needs a special format - It must begin with /PWD followed by the password.

If your application depends on other files and you do not have the Source Code, then select: Run EXE unprotected on installation directory and uncheck all the other options. This will extract the file to the installation folder and find all the other files as expected.

The name of the Multimedia Player (project name) must be different like the EXE name you protect as the EXE is extracted to the main folder during runtime.

MIRAGE MAKES NO REPRESENTATION, WARRANTY, OR GUARANTY AS TO THE RELIABILITY, TIMELINESS, QUALITY, SUITABILITY, TRUTH, AVAILABILITY, ACCURACY OR COMPLETENESS OF THE SOFTWARE MENTIONED IN THIS TUTORIAL. MIRAGE DOES NOT REPRESENT OR WARRANT THAT (A) THE USE OF THE SOFTWARE WILL BE SECURE, TIMELY, UNINTERRUPTED OR ERROR-FREE OR OPERATE IN COMBINATION WITH ANY OTHER HARDWARE, SOFTWARE, SYSTEM OR DATA, (B) THE SOFTWARE WILL MEET YOUR REQUIREMENTS OR EXPECTATIONS, (C) ERRORS OR DEFECTS WILL BE CORRECTED, OR (D) THE SOFTWARE IS FREE OF VIRUSES OR OTHER HARMFUL COMPONENTS.

THE SOFTWARE IS PROVIDED TO YOU STRICTLY ON AN "AS IS" BASIS. ALL CONDITIONS, REPRESENTATIONS AND WARRANTIES, WHETHER EXPRESS, IMPLIED, STATUTORY OR OTHERWISE, INCLUDING, WITHOUT LIMITATION, ANY IMPLIED WARRANTY OF MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE, OR NON-INFRINGEMENT OF THIRD PARTY RIGHTS, ARE HEREBY DISCLAIMED TO THE MAXIMUM EXTENT PERMITTED BY APPLICABLE LAW BY MIRAGE.


EXE file is a menu application

Home topic Part II - Enhanced Features > Executables (exe file):

EXE file is a menu application

 Deutsche Online Hilfe Next topic Print this topic JavaScript is required for the print function Mail us feedback on this topic! Mail us feedback on this topic!

If your EXE file is a menu application, which just invokes other files like PDF, swf, videos, then place the EXE file outside the database. This has multiple advantages

· The files are not extracted to a temporary folder and are protected
· The size of the database does not matter

You can then start a file inside the database directly using a start parameter like -load. See complete list of start options for the player

Example

· Start a PDF file - mycourse.exe -load "course1.pdf"
· Start a flash file - mycourse.exe -load "course2.swf"

You find a description of some menus in the chapter - Additional Menus

See also
Menu applications


Flash application using exe files

Home topic Part II - Enhanced Features > Executables (exe file):

Flash application using exe files

 Deutsche Online Hilfe Next topic Print this topic JavaScript is required for the print function Mail us feedback on this topic! Mail us feedback on this topic!

If you have a flash application that invokes exe files, the fscommand will be supported. It works as follows:

· Extract the file from the encrypted database to the hard disk to a hidden place
· Start the file
· The file is not removed after termination

In case you load files in your exe file, you have to be aware that these files have to be available on the new directory. You have to extract these files first from the database to the directory (see below). If your exe file creates new files, you should always create it on the same folder or subfolder - but never use a hard coded path.

If you need to control, how an EXE or BAT file is used, you can add special commands to your flash application.

Use one of the following commands:

http://FILE:testfile.exe or http://FILE:testfile.exe$$START

This command extracts the exe file from the database to a temporary folder and starts it. The file must be an exe file. The Multimedia Player is still activated. When the Multimedia Player is closed, it tries to delete the exe file. This is only possible if the exe file was terminated - if it is still running it cannot be deleted.
http://FILE:testfile.exe$$STARTKEEP

Same as parameter $$START, but does NOT delete the exe file after termination.
http://FILE:testfile.exe$$COPY

Just extracts the file from the database, but do not start it. This command can be used with any file type like DLL or txt. If you need multiple files (e.g. not only exe files but also dlls or configuration files), you can first extract all these files and at the end start the main exe file using http://FILE:testfile.exe$$START . When the Multimedia Player is closed, it tries to delete all extracted files.

http://FILE:testfile.exe$$COPYKEEP
Same as parameter $$COPY, but does NOT delete the exe file after termination

You can add a pathname where you want to extract the files, in case you do not want to use the temporary folder.

Sample: loadMovie("http://FILE:testfile.exe$$COPYKEEP$$c:\mypath\testfile.exe",2)

would extract the file testfile.exe from the database to the folder c:\mypath

http://FILE:testfile.exe$$RUN

This commands starts an exe file which is already available on the CD or hard disk. It can be used to start any external application. The file is not deleted after termination. The file must be on the same folder like the Multimedia Player. A pathname cannot be used.

Sample: loadMovie("http://FILE:testfile.exe$$RUN",2);
The http://FILE: command also works with HTML and BAT files.

Invoke a BATCH file

You can invoke a .BAT file to perform any type of tasks. The .bat file must be on the same folder as the player. With a batch file you could e.g. invoke a huge AVI file, which will then be played in the default player.

Command: loadMovie("http://FILE:avistart.bat$$RUN",2)

The avistart.bat needs only the name of the avi file:

sample.avi

See also
Multimedia Player - Start Options


EXE protection with extensive requirements

Home topic Part II - Enhanced Features > Executables (exe file):

How to protect an application written in .NET, VB, Delphi, C or other development languages?

 Deutsche Online Hilfe Next topic Print this topic JavaScript is required for the print function Mail us feedback on this topic! Mail us feedback on this topic!

You can use Multimedia Protector EXE Protection, if you do not have one of the following requirements

· No modules - only one application which has to be licensed
· No floating / concurrent user license
· Maximum security and flexibility of the licensing
· Transferring a license from PC A to PC B

These additional requirements are covered with Licence Protector source code integration product - see website www.Licence-Protector.com for details and download the trial version.

For protection with Licence Protector you need the Source Code and development work is necessary.


Flash Development

Home topic Part II - Enhanced Features:

Flash Development

 Deutsche Online Hilfe Next topic Print this topic JavaScript is required for the print function Mail us feedback on this topic! Mail us feedback on this topic!

You can use any standard flash command in combination with Multimedia Protector. Find below some special enhancements or tips.

· Read data from configuration files
· Start EXE or BAT files
· Store data
· Start a specific file inside the database


License File Information

Home topic Part II - Enhanced Features > Flash Development:

License File Information

 Deutsche Online Hilfe Next topic Print this topic JavaScript is required for the print function Mail us feedback on this topic! Mail us feedback on this topic!

If you want to display license information like the registered customer name, you can retrieve this information via an XML file. The XML file contains a lot of fields. Some are for future use and are not explained in this documentation.

The name of the file is mp2flash-info.xml. Just load the file with standard flash code. It is generated on the fly and provided by the Multimedia Player.

<Default>

<Install-Path-MMF> - path where the mmf file (database) can be found
<Install-Path-Player> - installation path of the application
<Player-Name> - name of the Multimedia Player, e.g. myapp.exe
<MMF-Name> - name of the mmf file, e.g. myappdata.mmf
<StartExe> - name of the start file, e.g. yoursource.exe

<LicenceInfo>

<Customer> - license holder name. This is the name which was type in during the product activation

<Module1>

<TotalLicences> - number of maximum network licenses define in the screen - License Information or in the Serial Number

<RemainingLicences> - licenses available in a network installation

<ExpiredOn> - Expiry date of the license - if expired on is 30.12.1899 then it is a version without any time limitation

<RemainingDays> - Days left to evaluate the product or to run the full version. If the value is -1 then there is no time limitation

<LicenceType> - S - license per Computer, U = license per User, R = license per concurrent user - defines in the screen - License Information

<WebActivation> - 0 = status after program start. No Serial Number was applied, 1 = Serial Number was applied, 2 = product is activated, 3 = erroneous activation


Configuration Files

Home topic Part II - Enhanced Features > Flash Development:

Configuration Files

 Deutsche Online Hilfe Next topic Print this topic JavaScript is required for the print function Mail us feedback on this topic! Mail us feedback on this topic!

You can either have an XML file, which you include in the flash project, or you can store customer specific configuration values in an XML file, which is on the same folder like the protected database file (.mmf).

The flash command is: config_xml.load("config.xml");


Start PDF and PPT files

Home topic Part II - Enhanced Features > Flash Development:

Start PDF and PPT files

 Deutsche Online Hilfe Next topic Print this topic JavaScript is required for the print function Mail us feedback on this topic! Mail us feedback on this topic!

Start PDF file (unprotected)

Use in flash the same command to open a PDF file as you would use to start another flash file. The file is displayed in the Multimedia Protector PDF Viewer but it is not protected.

You have to select the option: Do NOT encrypt PDF files to open a PDF file from within flash.

Start PDF and PPT files (protected)

To start a protected PDF or PPT file within a flash application, you have to create an own project with these files and then invoke the Multimedia Player EXE file.

· Split the project into a second database (e.g. pdfiles.mmf)
· Add the command http://FILE:player.exe -f filename.mmf -l "pdfname.pdf" $$RUN in your flash application to start the database filename.mmf with the pdf file pdfname.pdf - example: http://FILE:player.exe -f pdfiles.mmf -l "flyer1.pdf" $$RUN
· If you have a PowerPoint file, it is sufficient to define just the database name

Details how to protect PDF and PPT.


Store Data

Home topic Part II - Enhanced Features > Flash Development:

Store Data

 Deutsche Online Hilfe Next topic Print this topic JavaScript is required for the print function Mail us feedback on this topic! Mail us feedback on this topic!

If your application needs to temporarily store data (e.g. results of a test), use the local shared object functionality.

A local A local shared-object is stored on the user's machine. Depending on the operating system it is e.g.

· for Windows XP: Documents and Settings\userName\Application Data\Macromedia\Flash Player\#SharedObjects
· for Vista: \Users\userName\AppData\Roaming\Macromedia\Flash Player\#SharedObjects

Example

// Create a shared-object named "userData"

mySharedObject=SharedObject.getLocal("userData");


Start a specific file inside the database

Home topic Part II - Enhanced Features > Flash Development:

Start a specific file inside the database

 Deutsche Online Hilfe Next topic Print this topic JavaScript is required for the print function Mail us feedback on this topic! Mail us feedback on this topic!

If you have a menu application as an EXE file, it might be useful, to start a specific flash file inside the database. The menu.exe file would be on the CD/disk (outside the database) and start each flash file individually.

Example - Start files are in the main folder

You have 3 flash files inside the database. All start files are in the main folder.

Click to enlarge
Import - 3 flash files - all in one folder

You have to specify one start file. This would be the file which is loaded when you start the Multimedia Player without any command.

The menu application could invoke each flash file individually. If the menu has an option Lesson 1, Lesson 2, Lesson 3 then selecting option Lesson 1 one would directly load file 1.

The command to load a file would be

"mycourse.exe" -load "file1.swf"

Note: mycourse.exe is the name of the Multimedia Player. You could also specify a path

"c:\programs\myapps\mycourse.exe" -load "file1.swf"

Example - Start file is in a sub folder

You have 3 flash files inside the database. The files are in separate folders.

Click to enlarge
Import - 3 flash files - files are in sub folders

If you start a flash file in a sub folder and this flash file also starts other flash files, you have to specify the option: Always use relative Paths in the screen - Player Options.

The command to load a file would be

"mycourse.exe" -load "course1\file1.swf"

You can also specify an EXE file as the start file

See also
Multimedia Player - Start Options
Start a specific database (mmf file)


HTML Starter file

Home topic Part II - Enhanced Features > Flash Development:

HTML Starter file

 Deutsche Online Hilfe Next topic Print this topic JavaScript is required for the print function Mail us feedback on this topic! Mail us feedback on this topic!

Often tools generate a default.html or index.html to start the flash application. This is not working with Multimedia Protector, as HTML files can not be used. Just edit the HTML file and search for a file with the extension .swf, which is the main starter file. The html file can then replaced with a special flash starter file.

· From ..\tools\flashstarter copy the files flashstarter.swf and configstarter.xml to the folder, where the default.html or index.html is locacted

· Edit the file configstarter.xml and add the folder\filename of the main flash file. You can also specify parameters
· Now import ALL files (swf, html, js..) and make flashstarter.swf the start file.

Content of configstarter.xml

<!-- defines the folder and flash name the flashstarter.swf loads -->

<StartSwf>resources/gallery.swf</StartSwf>

<!-- the parameter for the flash application -->

<Parameter>flash variables - parameter</Parameter>

The flashstarter.swf would invoke the gallery.swf in the subfolder resources with resources/gallery.swf?flash variables


Integration in Online Shops

Home topic Part II - Enhanced Features:

Integration in Online Shops

 Deutsche Online Hilfe Next topic Print this topic JavaScript is required for the print function Mail us feedback on this topic! Mail us feedback on this topic!

Multimedia Protector offers a ready to go integration in the e-commerce shops of

· Avangate (www.avangate.com )
· Cleverbridge ( www.cleverbridge.com )
· Element5/ShareIt ( www.element5.com , www.shareit.com )

It is possible to provide integration into other shops. Request information from support@mirage-systems.de.

The following description does not cover how to handle the setup for these e-commerce shops. It describes the necessary steps to combine Multimedia Protector with these shops.


About Shop Integration

Home topic Part II - Enhanced Features > Integration in Online Shops:

About Shop Integration

 Deutsche Online Hilfe Next topic Print this topic JavaScript is required for the print function Mail us feedback on this topic! Mail us feedback on this topic!

Basically, you create a key list with Serial Numbers which are uploaded to the shop. After the order process, a Serial Number key from this key list is inserted in the order confirmation e-mail and the customer can download your protected multimedia file.

If you sell a network license where each order can contain a different quantity of licenses, it is not possible to work with uploaded keys. You have to create a Serial Number Key which is different per order and includes the quantity of licenses ordered.

Both scenarios are described for Avangate, cleverbridge and Element5 / Share-it!.


Avangate

Home topic Part II - Enhanced Features > Integration in Online Shops:

Avangate

 Deutsche Online Hilfe Next topic Print this topic JavaScript is required for the print function Mail us feedback on this topic! Mail us feedback on this topic!

The integration into the Avangate e-commerce system (www.avangate.com) can be done without programming - just by defining the desired action.

These steps are necessary to integrate Multimedia Protector:

· Build a key list with Serial Numbers
· Upload Serial Numbers
· Define Delivery Text
· Upload Project Files
· Define Delivery Option

This workflow is intended for single user / PC license. The order process can allow ordering multiple single user licenses at a time. Per license, one Serial Number key is delivered.

If you sell a network license where each order can contain a different number of licenses, it is not possible to work with uploaded keys. You have to create a Serial Number Key which is different per order and includes the number of licenses ordered. This feature is not supported right now.


Build a key list with Serial Numbers

Home topic Part II - Enhanced Features > Integration in Online Shops > Avangate:

Build a key list with Serial Numbers

 Deutsche Online Hilfe Next topic Print this topic JavaScript is required for the print function Mail us feedback on this topic! Mail us feedback on this topic!

First you have to build a list with Serial Numbers which are uploaded to the shop. Depending on your sales, create 100 or 1000 Serial Number keys to upload.

Within the Screen - Administration create a list of Serial Numbers - for details see Create Serial Number Key. Save the key list to a file with Save generated keys to file.


Upload Serial Numbers

Home topic Part II - Enhanced Features > Integration in Online Shops > Avangate:

Upload Serial Numbers

 Deutsche Online Hilfe Next topic Print this topic JavaScript is required for the print function Mail us feedback on this topic! Mail us feedback on this topic!

Login in the Avangate system and select Electronic Delivery.

Type in a List Name and select the List Type: Static

Select the button: Edit. From the key list with Serial Numbers you created - see build a key list with Serial Numbers - copy and paste the keys in the field Code.

Click to enlarge
Add keys to key list

Important settings are:

· Uncheck Single Code
· Uncheck Allow Duplicates
· Select Quantity Sensitive


Define Delivery Text

Home topic Part II - Enhanced Features > Integration in Online Shops > Avangate:

Define Delivery Text

 Deutsche Online Hilfe Next topic Print this topic JavaScript is required for the print function Mail us feedback on this topic! Mail us feedback on this topic!

Edit a product and select additional delivery information. The Activation Key will be added automatically. You can add a delivery text for multiple languages.

Click to enlarge
Add Delivery Text information

You can use one of the following sample texts.

Serial Number Key - English

Serial Number

The Serial Number Key is your 'proof of purchase'. It can be used only once and requires an Internet connection.

Start the application and select: I have a serial number and I want to activate (your product name). Enter the Serial Number Key from this E-Mail (you can copy it using the clipboard), your name/company and your e-mail address. Press the button: Next. A dialog appears which verifies the Serial Number key online and activates the application.

If you don't have an Internet connection use the option: You can also request an unlock key by E-Mail.

Help, how to activate the software, can be found by selecting the icon ?

Backup your license file xy.lic.

Serial Number Key - German

Seriennummer

Die Seriennummer ist ihr 'Kaufnachweis'. Diese kann nur einmal verwendet werden und benötigt eine Internet Verbindung

Starten Sie die Anwendung und wählen Sie: Ich habe eine Seriennummer und möchte (Ihr Produktname) aktivieren. Geben Sie die Seriennummer von diesem E-Mail (diese kann über die Zwischenablage kopiert werden), Name/Firma und Ihre E-Mail Adresse ein. Drücken Sie die Schaltfläche: Weiter. Es erscheint ein Dialogfenster, das die Seriennummer online überprüft und die Software aktiviert.

Wenn keine Internet Verbindung zur Verfügung steht wählen Sie die Option: Sie können auch per E-Mail einen Freischaltschlüssel anfordern.

Hilfe, wie die Software aktiviert werden kann, ist über das Symbol ? verfügbar.

Sichern Sie die Lizenzdatei XY.lic.


Upload Project Files

Home topic Part II - Enhanced Features > Integration in Online Shops > Avangate:

Upload Project Files

 Deutsche Online Hilfe Next topic Print this topic JavaScript is required for the print function Mail us feedback on this topic! Mail us feedback on this topic!

To distribute via a download link, all files from the folder deploy have to be packed into one ZIP file. Use the option Save as ZIP in the Screen - Save.

Never start the Multimedia Player for testing before you make the exe or zip file, as the license file is modified with each start and cannot be used any longer for distribution

See also
Adding an Installer

Within Avangate, Select Product Files and then press the button Browse. Select your installation package and upload the file.


Define Delivery Details - Download Link

Home topic Part II - Enhanced Features > Integration in Online Shops > Avangate:

Define Delivery Details - Download Link

 Deutsche Online Hilfe Next topic Print this topic JavaScript is required for the print function Mail us feedback on this topic! Mail us feedback on this topic!

Edit a product. In the TAB Delivery you specify that Avangate delivers your uploaded project files by download link.

· List name: select the list with your keys - see: Upload Serial Numbers
· File: select your project file in the drop down list - see: Upload Project Files


Cleverbridge

Home topic Part II - Enhanced Features > Integration in Online Shops:

Cleverbridge

 Deutsche Online Hilfe Next topic Print this topic JavaScript is required for the print function Mail us feedback on this topic! Mail us feedback on this topic!

The integration into the cleverbridge e-commerce system (www.cleverbridge.com) can be done without programming - just by defining the desired action.

These steps are necessary to integrate Multimedia Protector:

· Build a key list with Serial Numbers
· Upload Serial Numbers
· Define Delivery Text
· Upload Project Files
· Define Delivery Option

This workflow is intended for single user / PC license. The order process can allow ordering multiple single user licenses at a time. Per license, one Serial Number key is delivered.

If you sell a network license where each order can contain a different number of licenses, it is not possible to work with uploaded keys. You have to create a Serial Number Key which is different per order and includes the number of licenses ordered.

See chapter - Creating order specific Serial Numbers.


Build a key list with Serial Numbers

Home topic Part II - Enhanced Features > Integration in Online Shops > Cleverbridge:

Build a key list with Serial Numbers

 Deutsche Online Hilfe Next topic Print this topic JavaScript is required for the print function Mail us feedback on this topic! Mail us feedback on this topic!

First you have to build a list with Serial Numbers which are uploaded to the shop. Depending on your sales, create 100 or 1000 Serial Number keys to upload.

Within the Screen - Administration create a list of Serial Numbers - for details see Create Serial Number Key. Save the key list to a file with Save generated keys to file.


Upload Serial Numbers

Home topic Part II - Enhanced Features > Integration in Online Shops > Cleverbridge:

Upload Serial Numbers

 Deutsche Online Hilfe Next topic Print this topic JavaScript is required for the print function Mail us feedback on this topic! Mail us feedback on this topic!

Start the cleverbridge Commerce Assistant and edit a product. In the TAB Delivery Details you specify which keys are delivered.

Press the button Add and select Cleverbridge delivers key. Then select Key List and press the button [image] .

Click to enlarge
Delivery Details - select Key List

Type in a name for the key list and press the Add button - select the key list with Serial Numbers you created - see build a key list with Serial Numbers


Define Delivery Text

Home topic Part II - Enhanced Features > Integration in Online Shops > Cleverbridge:

Define Delivery Text

 Deutsche Online Hilfe Next topic Print this topic JavaScript is required for the print function Mail us feedback on this topic! Mail us feedback on this topic!

Start the cleverbridge Commerce Assistant. Edit a product and add a delivery text. This text will include the Activation Key which will be generated after the order process and is used in the e-mail which is send out to the customer. The delivery text can be in HTML format.

Click to enlarge
Add Delivery Text information

You can use one of the following sample texts. The Serial Number Key is inserted with the variable <Key>.

Serial Number Key - English

<b><font size="4">Serial Number </font></b>

<p>The Serial Number Key is your 'proof of purchase'. It can be used only once and requires an Internet connection.

</p>

<p>The serial number key is: <b> <Key> </b></p>

<p>Start the application and select: <b> I have a serial number and I want to activate (your product name).

</b>Enter the Serial Number Key from this E-Mail (you can copy it using

the clipboard), your name/company and your e-mail address. Press the button: <i>

Next. </i>A dialog appears which verifies the Serial Number key online and

activates the application.</p>

<p>If you don't have an Internet connection, use the option: <i>You can also

request an unlock key by E-Mail.</i></p>

<p>Help, how to activate the software, can be found by selecting the icon ? </p>

<p><b>Backup your license file xy.lic</b>.</p>

Serial Number Key - German

<b><font size="4">Seriennummer</font></b><p>Die

Seriennummer ist ihr 'Kaufnachweis'. Diese kann nur einmal verwendet werden und

benötigt eine Internet Verbindung</p>

<p>Die Seriennummer lautet: <b> <Key> </b></p>

<p>Starten Sie die Anwendung und wählen Sie: <b>Ich habe eine Seriennummer und

möchte (Ihr Produktname) aktivieren<I>.

</i></b>Geben Sie die Seriennummer von diesem E-Mail (diese kann über die

Zwischenablage kopiert werden), Name/Firma und Ihre E-Mail Adresse ein. Drücken

Sie die Schaltfläche: <i>Weiter. </i>Es erscheint ein Dialogfenster, das die

Seriennummer online überprüft und die Software aktiviert.</p>

<p>Wenn keine Internet Verbindung zur Verfügung steht wählen Sie die Option: <i>

Sie können auch per E-Mail einen Freischaltschlüssel anfordern.</i></p>

<p>Hilfe, wie die Software aktiviert werden kann, ist über das Symbol ?

verfügbar.</p>

<p><b>Sichern Sie die Lizenzdatei XY.lic</b>.</p>


Upload Project Files

Home topic Part II - Enhanced Features > Integration in Online Shops > Cleverbridge:

Upload Project Files

 Deutsche Online Hilfe Next topic Print this topic JavaScript is required for the print function Mail us feedback on this topic! Mail us feedback on this topic!

To distribute via a download link, all files from the folder deploy have to be packed into one ZIP file. Use the option Save as ZIP in the Screen - Save.

Never start the Multimedia Player for testing before you make the exe or zip file, as the license file is modified with each start and cannot be used any longer for distribution

See also
Adding an Installer

Start the cleverbridge Commerce Assistant. Select Product Files and then press the button Upload Product File. Select your zipped file from the deploy folder and upload the file.


Define Delivery Details - Download Link

Home topic Part II - Enhanced Features > Integration in Online Shops > Cleverbridge:

Define Delivery Details - Download Link

 Deutsche Online Hilfe Next topic Print this topic JavaScript is required for the print function Mail us feedback on this topic! Mail us feedback on this topic!

Start the cleverbridge Commerce Assistant and edit a product. In the TAB Delivery Details you specify that cleverbridge delivers your uploaded project files by download link.

Press the button Add and select Cleverbridge delivers full version by download. Then select Download File and select your uploaded project file in the drop down list.


Creating order specific Serial Numbers

Home topic Part II - Enhanced Features > Integration in Online Shops > Cleverbridge:

Creating order specific Serial Numbers

 Deutsche Online Hilfe Next topic Print this topic JavaScript is required for the print function Mail us feedback on this topic! Mail us feedback on this topic!

If you sell a network license where each order can contain a different quantity of licenses, it is not possible to work with uploaded keys. You have to create a Serial Number Key which is different per order and includes the quantity of licenses ordered.

After the order process, an automated Licence Generator is invoked by the shop system. The automated Licence Generator uses the quantity from the order and a special definition file to generate a Serial Number key which includes the number of licenses for a network license.


Build configuration file

Home topic Part II - Enhanced Features > Integration in Online Shops > Cleverbridge > Creating order specific Serial Numbers:

Build configuration file

 Deutsche Online Hilfe Next topic Print this topic JavaScript is required for the print function Mail us feedback on this topic! Mail us feedback on this topic!

You can define a product (article) you want to sell with the cleverbridge program Commerce Assistant (CA).

First add a new product (article) in the Cleverbridge shop. You need the ProductID from the cleverbridge shop in the configuration file.

Click to enlarge
Add product with Commerce Assistant

A configuration file to create a Serial Number is generated automatically in the folder ..\projectname\Config\shop-integration after selecting Distribute / Save.

Projectname.xml

This file contains the internal project definitions and must not be changed.

Config-Autogenerator.xml

This file has to be adapted. You have to add the product ID (article number) which is used in the shop system.

The file uploaded to cleverbridge must always have the name config-autogenerator.xml. If you have multiple products, you can add any number of product definitions to this file. Use an XML Editor to copy and paste the configuration settings from all projects into one single file config-autogenerator.xml.

Serial Number definition

In the config-autogenerator file you have to replace

· ProductID with the ProductID from cleverbridge

Change the other values only if you want to change default values

· Value - should be 1 and is multiplied with the quantity of the order
· Days - see Allow additional days after applying Serial Number


Send files to Cleverbridge

Home topic Part II - Enhanced Features > Integration in Online Shops > Cleverbridge > Creating order specific Serial Numbers:

Send files to Cleverbridge

 Deutsche Online Hilfe Next topic Print this topic JavaScript is required for the print function Mail us feedback on this topic! Mail us feedback on this topic!

As it is not possible to directly upload the files, you have to e-mail the following files to cleverbridge.

· config-autogenerator.xml
· your project template(s) (projectname.xml): you find them in the folder ..\projectname\Config\shop-integration
· the Generator for cleverbridge. The name of the file is algshopxy.exe where xy is the version number - eg. algshop25.exe. This file can be found in the folder ..\Multimedia Protector\Shop or ..\Automatic Generator
· your license file mp.lic from the main directory ..\Multimedia Protector\

If you do have multiple applications which use different versions of Multimedia Protector, you could use for each product a different algshop.exe file from different Multimedia Protector versions.


Define Delivery Details - Keygenerator

Home topic Part II - Enhanced Features > Integration in Online Shops > Cleverbridge > Creating order specific Serial Numbers:

Define Delivery Details - Keygenerator

Deutsche Online Hilfe Next topic Print this topic JavaScript is required for the print function Mail us feedback on this topic! Mail us feedback on this topic!

Start the cleverbridge Commerce Assistant and edit a product. In the TAB Delivery Details you specify the Licence Generator, which the shop System invokes after the order process. See - Send files to Cleverbridge - how to upload the necessary files.

Add Key Generator

Press the button Add and select Cleverbridge delivers key. Then select Executable Key Generator and select the latest Licence Generator. By default it has the name algshopxy.exe where xy is the version number - e.g. algshop25.exe.

Next step is to add your download package.

Add Download Package

Press the button Add and select Cleverbridge delivers full version by download. Then select Download File and select your uploaded project file in the drop down list.


Element5/ShareIt

Home topic Part II - Enhanced Features > Integration in Online Shops:

Element5/ShareIt

 Deutsche Online Hilfe Next topic Print this topic JavaScript is required for the print function Mail us feedback on this topic! Mail us feedback on this topic!

The integration into the Element5 / Share-it! e-commerce system (www.element5.com , www.shareit.com) can be done without programming - just by defining the desired action. The Share-it! and element5 shop uses the same integration.

These steps are necessary to integrate Multimedia Protector:

· Build a key list with Serial Numbers
· Upload Serial Numbers
· Define Delivery Text
· Upload Project Files
· Define Delivery Option

This workflow is intended for single user / PC license. The order process can allow ordering multiple single user licenses at a time. Per license, one Serial Number key is delivered.

If you sell a network license where each order can contain a different number of licenses, it is not possible to work with uploaded keys. You have to create a Serial Number Key which is different per order and includes the number of licenses ordered.

See chapter - Creating order specific Serial Numbers.


Upload Serial Numbers

Home topic Part II - Enhanced Features > Integration in Online Shops > Element5/ShareIt:

Upload Serial Numbers

 Deutsche Online Hilfe Next topic Print this topic JavaScript is required for the print function Mail us feedback on this topic! Mail us feedback on this topic!

Start the Element5 / Share-it! Control Panel.

Select Key List, and then Create new list.

Now open the key list with Serial Numbers you created - see build a key list with Serial Numbers and copy all keys into the clipboard (CTRL+C). Go back to the control panel, type in a name for the key list and paste the clipboard (CTRL+V) with your Serial Number Keys.

Click to enlarge
Copy key list from clipboard

The last step is to assign the key list to a product.

Select Product Delivery, Delivery Type. On the right side, select your product and press - Show data.

Press the button Add and select element5 delivers: License Key. Select your key list from Uploaded Key list and check Should a license key be sent to the customer for each license ordered?


Define Delivery Text

Home topic Part II - Enhanced Features > Integration in Online Shops > Element5/ShareIt:

Define Delivery Text

 Deutsche Online Hilfe Next topic Print this topic JavaScript is required for the print function Mail us feedback on this topic! Mail us feedback on this topic!

Start the Element5 / Share-it! Control Panel. Edit a product and add a delivery text. This text will include the Activation Key which will be generated after the order process and is used in the e-mail which is send out to the customer. The delivery text can be in HTML format.

Click to enlarge
Add Delivery Text information

You can use one of the following sample texts. The Serial Number is inserted with the variable <%KEY%>.

Serial Number Key - English

<b><font size="4">Serial Number </font></b>

<p>The Serial Number Key is your 'proof of purchase'. It can be used only once and requires an Internet connection.

</p>

<p>The serial number key is: <b> <%KEY%> </b></p>

<p>Start the application and select: <b> I have a serial number and I want to activate (your product name).

</b>Enter the Serial Number Key from this E-Mail (you can copy it using

the clipboard), your name/company and your e-mail address. Press the button: <i>

Next. </i>A dialog appears which verifies the Serial Number key online and

activates the application.</p>

<p>If you don't have an Internet connection use the option: <i>You can also

request an unlock key by E-Mail.</i></p>

<p>Help, how to activate the software, can be found by selecting the icon ? </p>

<p><b>Backup your license file xy.lic</b>.</p>

Serial Number Key - German

<b><font size="4">Seriennummer</font></b><p>Die

Seriennummer ist ihr 'Kaufnachweis'. Diese kann nur einmal verwendet werden und

benötigt eine Internet Verbindung</p>

<p>Die Seriennummer lautet: <b> <<%KEY%> </b></p>

<p>Starten Sie die Anwendung und wählen Sie: <b>Ich habe eine Seriennummer und

möchte (Ihr Produktname) aktivieren<I>.

</i></b>Geben Sie die Seriennummer von diesem E-Mail (diese kann über die

Zwischenablage kopiert werden), Name/Firma und Ihre E-Mail Adresse ein. Drücken

Sie die Schaltfläche: <i>Weiter. </i>Es erscheint ein Dialogfenster, das die

Seriennummer online überprüft und die Software aktiviert.</p>

<p>Wenn keine Internet Verbindung zur Verfügung steht wählen Sie die Option: <i>

Sie können auch per E-Mail einen Freischaltschlüssel anfordern.</i></p>

<p>Hilfe, wie die Software aktiviert werden kann, ist über das Symbol ?

verfügbar.</p>

<p><b>Sichern Sie die Lizenzdatei XY.lic</b>.</p>


Upload Project Files

Home topic Part II - Enhanced Features > Integration in Online Shops > Element5/ShareIt:

Upload Project Files

 Deutsche Online Hilfe Next topic Print this topic JavaScript is required for the print function Mail us feedback on this topic! Mail us feedback on this topic!

To distribute via a download link, all files from the folder deploy have to be packed into one ZIP file. Use the option Save as ZIP in the Screen - Save.

Never start the Multimedia Player for testing before you make the exe or zip file, as the license file is modified with each start and cannot be used any longer for distribution

See also
Adding an Installer

Start the Element5 / Share-it! Control Panel. Select Upload Product and then either select Replace an existing file or Upload a new file. Select your zipped file from the deploy folder and upload the file.


Define Delivery Type

Home topic Part II - Enhanced Features > Integration in Online Shops > Element5/ShareIt:

Define Delivery Type

 Deutsche Online Hilfe Next topic Print this topic JavaScript is required for the print function Mail us feedback on this topic! Mail us feedback on this topic!

Start the Element5 / Share-it! Control Panel. With Delivery Type you specify that Element5 / Share-it! delivers your uploaded project files by download link.

Select Product Delivery, Delivery Type. On the right side, select your product and press - Show data.

Press the button Add and select element5 delivers: download link for the full version full version. Then select File to be shipped and select your uploaded project filein the drop down list.


Build configuration file

Home topic Part II - Enhanced Features > Integration in Online Shops > Element5/ShareIt > Creating order specific Serial Numbers:

Build configuration file

 Deutsche Online Hilfe Next topic Print this topic JavaScript is required for the print function Mail us feedback on this topic! Mail us feedback on this topic!

You can define a product (article) you want to sell with the Element5 / Share-it! program Control Panel.

First add a new product (article) in the Element5 / Share-it! shop. You need the Product Number from the Element5 / Share-it! shop in the configuration file.

Click to enlarge
Add product with Control Panel

Configuration file to create a Serial Number is generated automatically in the folder ..\projectname\Config\shop-integration after selecting Distribute / Save.

Projectname.xml

This file contains the internal project definitions and may not be changed.

Config-Autogenerator.xml

This file has to be adapted. You have to add the product ID (article number) which is used in the shop system.

The file uploaded to Element5 / Share-it! must always have the name config-autogenerator.xml. If you have multiple products, you can add any number of product definitions to this file. Use an XML Editor to copy and paste the configuration settings from all projects into one single file config-autogenerator.xml.

Serial Number definition

In the config-autogenerator file you have to replace

· ProductID with the ProductID from Element5 / Share-it!

Change the other values only if you want to change default values

· Value - should be 1 and is multiplied with the quantity of the order
· Days - see Allow additional days after applying Serial Number


Send files to Element5 / Share-it!

Home topic Part II - Enhanced Features > Integration in Online Shops > Element5/ShareIt > Creating order specific Serial Numbers:

Send files to Element5 / Share-it!

 Deutsche Online Hilfe Next topic Print this topic JavaScript is required for the print function Mail us feedback on this topic! Mail us feedback on this topic!

As it is not possible to directly upload the files, you have to e-mail the following files to Element5 / Share-it!:

· config-autogenerator.xml
· your project template(s) (projectname.xml): you find them in the folder ..\projectname\Config\shop-integration
· the Generator for cleverbridge. The name of the file is algshopxy.exe where xy is the version number - eg. algshop25.exe. This file can be found in the folder ..\Multimedia Protector\Shop or ..\Automatic Generator
· your license file mp.lic from the main directory ..\Multimedia Protector\

If you do have multiple applications and they use different versions of Multimedia Protector, you could use for each product a different algshop.exe file from different Multimedia Protector versions.


Define Delivery Type

Home topic Part II - Enhanced Features > Integration in Online Shops > Element5/ShareIt > Creating order specific Serial Numbers:

Define Delivery Type

 Deutsche Online Hilfe Next topic Print this topic JavaScript is required for the print function Mail us feedback on this topic! Mail us feedback on this topic!

Within the option Delivery Type you specify the Licence Generator which the shop System invokes after the order process. See - Send files to Element5 / Share-it! - how to upload the necessary files.

Add Key Generator

Press the button Add and select element 5 delivers: License key. Then select Installed Key Generator and select the latest Licence Generator. By default, it has the name algshopxy.exe where xy is the version number - e.g. algshop25.exe.

Next step is to add your download package.

Add Download Package

Start the Element5 / Share-it! Control Panel. With Delivery Type you specify that Element5 / Share-it! delivers your uploaded project files by download link.

Select Product Delivery, Delivery Type. On the right side select your product and press - Show data.

Press the button Add and select element5 delivers: download link for the full version full version. Then select File to be shipped and select your uploaded project file in the drop down list.


How TOs and FAQ

Home topic Part II - Enhanced Features:

How TOs and FAQ

 Deutsche Online Hilfe Next topic Print this topic JavaScript is required for the print function Mail us feedback on this topic! Mail us feedback on this topic!

This chapter introduces Frequently Asked Questions as well as tips and tricks.

Click on the + sign on the left side to get a complete list.


How can I print this Tutorial?

Home topic Part II - Enhanced Features > How TOs and FAQ:

How can I print this Tutorial?

 Deutsche Online Hilfe Next topic Print this topic JavaScript is required for the print function Mail us feedback on this topic! Mail us feedback on this topic!

Print this tutorial

The Online Tutorial is also available as a PDF document.

You can print this tutorial - click on the link to download PDF file


Application is not running as expected

Home topic Part II - Enhanced Features > How TOs and FAQ:

Application is not running as expected

Deutsche Online Hilfe Next topic Print this topic JavaScript is required for the print function Mail us feedback on this topic! Mail us feedback on this topic!

If your application in the Multimedia Player is behaving different than it would be running in the original flash player or PPT / PDF Viewer, check these solutions.


Application loads - configuration text is missing

Home topic Part II - Enhanced Features > How TOs and FAQ > Application is not running as expected:

Application loads - configuration text is missing

 Deutsche Online Hilfe Next topic Print this topic JavaScript is required for the print function Mail us feedback on this topic! Mail us feedback on this topic!

If the application loads, but the configuration text which is provided via an XML file is missing, try again, using the Option Always use relative paths.

If you use an flash application with one of the provided menu application, copy the flash application to the path where the menu is located. Some flash applications using an configuration file cannot handle the configuration file when they are located in a sub folder.


How to activate Multimedia Protector

Home topic Part II - Enhanced Features > How TOs and FAQ:

How to activate Multimedia Protector

 Deutsche Online Hilfe Next topic Print this topic JavaScript is required for the print function Mail us feedback on this topic! Mail us feedback on this topic!

During the trial period, the activation screen appears with each program start. You need a Serial Number to activate the product - see Buy Serial Number.

To be sure to work with the latest version, always download the version you get with the order confirmation e-mail.

First uninstall the version on your PC - see How do I uninstall Multimedia Protector?.

What happens during activation?

The activation process will bind the license to the PC. Use the Serial Number only on the PC you want to use Multimedia Protector. The Serial Number cannot be used twice. After the activation is done, Multimedia Protector will run only on this PC. Your hardware data, Serial Number, name, e-mail address and some program specific data is transferred to our activation center. No other data stored on your PC is transmitted.

Select Activation Method

On the first screen, either choose

· I have a Serial Number and I want to activate Multimedia Protector. This will use the Online Activation. This is the recommended activation method and should be used if an Internet connection is available
· You can also request an unlock key by E-Mail. This will use the E-Mail Activation

Start Video Tutorial for product Activation

See also

Buy Serial Number
Online Activation
E-Mail Activation
Reinstall Software
Your Multimedia Edition License


Buy Serial Number

Home topic Part II - Enhanced Features > How TOs and FAQ > How to activate Multimedia Protector:

Buy Serial Number

 Deutsche Online Hilfe Next topic Print this topic JavaScript is required for the print function Mail us feedback on this topic! Mail us feedback on this topic!

The Serial Number is your proof of purchase. It is unique and will look like this.

dO8uc-G1iC9-jOGeA-BqgEX-U71lD-0V1VX

There are 6 blocks each with 5 characters. The blocks are separated by a hyphen for better readability.

Select your Edition

Premium or Standard Edition? Check out the feature comparison matrix which Edition is right for you.

Buy Serial Number

If you do not have a valid serial number, you can buy it here - Buy Multimedia Protector.

Activate Multimedia Protector

Activate the product Online or by E-Mail.


Online Activation

Home topic Part II - Enhanced Features > How TOs and FAQ > How to activate Multimedia Protector:

Online Activation

 Deutsche Online Hilfe Next topic Print this topic JavaScript is required for the print function Mail us feedback on this topic! Mail us feedback on this topic!

The Online Activation requires the Serial Number, company name and e-mail address. Then the license will be verified online and activated. No additional step will be required. Multimedia Protector can now be used on this PC.

Backup your Serial Number. You will need it for a reinstallation.


E-Mail Activation

Home topic Part II - Enhanced Features > How TOs and FAQ > How to activate Multimedia Protector:

E-Mail Activation

 Deutsche Online Hilfe Next topic Print this topic JavaScript is required for the print function Mail us feedback on this topic! Mail us feedback on this topic!

The E-Mail Activation requires the Serial Number, company name and e-mail address.

Request Unlock Key

After filling out the screen, select: Request Unlock Key by E-Mail - send E-Mail. This will open your default E-Mail client. An e-mail with the hardware IDs and license information will be created. Press send to send the e-mail to our activation center. You will get an Unlock Key back within 2-3 business days.

Backup your Serial Number. You will need it for a reinstallation.

See also

Enter Unlock Key


Enter Unlock Key

Home topic Part II - Enhanced Features > How TOs and FAQ > How to activate Multimedia Protector > E-Mail Activation:

Enter Unlock Key

 Deutsche Online Hilfe Next topic Print this topic JavaScript is required for the print function Mail us feedback on this topic! Mail us feedback on this topic!

After requesting the Unlock Key by e-mail, the screen shown below will appear during each program start. Type in the Unlock Key you got back by E-Mail. The activation process is then completed.

See also

E-Mail Activation


Reinstall Software

Home topic Part II - Enhanced Features > How TOs and FAQ > How to activate Multimedia Protector:

Reinstall Software

 Deutsche Online Hilfe Next topic Print this topic JavaScript is required for the print function Mail us feedback on this topic! Mail us feedback on this topic!

You can reinstall the application on the same PC / Server as often as you like. First uninstall Multimedia Protector, delete the complete installation folder, then reinstall the application - see How to activate Multimedia Protector.


Your Multimedia Protector License

Home topic Part II - Enhanced Features > How TOs and FAQ > How to activate Multimedia Protector:

Your Multimedia Protector Licence

 Deutsche Online Hilfe Next topic Print this topic JavaScript is required for the print function Mail us feedback on this topic! Mail us feedback on this topic!

Multimedia Protector comes with an own license file - mp.lic. The license is a license PER PC / COMPUTER. Copy Protection is turned on after activation. We recommend making a backup of the license file.

· You have to activate the product before you can use it without the restrictions of the demo version - see How to activate Multimedia Protector

· Find out more about your license in the chapter - Display your Licence

· See Licence Agreement for details of usage.

See also

Demo version
Browse your License
Apply Activation Key
License Agreement


Apply Activation Key

Home topic Part II - Enhanced Features > How TOs and FAQ > How to activate Multimedia Protector:

Apply Activation Key

 Deutsche Online Hilfe Next topic Print this topic JavaScript is required for the print function Mail us feedback on this topic! Mail us feedback on this topic!

An Activation Key is used to modify the license information (e.g. increase number of licenses). All Activation Keys are unique and have the same format like.

dO8uc-G1iC9-jOGeA-BqgEX-U71lD-0V1VX

There are 6 blocks each with 5 characters. The blocks are separated by a hyphen for better readability.

Where do I apply the Activation Key

If you got an Activation Key via E-Mail or Fax, you can enter the key within the screen Administration, TAB Misc, Show License Information.

Click to enlarge
Screen - Administration, TAB Misc
Click to enlarge
Screen - Show Licence Information

Online Validation

Some Activation Keys are validated online and they require an Internet connection. After pressing the OK button this screen appears.

Apply Activation Key after Evaluation Period has expired

If the evaluation period has expired, select Show Licence Information (see screen below) and then press the button Activation Key.


How do I find my Serial Number for Multimedia Protector?

Home topic Part II - Enhanced Features > How TOs and FAQ:

Display your Licence

 Deutsche Online Hilfe Next topic Print this topic JavaScript is required for the print function Mail us feedback on this topic! Mail us feedback on this topic!

You can access your license information and your Serial Number within the administration screen.

Multimedia Protector or Multimedia Protector Premium

For differences see chapter Standard or Premium Edition?

· Number of Computers which have a license - normally 1
· Demo version - if omitted, it is a full version
· Valid until (time limitation) - if omitted, it is a non time limited version
· Web Activation- either done or required

Your Serial Number
To retrieve your Serial Number:

· click on the + sign in the first line with the label Multimedia Protector
· click on the + sign with the label Activation Keys

The visible number is your Serial Number.

Update Subscription

The update subscription entitles you to install the latest updates as long as it has not expired. See chapter Check for Updates how to download updates.

· Available / Not available
· Time limitation - the date when the update subscription expires

Release Number

· Internal release information


How to make a time limited evaluation / trial licence?

Home topic Part II - Enhanced Features > How TOs and FAQ:

How to make a time limited evaluation / trial license?

 Deutsche Online Hilfe Next topic Print this topic JavaScript is required for the print function Mail us feedback on this topic! Mail us feedback on this topic!

If you want to make a time limited trial license, you can either limit

· by x days after the first usage Ú use Number of days to evaluate
· by a specified expiry date Ú use End of Evaluation

Details see Screen - Licence Information

See also

How to prolong an evaluation / trial version?


How to change the Icon?

Home topic Part II - Enhanced Features > How TOs and FAQ:

How to change the Icon?

 Deutsche Online Hilfe Next topic Print this topic JavaScript is required for the print function Mail us feedback on this topic! Mail us feedback on this topic!

The icon is a small graphics which appears in the title bar, desktop or in the file explorer. The default Icon is [image] .

This icon can be replaced:

· Title bar - Screen Image
· Desktop and Program Manager group Icon using the Installation Manager

The icon which is displayed in the File Explorer cannot be changed.


How to prolong an evaluation / trial version?

Home topic Part II - Enhanced Features > How TOs and FAQ:

How to prolong an evaluation / trial version?

 Deutsche Online Hilfe Next topic Print this topic JavaScript is required for the print function Mail us feedback on this topic! Mail us feedback on this topic!

To prolong an evaluation version, just create an Activation Key.

· additional licenses = 0
· either select: Number of days to evaluate or End of Evaluation

The Activation Key is generated within the Screen - Administration, TAB Additional Licences

If you are using the Web Activation server, use the Switch: Online Validation required to ensure that a key can never used twice.

Details for all options see Screen - Administration, TAB Additional Licences

See also

How to make a time limited evaluation / trial license?


How to make a full version with expiry date / time limitation?

Home topic Part II - Enhanced Features > How TOs and FAQ:

How to make a full version with expiry date / time limitation?

 Deutsche Online Hilfe Next topic Print this topic JavaScript is required for the print function Mail us feedback on this topic! Mail us feedback on this topic!

It is possible to generate a time limited full version, e.g. to lease a version for a specific time. Limitation is possible either

· by x days after the activation is done or
· by a specified expiry date

For details see: Time limited version after activation


How to make a version without registration?

Home topic Part II - Enhanced Features > How TOs and FAQ:

How to make a version without registration?

 Deutsche Online Hilfe Next topic Print this topic JavaScript is required for the print function Mail us feedback on this topic! Mail us feedback on this topic!

If you want to protect the content and the Multimedia Player should start unlimited times, select:

· Number of Days = 0
· No activation (content protection only)


How to make a licence which is limited to one person?

Home topic Part II - Enhanced Features > How TOs and FAQ:

How to make a license which is limited to one person?

 Deutsche Online Hilfe Next topic Print this topic JavaScript is required for the print function Mail us feedback on this topic! Mail us feedback on this topic!

It is possible to limit a license to a person / user:

In the Screen - Licence Information select license per user.

If the application is a non-network application (installation is on a single PC) AND you want to limit it to one user, choose license per User and number of users =1. For details about the user license see Licence per User / Person.

This feature is available only in the Multimedia Protector Premium Edition.


How to invoke external files?

Home topic Part II - Enhanced Features > How TOs and FAQ:

How to invoke external files?

 Deutsche Online Hilfe Next topic Print this topic JavaScript is required for the print function Mail us feedback on this topic! Mail us feedback on this topic!

If your application has external files outside the encrypted database but on the same directory like the database, you can invoke these files with a special command http://FILE:testfile.exe$$RUN - for details see Flash application using EXE files


How to protect the content but do not use Copy Protection?

Home topic Part II - Enhanced Features > How TOs and FAQ:

How to protect the content but do not use Copy Protection?

 Deutsche Online Hilfe Next topic Print this topic JavaScript is required for the print function Mail us feedback on this topic! Mail us feedback on this topic!

It is possible to just protect the content, but use no licensing type like time limitation or copy protection

· Set Number of days to evaluate to 0
· End of Evaluation must be empty (press button Clear Expiration Date)
· Check - No Activation (content protection only)

Details see Screen - Licence Information


How to use a password instead Copy Protection

Home topic Part II - Enhanced Features > How TOs and FAQ:

How to use a password instead Copy Protection

 Deutsche Online Hilfe Next topic Print this topic JavaScript is required for the print function Mail us feedback on this topic! Mail us feedback on this topic!

If you want to use a simple password instead of copy protection, your files would be protected with Multimedia Protector (content protection) but everybody who knows the password can start the product. So it is not a copy protection - it is more a 'psychological ' barrier.

Step 1 - Configuration settings

It is possible to just protect the content, but use no licensing type like time limitation or copy protection

· Set Number of days to evaluate to 0
· End of Evaluation must be empty (press button Clear Expiration Date)
· Check - No Activation (content protection only)

Details see Screen - Licence Information

Step 2 - Use AutorunMax! to add a password

You have to use the menu application AutorunMAX!to add the password. It builds a single EXE file which has all Multimedia Protector files inside the single EXE file. Of couse you can use any other tool which supports to ZIP files with a password.

Select the Publish option Web/Email executable

Then check: Password protect

and click on Settings.. to define the password.


How to protect? - search by file type

Home topic Part II - Enhanced Features > How TOs and FAQ:

How to protect? - search by file type

 Deutsche Online Hilfe Next topic Print this topic JavaScript is required for the print function Mail us feedback on this topic! Mail us feedback on this topic!

The Multimedia Protector offers a native support of SWF (Macromedia Flash) files, FLV, JPEG, MP3 and other file types by converting these files to flash.

At least one SWF file is needed. This file can start any video, music or image files which are supported by the standard flash players. See chapter - How to convert a file - for details.

If you are working with flash tools like Authorware or Articulate see Favored Flash/HTML/Conversion Tools for special considerations.

Below find a list of all supported file types and the steps necessary to protect the file.

· AVI, MPEG, Quicktime, Windows Media Video
· CHM (help file)
· Executable (EXE) file
· FLV (Video)
· HTML
· JPG (Image)
· MP3 (Music)
· PDF
· PPT (Powerpoint)
· PPT with Hyperlink
· SWF (Flash)
· WAV
· Word, Visio, Excel, Office Documents
· Word with Hyperlink


PDF with Hyperlink

Home topic Part II - Enhanced Features > How TOs and FAQ > How to protect? - search by file type:

PDF with Hyperlink

 Deutsche Online Hilfe Next topic Print this topic JavaScript is required for the print function Mail us feedback on this topic! Mail us feedback on this topic!

If you have PDF documents with hyperlinks to other PDF documents (Hyperlinks inside one document will work without special settings), perform the following steps:

1. Convert PDF to flash using PDF2SWF
2. After converting all files to flash, copy only the flash files to a new directory which you would import.
3. Set the option: Converting hyperlinks after SWF ending
4. If you use relative paths (links like ...\path1\file1.pdf), set the option: Always use relative path
5. Use the Advanced Menu as described below

A Hyperlink must not contain an umlaut (äüö) or any other special characters like %$

Adding a toolbar (browse, zoom, print)

The toolbar for the converted PDF file is provided by the Advanced Menu.

If you have just one PDF file then use the files provided in the folder ..\converter\swftools. You need 3 files for your project:

· Advanced-menu.swf
· config.xml
· doc.swf

Rename your converted PDF file to docu.swf and import all files. Select the file advanced-menu.swf as start file and check the option: Use advanced menu. It will add browse buttons to navigate to the next page and a scroll bar to scroll through the page.

Click to enlarge
View PDF file with toolbar

It is possible to change different settings.

Add a Print Button

To add a print button edit the config.xml file (with any editor or use free XML Editor) and change the entry <print> to True.

Disable Zoom In / Out

To disable the zoom option, edit the config.xml file (with any editor or use free XML Editor) and change the entry <zoom> to false.

Start with different size

By default, the converted PDF is loaded with 100%. It is possible to start the document with another size like 150% or 75%. Edit the config.xml file (with any editor or use free XML Editor) and change the entry <zoomin> to eg. 150 (without % sign).

Download a sample - the Multimedia Protector Tutorial with over 200 pages and links inside the PDF document - converted with swftools and using the Advanced Menu - Click here to download and unzip the file to a folder. Start mp-pdf.exe.


Which files can not be protected?

Home topic Part II - Enhanced Features > How TOs and FAQ:

Which files can not be protected?

 Deutsche Online Hilfe Next topic Print this topic JavaScript is required for the print function Mail us feedback on this topic! Mail us feedback on this topic!

If you have applications (executables) without Source Code, see How to protect an application. If you have the Source Code of the application see: How to protect an application written . NET, VB, Delphi, C or other development languages?

Excel - if VB macros or formulas have to be protected, you need a source code integration with Licence Protector - see www.Licence-Protector.com or contact sales@mirage-systems.de for an Excel Add-in.

HTML files and all other file types that cannot be converted to flash cannot be protected. If the HTML file is just used as a start file to invoke a flash file then simply use this flash file as the start file and not the HTML file.

See chapter How to protect? to get a list of supported file types for protection.

All files will play only on a PC, not on a CD / DVD recorder connected to TV.


How to make a bootable CD / DVD

Home topic Part II - Enhanced Features > How TOs and FAQ:

How to make a bootable CD / DVD

 Deutsche Online Hilfe Next topic Print this topic JavaScript is required for the print function Mail us feedback on this topic! Mail us feedback on this topic!

Your can generate a CD / DVD which starts the Multimedia Player directly after the CD / DVD is inserted.

· Save the project with the option Save for CD and create the files for distribution
· Copy all files from the folder deploy to the CD/DVD
· You can add an installer which allows installing the files from CD to the hard disk drive

If you use an own menu before you start the Multimedia Player then change the autorun.inf file.

Autorun.inf

[autorun]

icon=flash-demo.exe ç Icon which is displayed in the Explorer. Default = Icon of Multimedia Player

open=flash-demo.exe ç File which is automatically started after the CD is inserted

Name=Multimedia Edition - Flash Demo ç Name which is displayed in the Explorer. Default is Product Name


Which flash version is supported?

Home topic Part II - Enhanced Features > How TOs and FAQ:

Which flash version is supported?

 Deutsche Online Hilfe Next topic Print this topic JavaScript is required for the print function Mail us feedback on this topic! Mail us feedback on this topic!

The Multimedia Player supports Flash version 9.


How to make a CD menu / start menu

Home topic Part II - Enhanced Features > How TOs and FAQ:

How to make a CD menu / start menu

 Deutsche Online Hilfe Next topic Print this topic JavaScript is required for the print function Mail us feedback on this topic! Mail us feedback on this topic!

.Multimedia Protector offers 2 applications written in flash, where you can create your own CD or start menus. For details see Menu Creator.


How to start different MMF files with one Multimedia Player?

Home topic Part II - Enhanced Features > How TOs and FAQ:

How to start different MMF files with one Multimedia Player?

 Deutsche Online Hilfe Next topic Print this topic JavaScript is required for the print function Mail us feedback on this topic! Mail us feedback on this topic!

It is possible to have just one Multimedia Player installed and use this Multimedia Player with different MMF (data) files.

If you have a menu application as an EXE file, it might be useful, to start a specific database. The menu.exe file would be on the CD/disk (outside the database) and start each database individually.

Example

The project has been divided into several databases. A menu application now invokes for each menu item another database.

Start the the Multimedia Player with the parameter -f filename.mmf

Sample: c:\programs\myapp\flash-demo.exe -f c:\programs\app2\powerpoint.mmf

The license file can either be stored on the folder of the mmf file (recommended), but also on the folder of the Multimedia Player.

Special Considerations

If you use the option: Advanced Protection then you can only invoke a database (mmf file) which was made for the same Multimedia Player version.

Sample

· A.mmf was made with version Multimedia Protector 1.3
· B.mmf was made with version Multimedia Protector 1.4

The Multimedia Player from version 1.4 could not start A.mmf and Multimedia Player version 1.3 could not start B.mmf.

If you do not use Advanced Protection there is no guarantee that a Multimedia Player could invoke databases from different program versions. Always install the latest Multimedia Player to be sure that all new features from a new version are supported.

License File

By default, the Multimedia Player will search for a license file with the name of the database file. If this license file is not available, a license file with the name of the Multimedia Player is used.

This is necessary to cover the following scenarios.

· You deliver one Multimedia Player, several database files and one license file. All database files will use the same license. The license file should have the name of the player - Example: flash-demo.exe, flash-demo.lic , a.mmf, b.mmf, c.mmf
The license file should be stored on the folder of the Multimedia Player
· You deliver one Multimedia Player, severial database files and for each database a license file. Each database requires an own license. The license file should have the name of the database file - Example: flash-demo.exe, a.mmf, a.lic, b.mmf, b.lic, c.mmf, c.lic
The license file should be stored on the folder the database

See also
Multimedia Player - Start Options
Start a specific file inside a database


How to edit an XML file

Home topic Part II - Enhanced Features > How TOs and FAQ:

How to edit an XML file

 Deutsche Online Hilfe Next topic Print this topic JavaScript is required for the print function Mail us feedback on this topic! Mail us feedback on this topic!

A lot of configuration files (e.g. the file for the menu creator) are in xml format. You can edit this file using any editor like Notepad or Word. As an alternative, there is a nice freeware tool for xml files which you can download here.

http://www.snapfiles.com/get/xmlnotepad.html

Start the XML notepad and select File, Open. You will see the XML file content which is structured. The content can be easily modified and saved.


How to secure Macromedia Director / Authorware / other flash tools

Home topic Part II - Enhanced Features > How TOs and FAQ:

How to secure Macromedia Director / Authorware / other flash tools

 Deutsche Online Hilfe Next topic Print this topic JavaScript is required for the print function Mail us feedback on this topic! Mail us feedback on this topic!

If you do not use specific functionalities of Macromedia Director / Authorware, convert the project to flash and use Multimedia Protector.

Otherwise you can make a DLL integration - use Licence Protector source code integration - www.Licence-Protector.com. Search in the FAQ area for a Director / Authorware Source code sample.


Can I use my own Player

Home topic Part II - Enhanced Features > How TOs and FAQ:

Can I use my own Player

 Deutsche Online Hilfe Next topic Print this topic JavaScript is required for the print function Mail us feedback on this topic! Mail us feedback on this topic!

No, only the Multimedia Player can be used. If you have created an own player using Director, Authorware or other development tools, see How to secure Macromedia Director / Authorware / other flash tools.

If you have just a menu which invokes other files, use the menu creator.


How can I view a swf (flash) file?

Home topic Part II - Enhanced Features > How TOs and FAQ:

How can I view a swf (flash) file?

 Deutsche Online Hilfe Next topic Print this topic JavaScript is required for the print function Mail us feedback on this topic! Mail us feedback on this topic!

If you want to view a flash file (extension .swf), either drag the file into the Browser or use a flash viewer.

View file within Browser

To drag the flash file into the Browser, open your Browser like Internet Explorer, minimize it, select the flash file with the left mouse button and drag it into the Browser.

View file with Flash Viewer

Download free flash viewer SWF Opener: http://www.browsertools.net/downloads1.html


Where can I buy Multimedia Protector?

Home topic Part II - Enhanced Features > How TOs and FAQ:

Where can I buy Multimedia Protector?

 Deutsche Online Hilfe Next topic Print this topic JavaScript is required for the print function Mail us feedback on this topic! Mail us feedback on this topic!

Select your Version

Premium or Standard Edition? Check out the feature comparison matrix to see which version is right for you.

Buy Serial Number

You can buy Multimedia Protector online and instantly use it. Buy Multimedia Protector.

After the order process you will get a Serial Number and a download link. See How to activate Multimedia Protector how to unlock the trial version.


How do I uninstall Multimedia Protector

Home topic Part II - Enhanced Features > How TOs and FAQ:

How do I uninstall Multimedia Protector

 Deutsche Online Hilfe Next topic Print this topic JavaScript is required for the print function Mail us feedback on this topic! Mail us feedback on this topic!

To uninstall Multimedia Protector

· Select Start, Control Panel
· Add/Remove Programs

Search for Multimedia Protector 2.1 or Multimedia Protector Premium 2.1 and select Remove.


I found no answer for my questions

Home topic Part II - Enhanced Features > How TOs and FAQ:

I found no answer for my questions

 Deutsche Online Hilfe Next topic Print this topic JavaScript is required for the print function Mail us feedback on this topic! Mail us feedback on this topic!

If you did not find an answer for your questions in the tutorial search in the extensive Online Knowledge Base.

Browse Online Knowledge Base


Configuration File - Setup.ini

Home topic Part II - Enhanced Features > Installation Manager for Harddisk and Network:

Configuration File - Setup.ini

 Deutsche Online Hilfe Next topic Print this topic JavaScript is required for the print function Mail us feedback on this topic! Mail us feedback on this topic!

The configuration file defines options which are displayed during installation and allows to customizes the names and default values.

Configuration options for setup.ini

Just overwrite the default values within the setup.ini file. The file has different sections (indicated with [SectionName] )

[SETUP]

This section defines the program name displayed during installation and default values.

AppName=My Multimedia Player

Name of your application which is displayed during installation
AppVersion=3.0

Version number of your application which is displayed during installation.
AppPublisher=Universal Software

Name of your company
DefaultDirName=my application

Default name for directory. You can also define a sub folder, e.g. Universal Software\application1

The real path would then be ..\programs\Universal Software\application1
DefaultGroupName=Smart Program Group

Default name for program manager group

[ProgManGroup]

This section defines addition entries in the program manager group.

ShowLicenseInfo = true or false

Adds an entry in the program manger group in a single user installation to invoke the License Viewer. This is an inbuilt Administration interface where the end user can add new licenses. It is highly recommended for network installations to add this option.

ShowLicenseInfoNetwork = true or false

Adds an entry in the program manger group for each client in a Network Installation to invoke the License Viewer. This is an inbuilt Administration interface where the end user can add new licenses. It is highly recommended for network installations to add this option.
ShowReadmeFile = true or false

Adds an entry in the program manger group to invoke a ReadMe file. The ReadMe file has to be defined in the section [Files], readme.

[Files]

This section defines the files which have to be copied

BinFolder=

This defines the folder, where the Multimedia Player and the database is copied to. By default, there is no subfolder. If an application like a menu needs the Multimedia Player files in a subfolder like \docs\bin, then you can define it here.

Example: BinFolder=docs\bin

This would place the Multimedia Player, the database and the license file in a subfolder ...\docs\bin during the installation

Exe-Start-Application=

The default value is, that no exe file is assigned. Then the Multimedia Player is the application, which is started when the user starts the application from the program manager group or desktop. If you have a menu application or another program, which always should be started first, then use this definition.

Example: Exe-Start-Application=menu.exe - This would always start the menu.exe

This file is automatically copied to the main installation folder.

exe-Filename=flash-demo.exe

Exe filename of the player (must match the name in the deploy folder)

This file is automatically copied to the folder specified with BinFolder.
mmf-Filename=flash-demo.mmf

Filename of the database (must match the name in the deploy folder)

This file is automatically copied to the folder specified with BinFolder.
lic-Filename=flash-demo.lic

Filename of the license file (must match the name in the deploy folder). Note: If this file already exists it is not replaced. This allows to install an update and keep the existing license.

This file is automatically copied to the folder specified with BinFolder.
ico-Filename=mpplayer.ico

Define a custom icon which should appear in the program manager group. If you want to use the icon of the Multimedia Player [image], use the file mpplayer.ico as provided

The icon is displayed in the following locations

· Program Manager Group
· Desktop Icon
· Quick Launch bar
· Uninstaller
· If a USB installation is done, the icon is used in the autorun.inf file

If you want to change the icon in the title bar of the Multimedia Player, you have to define the icon in the screen - Image. The icon which is displayed in the File Explorer cannot be changed.

This file is automatically copied to the folder specified with BinFolder.

readme-xxx = readme-xxx.txt

This allows to display a readme file after the installation. The readme file must be in txt or doc format.

xxx is the language identifier. The following languages are supported.

readme-ces=Czech

readme-dan=Danish

readme-deu=German - sample: readme-deu=readme-deu.txt

readme-dut=Dutch

readme-enu=English - sample: readme-enu=readme-enu.doc

readme-esp=Spanish

readme-fra=French

readme-ita=Italian

readme-nor=Norwegian

readme-por=Portugues

Note: As you do not know, which language the user selects during installation, you should specify for each language a readme file, even if it is always the same file.

The readme file can be added to the program manager group, so that the file can be viewed after the installation is done. See section [ProgManGroup], ShowReadmeFile.

This file is automatically copied to the folder specified with BinFolder.

additionalx = *.bat

This command allows to copy additional files. You can either specify one file (e.g. doc-course1.pdf) or a complete group of files (*.pdf). A maximum of 20 different files or folders can be copied. These files are copied to the main installation folder. They are not protected.

If you want to copy a complete folder, then specify the folder name and \*, e.g. image\* would copy the complete folder image. By default, the folder content is copied to the main directory. If you want to copy the files to a different folder, then you can specify the folder name with addtionalfolderx, where x is the same number like in additionalx.

Example: additional4=image\* and additionalfolder4=image4 - all files from the folder \image would be copied to the hard disk to the folder \image4.

If a file already exists on the target machine, the file is replaced.

additional1=*.bat

additional2=doc-course1.pdf

additional3=course*-lesson*.avi

additional4=image\*

additional5=

additional6=

.....

additional20=

additionalfolder1=

additionalfolder2=

additionalfolder3=

additionalfolder4=image4

additionalfolder5=

additionalfolder6=

......

additionalfolder20=

[Options]
InstallPDFViewer = true / false

Installes the necessary files required by the Multimedia Protector PDF Viewer

The Installation Manager can start an EXE file either before or after the installation is done. You can also define, if the EXE file is only started during the single user installation or also during the network installation. The installation manager waits, until the program is terminated.

RunPlayerAfterInstall = true / false

Starts the Multimedia Player after the installation. The default setting is true

RunPlayerAfterInstallNetwork = true / false

Starts the Multimedia Player after the network client installation (setup-client.exe). The default setting is true

RunBeforeInstall= name of EXE file

Name of an EXE file, which is started before the installation of the Multimedia Player. If no path is provided, it is started from the installation folder.

Example: RunBeforeInstall=runfirst.exe

If the EXE file is located in a subfolder, specify the subfolder as a relative path to the installation folder

Example: RunBeforeInstall=\files\runfirst.exe

The EXE file is only started during a single user installation.

RunAfterInstall= name of EXE file

Name of an EXE file, which is started after the installation of the Multimedia Player. If no path is provided, it is started from the \bin folder.

Example: AfterInstall=runfirst.exe

If the EXE file is located in a subfolder, specify the subfolder as a relative path to the bin folder

Example: RunBeforeInstall=\files\runfirst.exe

The EXE file is only started during a single user installation.

You have to copy the EXE file to the installation folder using the additionalx command in the [Files] section.

RunBeforeInstallNetwork= name of EXE file

Name of an EXE file, which is started before the network installation of the Multimedia Player. If no path is provided, it is started from the installation folder of the client setup application (setup-client.exe).

Example: RunBeforeInstall=runfirst.exe

If the EXE file is located in a subfolder, specify the subfolder as a relative path to the installation folder

Example: RunBeforeInstall=\files\runfirst.exe

The EXE file is only started during the Client network installation.

RunAfterInstallNetwork= name of EXE file

Name of an EXE file, which is started after the network installation of the Multimedia Player (setup-client.exe). If no path is provided, it is started from the \bin folder.

Example: AfterInstall=runfirst.exe

If the EXE file is located in a subfolder, specify the subfolder as a relative path to the bin folder

Example: RunBeforeInstall=\files\runfirst.exe

The EXE file is only started during a Client network installation.

You have to copy the EXE file to the installation folder using the additionalx command in the [Files] section.

[Uninstall]

This section provides uninstall information using the Windows standard uninstall options (control panel, add/remove programs).

AppComments=(C) 2007 Universal Software, Inc.

Uninstallation comment

AppContact=office@universal-soft.com

Contact information
AppPublisher=Universal Software, Inc

Name of your company
AppPublisherURL=http://www.universal-soft.com

Main Homepage URL
AppSupportURL=http://www.universal-soft.com/support

URL for support page. If not available use main homepage URL
AppUpdatesURL=http://www.universal-soft.com/downloads

URL for Update page. If not available use main homepage URL

USB

This option allows to either install the version from CD/Download to a USB-Stick or to the hard disk. It copies all files to the USB-Stick and adds the link to the USB-stick in the program manager group. It automatically adds a program add-startup-icon.exe on the USB-stick, it the user selects the option: Do you want to install the application on a USB-Stick? If the user takes the USB-stick to another PC, this EXE file would generate also a program manager group entry and allow to simply start the file from the program manager group or desktop icon.

A autorun.inf file is copied to the main directory of the USB-Stick. This would start the Multimedia Player if the USB-Stick is attached to the PC.

If you specified an Icon in the [Files] section, then the icon is used as the icon of the USB stick in the file explorer.

use-usb=true / false

For online activation, the activation server has to use installation code 11 as the main criteria. If the USB-Stick does not support copy protection, then the license is automatically bound to the PC which makes the activation.

Specify Code 11 as the Primary Hardware ID and code 4 as the Alternative Hardware ID.

Have a close look at the options, which files should be launched after the installation or which file should be the main start application.

· [Options], RunPlayerAfterInstall=true starts the Multimedia Player after the installation
· [Options],RunAfterInstall=menu.exe starts a menu application after the installation
· [Files],Exe-Start-Application=menu.exe defines a menu application as the start program (selected either in the program manager group or from the desktop


Single User Installation

Home topic Part II - Enhanced Features > Installation Manager for Harddisk and Network:

Single User Installation

 Deutsche Online Hilfe Next topic Print this topic JavaScript is required for the print function Mail us feedback on this topic! Mail us feedback on this topic!

If you want to offer a single user installation (e.g. install from CD to the hard disk) then use the file setup.exe.

The installer performs the following tasks:

· If USB stick support is define (use-usb= true), then the user is asked if he want to install the files on a USB stick
· Asks for an installation directory
· Copies all files to a specified directory - if an file already exists, the file is replaced
· Adds the necessary user rights to the specified directory
· Copies the player, database mmf file and the license file to the specified directory, including an icon file
· If selected, places an icon on the desktop
· Adds a program manager group and an entry within the program manager group to start the Multimedia Player
· Adds uninstall information
· Starts the application after installation

Screens of the installer

Below find the screens which appear during installation.

Only if USB-stick support is defined


Network Installation

Home topic Part II - Enhanced Features > Installation Manager for Harddisk and Network:

Network Installation

 Deutsche Online Hilfe Next topic Print this topic JavaScript is required for the print function Mail us feedback on this topic! Mail us feedback on this topic!

If you want to offer a network installation (e.g. install from CD to the hard disk on the server) then use the file setup-network.exe instead of setup.exe.

Server Installation

The installer performs the following tasks:

· Asks for an installation directory
· Copies all files to a specified directory on the server - if an file already exists, the file is replaced
· Adds the necessary user rights to the specified directory
· Copies the player, database mmf file and the license file to the specified directory, including an icon file
· If selected, places an icon on the desktop
· Adds a program manager group and an entry within the program manager group to start the Multimedia Player
· Adds uninstall information
· Starts the application after installation
· Creates 2 files for network Client setups - folder ...\install\setup-client.exe and setup-client-advanced.exe.

The server installation can be started on any Client / Workstation PC. There is no need to start the installation on the server.

Client / Workstation setup

Each PC has to run a Client / Workstation setup, using setup-client.exe, which performs the following tasks:

· If selected, places an icon on the desktop
· Adds a program manager group and an entry within the program manager group to start the Multimedia Player
· Adds uninstall information
· Starts the application after installation

All files reside on the server.

Advanced Client / Workstation setup

It is possible to copy the mmf (file) database to the local PC. This makes sense if huge flash files are used and network connection is an issue. The disadvantage is, that no central installation is available and updates have to be done on each Client PC. Multimedia Protector just loads the file, which is played via the network. The size of the database does not matter - only the size of the files which are loaded into the Multimedia Player .

Each PC has to run a Client / Workstation setup, using setup-client-advanced.exe, which performs the following tasks:

· Asks for an installation directory
· Copies the mmf file to a specified directory on the local PC
· If selected, places an icon on the desktop
· Adds a program manager group and an entry within the program manager group to start the Multimedia Player
· Adds uninstall information
· Starts the application after installation

The Multimedia Player resides on the server, the database is on each local machine.

Screens of the installer

Below find the screens which appear during installation.

Only if setup-client-advanced.exe is started


Menus

Home topic Part II - Enhanced Features:

Menus

 Deutsche Online Hilfe Next topic Print this topic JavaScript is required for the print function Mail us feedback on this topic! Mail us feedback on this topic!

Multimedia Protector comes with different menus. They create own flash menus which can be used as the starting point of a CD/DVD or any download.

There are 2 menus which are free. The free menus offer a basic functionality. If you need to modify the design or you would like more options like audio or video when the menu starts, use one of the menus mention in the chapter External Menus.

If you already have an existing menu (flash or EXE menu) or need a different design, see chapter External Menus.

You can also use any standard menu program which allows to start an EXE file. Select one depending on your needs.

External Menu Applications

Use any standard menu program. We have described the most popular ones. More information about external menus.

Advanced Menu

The advanced menu is very flexible and lets you create menus with submenus (e.g. menu English Course 1 has submenus Lesson 1 and Lesson 2). It offers a toolbar which allows zooming and navigating. It is also multilingual.

You should use the menu for PDFand PPT files, as well as for single MP3 files and you can use it for any flash files.

View Advanced Menu

Basic Menu

This menu is the best choice, if you have only a few menu items and flash files or only one single flv file. PDF files are not supported.

View Basic Menu


External Menu applications

Home topic Part II - Enhanced Features > Menus:

External Menu applications

 Deutsche Online Hilfe Next topic Print this topic JavaScript is required for the print function Mail us feedback on this topic! Mail us feedback on this topic!

You can use any type of menu. If you have an own flash application, which serves as a menu, nothing special has to be considered.

If you have a menu, which is an EXE file, you can invoke each file inside the database with a special command. See chapter Start a specific file inside the database.

A EXE based menu would be outside the database (mmf file) and is unprotected. It does not require the Premium Edition. A typical content of the CD or download would be

menu.exe (your menu file)

mycourse.exe (the Multimedia Player)

mycourse.lic (the license file)

mycourse.mmf (the database)

mycourse1-n.mmf (additional database files if required - see split project)

The menu.exe would be the program, which is started first. The menu exe can then invoke single files directly inside the database.

We have tested some menu programs and described the necessary settings.

· Autorun MAX!
· CDMenuPro
· Quick Menu Builder (Freeware)

This feature is available only in the Multimedia Protector Premium Edition.

See also
Start a specific file inside the database
Flash application using exe file


Autorun MAX!

Home topic Part II - Enhanced Features > Menus > External Menu applications:

Autorun MAX!

 Deutsche Online Hilfe Next topic Print this topic JavaScript is required for the print function Mail us feedback on this topic! Mail us feedback on this topic!

This application can be downloaded at: http://www.autorun.com

The menu application creates an EXE (autorun.exe) file. This file (the menu application) is on the CD or in the download link and it is not protected (don't import it in the Multimedia Protector database).

Start Autorun MAX!.

Step 1 - Add the deploy folder to the Autorun MAX! project

You have to add all files which should be included in the Autorun MAX! project. Select the menu Project, File Layout. In the upper part of the screen open the Deploy folder, select all files and add the files to the docs folder.

Step 2 - Define the file to start for each button

Now create your menu and add a button for each file you want to start, e.g. a button with Tutorial 1, Tutorial 2 etc. Then right click on the button and select Properties.

Select: Action to run: Run Program. In the line File to run add the path and the name of the Multimedia Player.exe file from the Deploy folder. In the line Command line arguments add the command to load a flash file or PDF file. See chapter Start a specific file inside the database to get all details for this command.

In the screenshot below, the file (Player) mycourse.exe is started and loads the file lesson1.swf.

The sample below starts the player with a different database. This feature can be used if you split the project into several databases.

If you don't specify a command line, the main database (same name like the Multimedia Player) is started and the file, which is defined as start file, is loaded.

Step 2 - Build the CD or EXE file for download

In the menu, select Publish, Build. Then select Hard drive folder to test the project.

A good idea is to create a new folder, e.g. cd-project training 1

All your files are now copied from the Deploy folder to this new CD folder. Click on Autorun.exe to test everything.

If you have done all tests, you could either directly burn a CD or select Web / EMail executable to get an EXE file for a download.

If you make any changes in the Multimedia Protector project, you have to rebuild the CD with Autorun MAX!

List of all start options for the player

See also
Start a specific file inside the database
Split project into several databases
All command line options
Additional Menus


CDMenuPro

Home topic Part II - Enhanced Features > Menus > External Menu applications:

CDMenuPro

 Deutsche Online Hilfe Next topic Print this topic JavaScript is required for the print function Mail us feedback on this topic! Mail us feedback on this topic!

This application can be downloaded at: http://www.cdmenupro.de/

This menu application creates an EXE file. This file is on the CD or in the download link and it is not protected (don't import it in the Multimedia Protector database).

You have to copy all Multimedia Protector files from the folder Deploy into the folder CD_ROOT of the CDMenuPro project.

After defining buttons to invoke e.g. lesson 1, lesson 2 you specify in the properties dialog of a button the command, to invoke the invoke the Multimedia Player.exe file.

In the line Application add the path and the name of the Multimedia Player.exe file. In the line Parameter add the command to load a flash file or PDF file. See chapter Start a specific file inside the database to get all details for this command.

In the screenshot below, the file (Player) mycourse.exe is started and loads the file lesson1.swf.

The sample below starts the player with a different database. This feature can be used if you split the project into several databases.

If you don't specify a runtime parameter, the main database (same name like the Multimedia Player) is started and the file, which is defined as start file, is loaded.

List of all start options for the player

See also
Start a specific file inside the database
Split project into several databases
All command line options
Additional Menus


Quick Menu Builder

Home topic Part II - Enhanced Features > Menus > External Menu applications:

Quick Menu Builder

 Deutsche Online Hilfe Next topic Print this topic JavaScript is required for the print function Mail us feedback on this topic! Mail us feedback on this topic!

This application can be downloaded at: http://www.quickmenubuilder.com/

The menu application creates an EXE file. This file is on the CD or in the download link and it is not protected (don't import it in the Multimedia Protector database).

You have to copy all Multimedia Protector files from the folder Deploy into the main folder of the menu.exe application.

After defining buttons to invoke e.g. lesson 1, lesson 2 you specify in the Assign actions Tab the Button action: Execute... to invoke the Multimedia Player.exe file.

In the line Select a file add the path and the name of the Multimedia Player.exe file. In the line Parameters add the command to load a flash file or PDF file. See chapter Start a specific file inside the database to get all details for this command.

In the screenshot below, the file (Player) mycourse.exe is started and loads the file lesson1.swf.

The sample below starts the player with a different database. This feature can be used if you split the project into several databases.

If you don't specify a runtime parameter, the main database (same name like the Multimedia Player) is started and the file, which is defined as start file, is loaded.

List of all start options for the player

See also
Start a specific file inside the database
Split project into several databases
All command line options
Other Menus


Basic Menu

Home topic Part II - Enhanced Features > Menus:

Basic Menu

 Deutsche Online Hilfe Next topic Print this topic JavaScript is required for the print function Mail us feedback on this topic! Mail us feedback on this topic!

It can be found on the directory ...\Multimedia Protector\2.1\Add-Ons\MenuCreator\basic. The file ...\demodata\document-demo.mme is a sample project which uses the Menu Creator.

The Logo, background image and background color, the menu header and the graphic as well as the label of the buttons can be defined. The menu is a multi-page menu. If more then 8 menu items are defined, a next button will appear to browse to the next page. The menu only works with .SWF files.

After starting a file, a button menu will appear at the right upper corner. If this button is pressed, the menu will be reloaded. It is possible to hide this button with the configuration option <menuButtonDisable>.

The menu creator can be used with Multimedia Protector, but it is not allowed to distribute the files as a standalone application without Multimedia Protector .

See also

Define Menu
Include Menu in Project
How to edit an XML file
How can I view a flash file?


Define Menu

Home topic Part II - Enhanced Features > Menus > Basic Menu:

Define Menu

 Deutsche Online Hilfe Next topic Print this topic JavaScript is required for the print function Mail us feedback on this topic! Mail us feedback on this topic!

The structure of the menu is defined with the file cat.xml. It can be modified using any editor. If you do not have an XML Editor, see How to edit an XML file. The name of the menu application is advanced-menu.swf.

Cat.xml

<?xml version="1.0" encoding="utf-8" standalone="yes"?>

<subject>

<!--in logo tag, after image name, the first parameter indicates position (left, right,center) -->

<!--in header tag, after #, the first parameter indicates font size and second is color of image -->

<!--in background tag, after #, the first parameter indicates color of background -->

<!-- ( RED, 0x00000, flowers.jpg ... ) -->

<!--in filename tag, after #, the first parameter indicates no scale .swf -->

<logo>images/mirage.jpg#center</logo> ç Name of Logo file. Must be from type JPG # position (left, right, center)

<header>Samples of protected files#18#0x3F4B5F</header> ç Header to display # font size # color

<background>WHITE</background> ç Background Color, must be in capital letter like RED, BLUE
or hex color code or image as an background image

<menuButtonDisable>false</menuButtonDisable> display menu button for all menu items, true = do not display menu button for all menu items

<methods>

<coursetitle>PDF-Printable</coursetitle> ç Caption of the first button

<filename>files/flyer-cdc-print.swf</filename> ç File to start when button is pressed. Must be from type SWF or FLV

<imgname>images/1.jpg</imgname> ç Image used on the button. Must be from type JPG

<menuButtonDisable>false</menuButtonDisable> display menu button - valid only for this item, true = do not display menu button when this item is started

</methods>

<methods> ç You can define any number of additional buttons

<coursetitle>PDF-not printable</coursetitle>

<filename>files/flyer-cdc.swf#noscale</filename> ç #noscale prevents that the file is resized to fit in the window

<imgname>images/2.jpg</imgname>

</methods>

<methods>

<coursetitle>Word</coursetitle>

<filename>files/flyer-cdc-word.swf</filename>

<imgname>images/3.jpg</imgname>

</methods>

<methods>

<coursetitle>PPT</coursetitle>

<filename>files/cti-data-ppt-noani.swf</filename>

<imgname>images/4.jpg</imgname>

</methods>

<methods>

<coursetitle>Video (FLV Format)</coursetitle>

<filename>http://files/movie.flv</filename> ç FLV needs a http and then the foder and filename

<imgname>images/5.jpg</imgname>

</methods>

</subject>

Never use an absolute path in the configuration file like c:\files which points to your disk drive on the PC. Always use a relative path like files/flyer-cdc-word.swf.

To start an flv file, you have to put http//: before the folder or filename

This is how the file looks like if you use a XML Editor. It is very easy to change the items there.


Include Menu in Project

Home topic Part II - Enhanced Features > Menus > Basic Menu:

Include Menu in Project

 Deutsche Online Hilfe Next topic Print this topic JavaScript is required for the print function Mail us feedback on this topic! Mail us feedback on this topic!

To include the menu in the project, just copy the files:

· menu.swf
· cat.xml

as well as all used images and swf files to your data source directory and import the files in the screen - Data Import.


Advanced Menu

Home topic Part II - Enhanced Features > Menus:

Advanced Menu

 Deutsche Online Hilfe Next topic Print this topic JavaScript is required for the print function Mail us feedback on this topic! Mail us feedback on this topic!

It can be found on the directory ..\Multimedia Protector\2.1\Add-Ons\MenuCreator\advanced.

The advanced menu is very flexible and lets you create menus with submenus (e.g. menu English Course 1 has submenus Lesson 1 and Lesson 2). It offers a toolbar which allows zooming and navigating. It is also multilingual.

You should use the menu for PDFand PPT files as well as for single MP3 files and you can use it for any flash files.

You can define

· Intro flash file which plays at the start of the menu
· Logo file and location of the logo
· Menu and Submenu title
· Language of the menu title
· Start a flash file - different file per language
· Display toolbar to zoom in and out as well as to browse forward and backward
· Display print button
· Display scroll bar
· Size to load a file (e.g. 50%, 100% or 200%)

The menu creator can be used with Multimedia Protector, but it is not allowed to distribute the files as a standalone application without Multimedia Protector .


Basic Settings

Home topic Part II - Enhanced Features > Menus > Advanced Menu:

Basic Settings

 Deutsche Online Hilfe Next topic Print this topic JavaScript is required for the print function Mail us feedback on this topic! Mail us feedback on this topic!

The structure of the menu is defined with the file config.xml. It can be modified using any editor. If you do not have an XML Editor see How to edit an XML file. The name of the menu application is advanced-menu.swf.

Basic Settings

Define the basic settings which are used as default values for the complete menu including intro file and logo. Make a copy of the config.xml file and edit the file.

All items like doc or default are case sensitive.

expandir

Displays a submenu item on the right or left side.

Values: right
align

Position of the menu item

Values: right
locale

Default language of the menu

Values: en (English), de (German), it (Italian), fr (French)
toolbar

Enables the toolbar for all menu items by default. The toolbar allows navigating forward and backward within a document and zooming the document. This is necessary for converted PDF and PPT files.

Values: true, false
print

Enables the print icon for all menu items by default. The first printer icon prints the page which is displayed; the second printer icon prints all pages

Values: true, false
scrollbars

By default, horizontal or vertical scrollbars are automatically added if required. You can override the default values using

one of the following values:

none - never display a scrollbar

v - add vertical scrollbar

h - add horizontal scrollbar
doc

Path and filename of the intro file. It must be a flash file (swf). Leave this field empty to have no intro file. The entry default must be set to true
default

Loads the intro file, specified with doc. This file is started once when the menu loads.

logo

Path and filename of the logo. It must be a flash file. It must be a jpg file. Leave this field empty to have no logo file. You have to specify the position of the logo with logo_x and logo_y.
logo_x

Horizontal position of the logo in pixel. The logo has to be specified with the entry logo.
logo_y

Vertical position of the logo in pixel. The logo has to be specified with the entry logo.


Define Menu Headlines

Home topic Part II - Enhanced Features > Menus > Advanced Menu:

Define Menu Headlines

 Deutsche Online Hilfe Next topic Print this topic JavaScript is required for the print function Mail us feedback on this topic! Mail us feedback on this topic!

First define the basic settings. All values from there are used as default values for the menu headlines - that is: as long as you do not explicitly define a value in the menu headline, the value from the basic setting definition will be used.

id

Number of the headline. The headlines are ordered by this number.

Values: 1 to n. Depending on the length of the headline only 4-5 headlines might be possible
x

Horizontal position of the headline in pixel
y

Vertical position of the headline in pixel
orient

Defines, how the submenu is expanded - either horizontal or vertical

Values: h, v

orient = h

orient = v
doc

Path and filename of the file that is started, when the user clicks on the headline. If no file should be started, leave this value empty. You can specify a flash file (.SWF) and a .PDF file.

title

You have to specify the title (name of the headline) for each language you want to use. The title entry has several sub-entries.
Example: If you want to offer the menu in 2 languages, you have to add 2 title items, and for each title item you have to specify the following sub-entries.

locale

Language of the headline

Values: en (English), de (German), it (Italian), fr (French)

name

Name of the title in the language, specified with local


Include Menu in Project

Home topic Part II - Enhanced Features > Menus > Advanced Menu:

Include Menu in Project

 Deutsche Online Hilfe Next topic Print this topic JavaScript is required for the print function Mail us feedback on this topic! Mail us feedback on this topic!

To include the menu in the project, just copy the files:

· advanced-menu.swf
· config.xml

as well as all used images and swf files to your data source directory and import the files in the screen - Data Import.


Multimedia Player

Home topic Part II - Enhanced Features:

Multimedia Player

 Deutsche Online Hilfe Next topic Print this topic JavaScript is required for the print function Mail us feedback on this topic! Mail us feedback on this topic!

The Multimedia Player which is delivered with each product, is royalty free. This means that you can distribute the Multimedia Player to end users without any additional costs.

The basic options of the Multimedia Player are configured in the screen - Player Options. There are additional command line parameters (Start Options) and a build in end user interface for the license - the License Viewer.

· Start Options
· License Viewer


Multimedia Player - Start Options

Home topic Part II - Enhanced Features > Multimedia Player:

Multimedia Player - Start Options

 Deutsche Online Hilfe Next topic Print this topic JavaScript is required for the print function Mail us feedback on this topic! Mail us feedback on this topic!

The Multimedia Player supports the following start options

· Invoke the License Viewer

-v
· Start a different database (MMF file)

-f "path\filename.mmf"
· Invoke the Player with a specified file

-load "path\file.swf" (must be .swf, PDF or .exe file)
· Use a different license file or path for the license file

-lf "path\file.lic" (lowercase letter l like license, f like file)
· Installation options for the Multimedia Protector PDF Viewer

-ipdf on or -ipdf off

You would start the Multimedia Player and use one or more command line parameters:

"c:\programs\myapp\mycourse.exe" -f "c:\programs\myapp\courses\course1.mmf"

Always use " if you specify a path to cover spaces in the path or filename

"c:\programs\this is my application\mycourse.exe" -load "l01/lession1.swf"

You can combine options, e.g. specify database/MMF file and load a specific flash

mycourse.exe -f lession.mmf -load "l01\lession1.swf"


Use a different license file

Home topic Part II - Enhanced Features > Multimedia Player > Multimedia Player - Start Options:

Use a different license file

 Deutsche Online Hilfe Next topic Print this topic JavaScript is required for the print function Mail us feedback on this topic! Mail us feedback on this topic!

By default, the license file (extension .lic) is expected on the same path like the database (extension mmf) and with the same name. If the license file is missing, a file with the same name like the Multimedia Player is searched. Only if the license file is on a different folder or has a different name, you have to specify the license file name with a start option.

-lf "path\file.lic" (lowercase letter l like license, f like file)


License Viewer

Home topic Part II - Enhanced Features > Multimedia Player:

License Viewer

 Deutsche Online Hilfe Next topic Print this topic JavaScript is required for the print function Mail us feedback on this topic! Mail us feedback on this topic!

The License Viewer is part of the Multimedia Player and is a complete administration interface for the end user. It can be accessed from any screen during the activation and registration process with the link Show License Information. The License Viewer can also be invoked by starting the Multimedia Player with the parameter -v (see Start Options) or it can be added in the program manager group using the installer (parameter ShowLicenseInfo).

You can also use a standard text file with the extension .BAT (e.g. viewer.bat), which has only one line with the command:

xy-player.exe -v

whereas xy-player.exe is the name of your Multimedia Player of your product. You can download a sample here.

Features

· Basic license information like manufacturer, company, copy protection status and system information
· License information per module (number of licenses, time limitation, demo version, activation status)
· List of users, PCs and concurrent users for each module. Allows to remove / deactivate a user / PC / item
· Option to apply Activation Keys
· Option to activate log file

See also
Multimedia Player - Start Options
Basic license information
Module Information
Deactivate a network license


Basic license information

Home topic Part II - Enhanced Features > Multimedia Player > License Viewer:

Basic license information

 Deutsche Online Hilfe Next topic Print this topic JavaScript is required for the print function Mail us feedback on this topic! Mail us feedback on this topic!

Basic license information is structured in 3 sections.

Click to enlarge
Basic license information - Copy Protection turned off

Manufacturer and License Holder

· Manufacturer. The company name, defined in the screen - Settings
· Company: Before applying the Serial Number, this is the Default Customer Name (e.g. Evaluation Version). After applying the Serial Number key, the customer name, entered during the activation (Online, E-Mail, Fax, Phone) is displayed. This is the license holder

Installation Codes

All available installation codes (hardware IDs) are displayed. If copy protection is not activated, then the folder has this icon [image]. After activation of the copy protection, the icon switches to [image] and the criteria, which is used for copy protection, is marked with [image].

Click to enlarge
Basic license information - Copy Protection turned on

If a customer has a problem with copy protection, just use another installation code and create a new Unlock Key, which can be applied in the License Viewer.

System information

This information is helpful for support and depends on selected options.

· License File path and name
· License File - ID: Each time you save a project the ID is increased
· License File Version: Internal file version
· License File Date: Date and time when the license file was created
· Security level - with Multimedia Protector always Advanced Security Level
· Concurrent user option (Heartbeat, Light) - with Multimedia Protector always Heartbeat

^


Module Information

Home topic Part II - Enhanced Features > Multimedia Player > License Viewer:

Module Information

 Deutsche Online Hilfe Next topic Print this topic JavaScript is required for the print function Mail us feedback on this topic! Mail us feedback on this topic!

Each module is listed with additional information (depending on the license type).

· Demo version
· Expiry date or time limitation
· Activation Status (required, erroneous, done)
· Number of licenses (module type license per user, PC, concurrent or item counter)
· All keys, which have been used for a module
· All users [image], Concurrent users [image], PCs [image] or items [image] per module. If a license is deactivated, this is indicated with the icon


Deactive a network license

Home topic Part II - Enhanced Features > Multimedia Player > License Viewer:

Deactivate a network license

 Deutsche Online Hilfe Next topic Print this topic JavaScript is required for the print function Mail us feedback on this topic! Mail us feedback on this topic!

If an application uses a license per PC or per User then a single license can be deactivated within the License Viewer. This is not necessary for concurrent user because the license is automatically removed when the application terminates.

Deactivate a license within License Viewer

A license (per PC / User / Item) can be deactivated by

· selecting the license
· press button Deactivate

The deactivated license is now displayed in brackets and the icon changes to [image]. The license can be used again by another PC / User / Item

Activate a deactivated license again

A license which was deactivated, is displaced in brackets. It can be activated again by

· selecting the license
· press button Activate

Deactivation of a concurrent user is only necessary, if the user is not automatically removed. It is not a deactivation of the license - it is a removing of the user. The user will get the license again with the next program start again.

The deactivation is done when you press the OK button. If the user has already started the application, the next start of the Multimedia Player will return an error


Activate a log file

Home topic Part II - Enhanced Features > Multimedia Player > License Viewer:

Activate a log file

 Deutsche Online Hilfe Next topic Print this topic JavaScript is required for the print function Mail us feedback on this topic! Mail us feedback on this topic!

In case of an unknown error on the end user system, the user can activate a log file and sent it to you. You could then send this file to support.

· Press the Options button within the License Viewer
· Select - Error tracking enabled
· Select a path for the logfile

Restart the application until the error appears and then send all files with the extension .log to support@mirage-systems.de . The user can then disable the error tracking.


Network License - how it works

Home topic Part II - Enhanced Features:

Network License - how it works

 Deutsche Online Hilfe Next topic Print this topic JavaScript is required for the print function Mail us feedback on this topic! Mail us feedback on this topic!

It is possible to store all files (required files see files for distribution) on a network folder. Multiple users can start the Multimedia Player at the same time. Each user needs a read and write access to this folder.

The advantages of a network installation are:

· Centralized installation - all files are located on one machine
· Only 1 activation is necessary, even if 100 users or PCs use the Multimedia Player
· If additional users should be added, only one Activation Key has to be sent out

Just define the number of users or computers you want to allow starting the Multimedia Player.

There are 3 different kinds of network license

· Licence per PC
· Licence per User
· Floating license / concurrent user

The product cannot be activated on the server. It has the be activated on the workstation PC. The activation has to be done only once for all PC's. Also the Multimedia Player cannot be used on the server.

See also

Available Licence Options
How to add Add additional users / licenses within a network


Licence per PC

Home topic Part II - Enhanced Features > Network License - how it works:

Licence per PC

 Deutsche Online Hilfe Next topic Print this topic JavaScript is required for the print function Mail us feedback on this topic! Mail us feedback on this topic!

The license per PC uses the name of the PC (hostname) and stores this name in the license file. Once the Multimedia Player is started, it checks wether the PC name is already stored in the license file and if not, it starts only in case a free license is available. After the Multimedia Player has been terminated, the license is still in use.

A PC can be removed from the license file in the Licence Viewer. The license will then be available for another PC.

This license type can be used for a single PC installation (license = 1 = limitation to 1 PC) or network installation.

All files have to be on the server in the same directory - see files for distribution

If a user connects through a remote connection using a tool like Remote Desktop, Citrix, Terminal Server or gotomypc, it depends on the tool if the remote connection counts as a separate license. For most tools, Multimedia Protector retrieves the PC name of the remote PC and counts the connection as a new license.


Licence Per User / Person

Home topic Part II - Enhanced Features > Network License - how it works:

Licence Per User / Person

 Deutsche Online Hilfe Next topic Print this topic JavaScript is required for the print function Mail us feedback on this topic! Mail us feedback on this topic!

The license per User uses the Windows user name and stores this name in the license file. Once the Multimedia Player is started, it checks whether the user name is already stored in the license file and if not, it starts only in case a free license is available. After the Multimedia Player has been terminated, the license is still in use. If a user is logged in with the same name on multiple PCs, it is counted as one license.

This license type can be used for a single user installation (license = 1 = limitation to 1 user) or network installation.

A user can be removed from the license file in the Licence Viewer. The license will then be available for another user.

All files have to be on the server in the same directory - see files for distribution


Network Licence Per Concurrent User

Home topic Part II - Enhanced Features > Network License - how it works:

Network Licence Per Concurrent User

 Deutsche Online Hilfe Next topic Print this topic JavaScript is required for the print function Mail us feedback on this topic! Mail us feedback on this topic!

This concurrent user license is also called floating license. It is checked, how many users have started the Multimedia Player at the same time.

The license per Concurrent User combines the PC name + Windows user name (e.g. OFFICEPC-TOM) and stores this name in the license file. The combination is necessary to count a license, even if a user is logged in with the same name on multiple PCs.

Once the Multimedia Player is started, it checks whether the name is already stored in the license file and if not, it starts only in case a free license is available. After the Multimedia Player has been terminated, the license is given back by removing the name in the license file. The license will be available again for another user.

This license type can be used only for a network installation.

All files have to be on the server in the same directory - see files for distribution

If a user connects through a remote connection using a tool like Remote Desktop, Citrix, Terminal Server or gotomypc, it depends on the tool if the remote connection counts as a separate license. For most tools, Multimedia Protector retrieves the PC name of the remote PC and counts the connection as a new license.

Concurrent user is not supported when the main application is an EXE file.


Network Licence per Server

Home topic Part II - Enhanced Features > Network License - how it works:

Network Licence per Server

 Deutsche Online Hilfe Next topic Print this topic JavaScript is required for the print function Mail us feedback on this topic! Mail us feedback on this topic!

To have a license per Server (the number of PCs are not limited), use the Licence per PC option and set the number of PCs to 9999 or any number which will be sufficient.


How to add additional users / licences within a network?

Home topic Part II - Enhanced Features > Network License - how it works:

How to add additional users / licenses within a network?

 Deutsche Online Hilfe Next topic Print this topic JavaScript is required for the print function Mail us feedback on this topic! Mail us feedback on this topic!

To add additional licenses to an existing installation, just create an Activation Key.

· The license type (per user, per PC or concurrent user) from the original delivery is used - See Licence Type
· The Activation Key is generated within the Screen - Administration, TAB Additional Licences

If you are using the Web Activation server, use the Switch: Online Validation required to ensure, that a key can never used twice.

Details for all options see Screen - Administration, TAB Additional Licences


Problems - Trouble Shooting - Error Messages

Home topic Part II - Enhanced Features:

Problems - Trouble Shooting - Error Messages

 Deutsche Online Hilfe Next topic Print this topic JavaScript is required for the print function Mail us feedback on this topic! Mail us feedback on this topic!

If you have problems, check one of the solutions below. Also check How TOs and FAQ - you will find a lot of information for frequently asked questions.

See also
Player Error Messages
Project Generator Error Messages
Activation Server Error Messages
FLV files
If found no answer for my questions


FLV file does not load

Home topic Part II - Enhanced Features > Problems - Trouble Shooting - Error Messages:

FLV file does not load

 Deutsche Online Hilfe Next topic Print this topic JavaScript is required for the print function Mail us feedback on this topic! Mail us feedback on this topic!

If you load an FLV file within your flash application and this file does not load, try to embed the FLV file instead of loading it externally. Otherwise convert the FLV file to flash. This will always work.

If you have just one SWF file that starts a FLV file, you may use a special command. This will load the FLV file in the player, but will end the SWF file
- http://files/xy.flv - the command must begin with http:// and then a folder name or the flv filename must follow.

If you have multiple FLV files to secure use the Menu Creator.


Player Error Messages

Home topic Part II - Enhanced Features > Problems - Trouble Shooting - Error Messages:

Player Error Messages

 Deutsche Online Hilfe Next topic Print this topic JavaScript is required for the print function Mail us feedback on this topic! Mail us feedback on this topic!

Find below error messages which are related to the Multimedia Player.

Errors during product activation

Online Activation Failed

This error occurs during Online activation of the product. It indicates that your project data is not uploaded on the Activation Server.

Check if your URL to the Activation Server is correct - see Online Activation. If the activation never works and you always get this error, then this is 99% due to a wrong URL.

Otherwise it is a typical message when a firewall blocks the online activation. If it is a company wide firewall the system administrator would have to open port 80.

The activation key cannot be applied. The installation code of the license file does not match with code 0

The Unlock Key is was made using a wrong installation code.

Example

Instcodes:

01: 3F523F50

02: 3DED554A

03: 280EAE6E

04: 280EAE6E

..

If you create an Unlock Key and use 3F523F50 (=Code1) for Netbios Name (=Code 4) then you get this error.

Runtime Errors

There is no free license of module xy available

This error indicates that there is no free license available for the PC or user, who wants to start the Multimedia Player . See error screen sample.

Possible situations where this error might occur are:

· in a network installation, too many PC's or users try to start the Multimedia Player
· using a Terminal Server, Citrix or Remote PC session as each session counts a separate license per PC or license per concurrent user. See Network License.
· on a local PC installation with a license per user and multiple users on the PC start the Multimedia Player
· if a USB-Stick is used, you can define on how many PCs the USB-Stick can be attached - see Number of Computers where the USB-Stick can be used

Click on Show License information. You would see all PC's or users holding the license. It is possible to deactivate a license if it is no longer necessary.

See also: How to add Add additional users / licenses within a network

Error 3011

This error occurs during Online activation of the product. It indicates that your project data is not uploaded on the Activation Server.

Solution: Upload your configuration files to the Activation Server

This error could also occur if the URL to the Activation Server is wrong - see configuration Online Activation.

Error 3013

This error occurs during Online activation of the product. It indicates that your project data is out of date on the Activation Server.

Solution: Upload your configuration files to the Activation Server

· Log into Activation Server Administration Interface using the Link in the Web Activation Server Administration
· Select menu Tools, select: Restart Webservice

Error 3014

This error occurs during Online activation of the product. Probably the user does not have the correct date/time set on his PC. You can react as follows:

· Tell the user to correct the local time setting on his PC
· He can try the Online Activation again

If the same error appears again, the user should try E-Mail activation.

Error - The installation code does not match with code...Copy Protection Violation

If this screen appears during the start of the Multimedia Player it indicates

· The application is used on a different machines as it was licensed for
· The hardware criteria which was used for copy protection has changed (e.g. new hard disk or new network adapter)
· Installation code 5 or 6 was used and the Multimedia Player was started on the server AND on the workstation. It only works if the server is used as a dedicated server and the Multimedia Player is not started on the server


Project Generator Error Messages

Home topic Part II - Enhanced Features > Problems - Trouble Shooting - Error Messages:

Project Generator Error Messages

 Deutsche Online Hilfe Next topic Print this topic JavaScript is required for the print function Mail us feedback on this topic! Mail us feedback on this topic!

Find below error messages which are related to the Project Generator.

Error 21

Error message: Creation of..\Deploy and ..\Config files failed with error 21

Check the folders \Config and \Deploy

· that you have full write access to these folders
· that no file inside the folder is write protected


Activation Server Error Messages

Home topic Part II - Enhanced Features > Problems - Trouble Shooting - Error Messages:

Activation Server Error Messages

 Deutsche Online Hilfe Next topic Print this topic JavaScript is required for the print function Mail us feedback on this topic! Mail us feedback on this topic!

The Activation Server has 2 different types of error messages

Error codes of the Multimedia Player

If an online activation is not successful, the Multimedia Player creates an error code like error 3013 or 3014. All Multimedia Player related errors can be found in the chapter Player Error Messages. The details of an error can be found in the server log file.

Error codes of the Activation Server

Errors which are created on the server side are written into a log file. The details of an error can be found in the server log

2013

This error could have 2 reasons:

· The web service has not all rights which are needed to create / modify files on the folder ..\alg - see Necessary Rights for ASP Service
· Your license file expired or more projects are used then included in the license - for more details view the log file

3001

Connection to the Activation Server could not be established. Typical causes of this error are:

· Activation Server is down
· URL to the Activation Server is wrong
· Client does not have Internet access or access is blocked by a firewall
· Client Proxy Server settings are wrong

3002

Configuration file licprotectorws.config or a file in the folder \pconfig could not be read

The XML format is wrong. This error can only happen if you manually change configuration files

3003

ProjectID is missing - check licprotectorws.config or the configuration file in the folder \pconfig. This error can only happen if you manually change configuration files

3004

An unknown installation code is used - check licprotectorws.config or the configuration file in the folder \pconfig. This error can only happen if you manually change configuration files

3005

No projects could be found - check licprotectorws.config or the configuration file in the folder \pconfig.Upload your project to the Activation Server

3006

Bad request

· ProjectName is empty - This error can only happen if you manually change configuration files
· A request to the Activation Server was made not using Multimedia Protector

3007

Unknown request type. This situation could only occur, if the Multimedia Protector version is newer than the Activation Server server version and Multimedia Protector uses a command, which is unknown to the Activation Server

3008

Writing to database failed. Check, if the database is running and check the database setup.

3009

Reading from database failed. Check, if the database is running and check the database setup

3010

The Serial Number was already used or was locked.

Increase the number, how often the key can be used or unlock the key

3011

This error occurs during Online activation of the product. It indicates that your project data is not uploaded on the Activation Server.

Solution: Upload your configuration files to the Activation Server

This error could also occur if the URL to the Activation Server is wrong - see configuration Online Activation.

3012

The output file, which is generated on the folder .\alg during product activation, is missing or has a wrong XML format - for more details view the log file

Reading projects failed with: load config failed

Configuration file licprotectorws.config or a file in the folder \pconfig could not be read

The XML format is wrong. This error can only happen if you manually change configuration files

See also
Player Error Messages


Split project into several databases

Home topic Part II - Enhanced Features:

Split project into several databases

 Deutsche Online Hilfe Next topic Print this topic JavaScript is required for the print function Mail us feedback on this topic! Mail us feedback on this topic!

Splitting a project into multiple databases (mmf files) is recommended, if the project includes EXE files and the database size would be more than 80 to 100 MB.

Unlike flash files, where each file is only loaded when needed, EXE files and all the other files in the database are loaded during program start. If the database is too big, the program start takes too much time.

The following steps are necessary to built a project, which is split in sub projects (databases).

Copy / duplicate the main project

First create a main project and define the main start file of the application. Then copy the project (in the main menu select: Copy Project):

Click to enlarge
Copy Options - use same encryption

The important option is: New project uses a different encryption. Uncheck this option. This creates a new database which uses the same encryption and same Serial Numbers like the original database. You can have one license file and one Serial Number for all project files.

A good idea is, to use the main project name in the copy of the database.

Example

· Main project name: english-course
· Copy project 1: english-course-lesson1
· Copy project 2: english-course-lesson2

Copy all databases in a new folder

Each project will create a deploy folder with the Multimedia Player, the license file (.lic) and the database (.mmf) - see chapter the Basics about Distributing a Project.

Create a new folder, e.g. ..\complete project. Copy all files from your main project and only the database (.mmf) file from the sub projects into this folder. The folder content would be as follows:

· autorun.ini
· english-course.exe
· english-course.lic
· english-course.mmf
· english-course-lesson1.mmf
· english-course-lesson2.mmf

Start files from other databases

Starting a file in another database depends on the type of the main application.

Menu

The best solution is to use a menu application, which allows to start Lesson 1, Lesson 2 separately. This menu would be outside the Multimedia Protector project. the See Menus.

The start command within the menu is:

· englisch-course.exe -f englisch-course-lesson1.mmf to start lesson1
· englisch-course.exe -f englisch-course-lesson2.mmf to start lesson2

Flash Menu

If the start application in the main project is a flash file (e.g. a menu), the flash file needs to use a special command.

http://FILE:english-course.exe -f english-course-lesson1.mmf$$RUN

This commands starts an exe file which is already available on the CD or hard disk. It can be used to start any external application. The file must be on the same folder like the Multimedia Player. A pathname cannot be used.

The parameter -f provides the database name to start.

Sample flash code: loadMovie("http://FILE:english-course.exe -f english-course-lesson1.mmf$$RUN",2);


Transfer a license from PC A to PC B

Home topic Part II - Enhanced Features:

Transfer a license from PC A to PC B

 Deutsche Online Hilfe Next topic Print this topic JavaScript is required for the print function Mail us feedback on this topic! Mail us feedback on this topic!

There is a manual procedure, which allows to transfer / move a license from one PC to another PC. You also can use this workflow to remove or lock a license.

To use this feature, you need the Premium and the Activation Server.

The workflow is as follows:

· Send out an Activation Key to disable the license on PC A
· The usage of the Activation Key is protocolled on the Activation Server. It is the proof, that the customer has used the key
· Lock the old Serial Number
· Send out a new Serial Number

Activation Key to disable a license

Create an Activation Key where you set:

· Expiry date to a date in the past, e.g. 1.1.2000
· Check Online Validation required

You create this key in the screen Administration, TAB Additional Licenses.

User applies the Activation Key

To apply the key, the user has to start the License Viewer. Either it is available in the program manager group (available if you use the Installation Manager) or you send him a text file with the extension.bat (e.g. viewer.bat), which has only one line with the command:

xy-player.exe -v

whereas xy-player.exe is the name of your Multimedia Player of your product. You can download a sample here.

The user can apply the key using the button Activation Key

Check if the Activation Key to disable the license was used

You can check on the Activation Server, if the Activation Key was used. This is the proof, that the customer has disabled the license. Just enter the Activation Key as Entry Key and press the button Search. If the Activation Key was used, you get a list with more information like date/time etc.

Lock the old Serial Number

Now enter as Entry Key on the Activation Server the old Serial Number. You get one or more hits, depending how often the Serial Number was used. Click on the View link.

This will open a detail record where you can lock the Serial Number.

Send out a new Serial Number

Create a new Serial Number key so that the user can install the product on another machine.

It is possible, that the user can cheat and the manual procedure will be replaced in a future release with an automatic procedure.


Update your projects

Home topic Part II - Enhanced Features:

Update your projects

 Deutsche Online Hilfe Next topic Print this topic JavaScript is required for the print function Mail us feedback on this topic! Mail us feedback on this topic!

Update content without sending out a new Serial Number

If you want to update your content without sending out a new Serial Number, then just load the new content and save the project. Only send the new created database (MMF) file to the user. If you installed an update of Multimedia Protector, then you also have to deliver the new Multimedia Player.

Sending out a new license file would destroy the product activation information and the user would have to activate the product again.

Update content with a new Serial Number

If the new content should be usable only with a new Serial Number, then copy the project, using the option: New project uses a different encryption. This duplicates the complete project but uses a new encryption with new Serial Numbers.


USB-Stick (flash drive) as a Dongle replacement

Home topic Part II - Enhanced Features:

USB-Stick (flash drive) as a Dongle replacement

 Deutsche Online Hilfe Next topic Print this topic JavaScript is required for the print function Mail us feedback on this topic! Mail us feedback on this topic!

Multimedia Protector offers copy protection with all the advantages and flexibility of a software solution. However, there are some situations where a hardware protection makes sense.

· Using one single license on multiple PCs and no online connection is available. The user can move the license from PC A to PC B using the USB-Stick
· Deliver a complete application on a USB-Stick - ready to go without the need to activate the software
· Marketing reasons - instead of receiving a CD, the user gets a USB-Stick with additional value for him

Multimedia Protector offers a unique protection feature using a standard USB-Stick. The license is bound to an individual criterion of the USB-Stick (different for each stick), which cannot be copied. It supports all the license options of a single user license like

· Evaluation options
· Multiple Modules

and additionally the option to define,

· on how many PCs the USB stick can be used or
· how many users can start the application

This is a very handy feature as you can control the usage of the stick.

The USB-Stick solution is much better than a Dongle:

· It is favorable - the price is only a fraction of the price of an Dongle
· The customer could even use his own USB-Stick. You can send out a Serial Number and activate the license on the USB-Stick using Online, E-Mail, Fax and phone activation. This is important if you deliver in multiple countries and shipping hardware is difficult
· In case of a hardware failure you can instantly issue a temporary license, where the license is stored on the local PC

Multimedia Protector combines the advantages of software copy protection with the advantages of hardware protection!

The USB-Stick protection can only be used as a single PC / single user license. A network license is not supported as a PC cannot retrieve the hardware information of the USB-Stick when it is used on a server.

The USB protection works only with Windows XP and Windows Vista.

This feature is available only in the Multimedia Protector Premium Edition.

See also
Activate USB-Stick
Deliver the USB-Stick with Copy Protection already activated
Use USB-Stick of the customer
Install Application on hard disk and use USB-Stick


Deliver the USB stick with Copy Protection already activated

Home topic Part II - Enhanced Features > USB-Stick (flash drive) as a Dongle replacement:

Deliver the USB-Stick with Copy Protection already activated

 Deutsche Online Hilfe Next topic Print this topic JavaScript is required for the print function Mail us feedback on this topic! Mail us feedback on this topic!

To deliver a USB-Stick with a ready to go license, there are only a few steps necessary.

Limit usage

The customer can use the license always only on the computer, where the USB-Stick is attached. The limitation by PC / user is an additional configuration setting to limit the usage.

· Use a license per Computer/PC - this limits the usage to the defined number of computers (recommended option). To define an unlimited usage, just configure a license with 9999 computersPC)
· Use a license per User- this limits the usage to the defined number of users

The default value is retrieved from the project settings in the screen - License Information. If you want to change the default settings, define the new value in the field Number of Computers where the USB stick can be used.

A license per concurrent user is not supported with a USB-Stick.

Expiry Date

If you want to add an expiry date for the full version (time limited full version) use the default values from the screen - License Information. If you want to change the default settings, define the new value in the field below: Expiry Date

Licensed to

This should be the company name or the user name. The information is displayed in the License Viewer.

Activate protection on USB-Stick

If you want to copy the files to the USB-Stick and automatically activate the copy protection, select the option: Files should be copied to the USB-Stick press the button Switch on Copy Protection on USB-stick. This opens a file dialog to select the USB-Stick, copies the files and adds the protection. You can specify the number of computers, where the USB-Stick can be used, and an expiry date in the fields below.

If you already copied the files to the USB-stick and you want to use default values, select the option: Files are already on the USB-stick - Activate Copy Protection and press the button Switch on Copy Protection on USB-stick. This opens a dialog, where you can select the license file on the USB-Stick. The copy protection is then activated.

If you already copied the files to the USB-stick and you want to change the default settings, select the option: Files are already on the USB-stick - use the following values and press the button Switch on Copy Protection on USB-stick. This opens a dialog, where you can select the license file on the USB-Stick. The copy protection is then activated. You can specify the number of computers, where the USB-Stick can be used, and an expiry date in the fields below.

If you made any changes in the project settings, first save the project before you copy the files to the USB-stick.

If the USB-Stick does not support copy protection, an error message is displayed:There is no valid instcode for file filename.lic

You have to use another USB-Stick.

Typical project settings

In combination with USB-Stick you would have typically these settings:

· Uncheck - No evaluation version - Serial Number needed to start

Automated process for large quantities

If you need large quantities of USB-Sticks with a license file already activated, you can use the service of the company OEM marketing - www.oem.de. They are specialized in CD and USB duplication and they have a special license from us to add the USB-Stick protection in a batch process. You have to send them your files from the folder Deploy.

Administration - Add USB protection


Use USB stick of the customer

Home topic Part II - Enhanced Features > USB-Stick (flash drive) as a Dongle replacement:

Use USB-Stick of the customer

 Deutsche Online Hilfe Next topic Print this topic JavaScript is required for the print function Mail us feedback on this topic! Mail us feedback on this topic!

If a USB-Stick of the customer should be used, there is the same workflow with product activation. All activation options (online, e-mail, fax, phone) are supported. The user has to copy the original files to his own USB-Stick.

The USB-Stick protection uses the installation code 11. For activation by e-mail, fax, phone nothing specific has to be considered. See chapter: Unlock Key. If the installation code 11 is empty, then the USB-Stick does not support copy protection.

Click to minimise
E-Mail Activation - No support of USB stick protection

For online activation, the activation server has to use installation code 11 as the main criteria. If the USB-Stick does not support copy protection, then the license is automatically bound to the PC which makes the activation.

Specify Code 11 as the Primary Hardware ID and code 4 as the Alternative Hardware ID. If you make any changes regarding the copy protection make sure, that you upload the files to the Activation Serveragain.


Install Application on hard disk using USB stick

Home topic Part II - Enhanced Features > USB-Stick (flash drive) as a Dongle replacement:

Install Application on hard disk using USB-Stick

 Deutsche Online Hilfe Next topic Print this topic JavaScript is required for the print function Mail us feedback on this topic! Mail us feedback on this topic!

It is possible to install the product and/or database on the hard disk. Only the license file has to be on the USB-Stick.

Only Database on the hard disk

If the database (mmf file) should be on the harddisk, then copy the Multimedia Player and the license file (.lic file) to the USB drive.

The Multimedia Player has to be started with an parameter

xy.exe -f "path\filename.mmf"

Multimedia Player and Database on the hard disk

If the Multimedia Player and the database (mmf file) is on the harddisk, then only copy the license file (.lic file) to the USB drive.

The Multimedia Player has to be started with an parameter

XY.exe -lf "path\licensefile.lic"


Workflow - from Distribution to Activation

Home topic Part II - Enhanced Features:

Workflow - from Distribution to Activation

 Deutsche Online Hilfe Next topic Print this topic JavaScript is required for the print function Mail us feedback on this topic! Mail us feedback on this topic!

This chapter explains the workflow in detail from distribution to activation.

· Distribution
· Evaluation Version
· Product Activation - Online
· Product Activation by E-Mail, Fax or Phone
· Sending out keys

Tutorial - Product Activation

This tutorial demonstrates, how the user activates the product - using Online, E-Mail, Fax or phone activation.

Start Video Tutorial for product Activation


The Basics about Workflow

Home topic Part II - Enhanced Features > Workflow - from Distribution to Activation:

The Basics about Workflow

 Deutsche Online Hilfe Next topic Print this topic JavaScript is required for the print function Mail us feedback on this topic! Mail us feedback on this topic!

Depending on the kind of activation you choose, the workflow will be different.

The predefined workflow is as follows:

· Create the project and define the settings
· Create the files for distribution - Deploy
· Provide an evaluation version (also non-evaluation version is possible)
· Customer can test within the time limited period or buy the software (buy link available if defined)
· Customer buys the software and gets the Serial Number Key. The key is unique and is the 'proof of purchase'.
· The Serial Number sets a trigger that enables activation via web (online), e-mail, fax or phone (activation methods can be defined)
· Online Activation – the Serial Number is transferred to the Web Activation Server; this process validates whether the Serial Number was already used and enables copy protection, deletes the time limitation (to get an unlimited full version). The customer can work instantly with the application. A reinstallation on the same PC that is already registered is accepted
· Activation by E-Mail, fax and phone requires manual activation by sending the installation code (hardware ID) to you and sending back an Unlock Key
· The application is now copy protected and without time limitation (depending on the settings)


Create Files for Distribution - Deploy

Home topic Part II - Enhanced Features > Workflow - from Distribution to Activation:

Create Files for Distribution - Deploy

 Deutsche Online Hilfe Next topic Print this topic JavaScript is required for the print function Mail us feedback on this topic! Mail us feedback on this topic!

Create the files for Distribution and Deploy it - Details see chapter Deploy the Project


Evaluation Version

Home topic Part II - Enhanced Features > Workflow - from Distribution to Activation:

Evaluation Version

 Deutsche Online Hilfe Next topic Print this topic JavaScript is required for the print function Mail us feedback on this topic! Mail us feedback on this topic!

The application can be tested in an evaluation mode - details see chapter Evaluation Version


Buy Serial Number

Home topic Part II - Enhanced Features > Workflow - from Distribution to Activation:

Buy Serial Number

 Deutsche Online Hilfe Next topic Print this topic JavaScript is required for the print function Mail us feedback on this topic! Mail us feedback on this topic!

As a proof of purchase, the customer gets a unique Serial Number. This Serial Number is generated within the Administration screen.

After receiving the Serial Number, the customer selects an activation method (Online, E-Mail, Fax, Phone) and types in the Serial Number, name and E-Mail.

If an Online Shop is used, the Serial Number Key can be generated automatically after the order process.

Generate Serial Number


Online Activation

Home topic Part II - Enhanced Features > Workflow - from Distribution to Activation:

Online Activation

 Deutsche Online Hilfe Next topic Print this topic JavaScript is required for the print function Mail us feedback on this topic! Mail us feedback on this topic!

This method allows a complete automation of the process. The Web Activation server is required. Mirage offers a hosting of the server. The Web Activation Server also ensures that the Serial Number can be used only once (configurable).

The hardware IDs and the Serial Number is sent to the Web Activation server, verified, stored in a data base; in case the Serial Number was not used before, copy protection will be activated and time limitation will be deleted to allow a an unlimited program start.

Sample Screen - Enter Serial Number - Online Activation


Activation by E-Mail, Phone, Fax

Home topic Part II - Enhanced Features > Workflow - from Distribution to Activation:

Activation by E-Mail, Phone, Fax

 Deutsche Online Hilfe Next topic Print this topic JavaScript is required for the print function Mail us feedback on this topic! Mail us feedback on this topic!

With either of this method, the customer has to send to you the installation code (8 digit hardware ID), Serial Number, name, E-Mail address, and you have to send back the Unlock Key (Copy Protection Key). The Unlock Key is generated within the Administration screen. If the project was a time limited trial version, the time limitation will be removed.

Note

You have to check manually, whether the Serial Number was already used or not. If the Activation Server server is installed but the customer sends the information via E-Mail, Phone or Fax, the Unlock Key can be generated using the Activation Server Administration Interface, which ensures that the Serial Number cannot be used twice.

Sample Screen - Enter Serial Number - Request Unlock Key by E-Mail


Licence Agreement

Home topic Part II - Enhanced Features > Your Multimedia Protector License:

Licence Agreement

 Deutsche Online Hilfe This is the last topic Print this topic JavaScript is required for the print function Mail us feedback on this topic! Mail us feedback on this topic!

PERPETUAL END USER LICENCE AGREEMENT

· You may distribute and install only those files marked for distribution in the chapter Deploy on any machines of your end users
· You can distribute the Multimedia Player to any customer you like - without paying more fees
· The license entitles to install Multimedia Protector on one single PC (license per PC/seat)

NOTICE TO ALL USERS: CAREFULLY READ THE FOLLOWING LEGAL AGREEMENT (‘AGREEMENT’), FOR THE LICENCE OFSPECIFIED SOFTWARE (‘SOFTWARE’) BY MIRAGE COMPUTER SYSTEMS GMBH (‘MIRAGE’). BY CLICKING THE ACCEPT BUTTON OR INSTALLING THE SOFTWARE, YOU (EITHER AN INDIVIDUAL OR A SINGLE ENTITY) CONSENT TO BE BOUND BYAND BECOME A PARTY TO THIS AGREEMENT. IF YOU DO NOT AGREE TO ALL OF THE TERMS OF THIS AGREEMENT, CLICK THE BUTTON THAT INDICATES THAT YOU DO NOT ACCEPT THE TERMS OF THIS AGREEMENT AND DO NOT INSTALL THE SOFTWARE.(IF APPLICABLE, YOU MAY RETURN THE PRODUCT TO THE PLACE OF PURCHASE FOR A FULL REFUND.)

1. LICENCE Grant. Subject to the payment of the applicable LICENCE fees, and subject to the terms and conditions of this Agreement, MIRAGE hereby grants to you a non-exclusive, non-transferable right to use one copy of the specified version of the Software and the accompanying documentation (the ‘Documentation’). You may install one copy of the Software on one computer, workstation, personal digital assistant, pager, ‘smart phone’ or other electronic device for which the Software was designed (each, a ‘Client Device’). If the Software is LICENCED as a suite or bundle with more than one specified Software product, this LICENCE applies to all such specified Software products, subject to any restrictions or usage terms specified on the applicable price list or product packaging that apply to any of such Software products individually.

a. Use. The Software is LICENCED as a single product; it may not be used on more than one Client Device or by more than one user at a time, except as set forth in this Section 1. The Software is ‘in use’ on a Client Device when it is loaded into the temporary memory (i.e., random-access memory or RAM) or installed into the permanent memory (e.g., hard disk, CD-ROM, or other storage device) of that Client Device. This LICENCE authorizes you to make one copy of the Software solely for backup or archival purposes, provided that the copy you make contains all of the Software’s proprietary notices.

b. Server-Mode. You may use the Software on a Client Device as a server (‘Server’) within a multi-user or networked environment(‘Server-Mode’) only if such use is permitted in the applicable price list or product packaging for the Software. A separate LICENCE is required for each Client Device or ‘seat’ that may connect to the Server at any time, regardless of whether such LICENCED Client Devices or seats are concurrently connected to, accessing or using the Software. Use of software or hardware that reduces the number of Client Devices or seats directly accessing or utilizing the Software (e.g., ‘multiplexing’ or ‘pooling’ software or hardware) does not reduce the number of LICENCES required (i.e., the required number of LICENCES would equal the number of distinct inputs to the multiplexing or pooling software or hardware ‘front end’). If the number of Client Devices or seats that can connect to the Software can exceed the number of LICENCES you have obtained, then you must have a reasonable mechanism in place to ensure that your use of the Software does not exceed the use limits specified for the LICENCES you have obtained. This LICENCE authorizes you to make or download one copy of the Documentation for each Client Device or seat that is LICENCED, provided that each such copy contains all of the Documentation’s proprietary notices.

c. Volume LICENCES. If the Software is LICENCED with volume LICENCE terms specified in the applicable price list or product packaging for the Software, you may make, use and install as many additional copies of the Software on the number of Client Devices as the volume LICENCE authorizes. You must have a reasonable mechanism in place to ensure that the number of Client Devices on which the Software has been installed does not exceed the number of LICENCES you have obtained. This LICENCE authorizes you to make or download one copy of the Documentation for each additional copy authorized by the volume LICENCE, provided that each such copy contains all of the Documentation’s proprietary notices.

2. Term. This Agreement is effective for an unlimited duration unless and until earlier terminated as set forth herein. This Agreement will terminate automatically if you fail to comply with any of the limitations or other requirements described herein. Upon any termination or expiration of this Agreement, you must destroy all copies of the Software and the Documentation.

3. Updates. For the time period specified in the applicable price list or product packaging for the Software, you are entitled to download revisions or updates to the Software when and as MIRAGE publishes them via its electronic bulletin board system, website or through other online services. For a period of thirty (30) days from the date of the of original purchase of the Software, you are entitled to download one(1) revision or upgrade to the Software when and as MIRAGE publishes it via its electronic bulletin board system, website or through other online services. After the specified time period, you have no further rights to receive any revisions or upgrades without purchase of a new LICENCE to the Software.

4. Ownership Rights. The Software is protected by German copyright laws and international treaty provisions. MIRAGE and its suppliers own and retain all right, title and interest in and to the Software, including all copyrights, patents, trade secret rights, trademarks and other intellectual property rights therein. Your possession, installation, or use of the Software does not transfer to you any title to the intellectual property in the Software, and you will not acquire any rights to the Software except as expressly set forth in this Agreement. All copies of the Software and Documentation made hereunder must contain the same proprietary notices that appear on and in the Software and Documentation.

5. Restrictions. You may not sell, lease, LICENCE, rent, loan or otherwise transfer, with or without consideration, rent, lease, loan or resell the Software. MIRAGE updates its Software frequently and performance data for its Software change. Before conducting benchmark tests regarding this Software, contact MIRAGE to verify that you possess the correct Software for the test and the then current version and edition of the Software. Benchmark tests of former, outdated or inappropriate versions or editions of the Software may yield results that are not reflective of the performance of the current version or edition of the Software. You agree not to permit any third party (other than third parties under contract with you which contains nondisclosure obligations no less restrictive than those set forth herein) to use the LICENCED Program in any form and shall use all reasonable efforts to ensure that no improper or unauthorized use of the LICENCED Program is made. You may not permit third parties to benefit from the use or functionality of the Software via a timesharing, service bureau or other arrangement, except to the extent such use is specified in the applicable price list, purchase order, or product packaging for the Software. You may not transfer any of the rights granted to you under this Agreement. You may not reverse engineer, decompile, or disassemble the Software, except to the extent the foregoing restriction is expressly prohibited by applicable law. You may not modify, or create derivative works based upon, the Software in whole or in part. You may not copy the Software or Documentation except as expressly permitted in Section 1 above. You may not remove any proprietary notices or labels on the Software. All rights not expressly set forth hereunder are reserved by MIRAGE.

6. Warranty and Disclaimer.

a. Limited Warranty. MIRAGE warrants that for sixty (60) days from the date of original purchase the media (e.g., diskettes) on which the Software is contained will be free from defects in materials and workmanship.

b. Customer Remedies. MIRAGE’ and its suppliers’ entire liability and your exclusive remedy for any breach of the foregoing warranty shall be, at MIRAGE’s option, either (i) return of the purchase price paid for the LICENCE, if any, or (ii) replacement of the defective media in which the Software is contained. You must return the defective media to MIRAGE at your expense with a copy of your receipt. This limited warranty is void if the defect has resulted from accident, abuse, or misapplication. Any replacement media will be warranted for the remainder of the original warranty period. Outside the United States, this remedy is not available to the extent MIRAGE is subject to restrictions under United States export control laws and regulations.

c. Warranty Disclaimer. Except for the limited warranty set forth herein, THE SOFTWARE IS PROVIDED ‘AS IS.’ TO THE MAXIMUM EXTENT PERMITTED BY APPLICABLE LAW, MIRAGE DISCLAIMS ALL WARRANTIES, EITHER EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED TO IMPLIED WARRANTIES OF MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE, AND NONINFRINGEMENT WITH RESPECT TO THE SOFTWARE AND THE ACCOMPANYING DOCUMENTATION. YOU ASSUME RESPONSIBILITY FOR SELECTING THE SOFTWARE TO ACHIEVE YOUR INTENDED RESULTS, AND FOR THE INSTALLATION OF, USE OF, AND RESULTS OBTAINED FROM THE SOFTWARE. WITHOUT LIMITING THE FOREGOING PROVISIONS, MIRAGE MAKES NO WARRANTY THAT THE SOFTWARE WILL BE ERROR-FREE OR FREE FROM INTERRUPTIONS OR OTHER FAILURES OR THAT THE SOFTWARE WILL MEET YOUR REQUIREMENTS.

7. Limitation of Liability. UNDER NO CIRCUMSTANCES AND UNDER NO LEGAL THEORY, WHETHER IN TORT, CONTRACT, OR OTHERWISE, SHALL MIRAGE OR ITS SUPPLIERS BE LIABLE TO YOU OR TO ANY OTHER PERSON FOR ANY INDIRECT, CONSE-QUENTIAL OR PURELY FINANCIAL DAMAGES OF ANY CHARACTER INCLUDING, WITHOUT LIMITATION, DAMAGES FOR LOSS OF GOODWILL,WORK STOPPAGE, COMPUTER FAILURE OR MALFUNCTION, OR FOR ANY AND ALL OTHER DAMAGES OR LOSSES. IN NO EVENT WILL MIRAGE BE LIABLE FOR ANY DAMAGES IN EXCESS OF THE LIST PRICE MIRAGE CHARGES FOR A LICENCE TO THE SOFTWARE, EVEN IF MIRAGE SHALL HAVE BEEN ADVISED OF THE POSSIBILITY OF SUCH DAMAGES. THIS LIMITATION OF LIABILITY SHALL NOT APPLY TO LIABILITY FOR DEATH OR PERSONAL INJURY TO THE EXTENT THAT APPLICABLE LAW PROHIBITS SUCH LIMITATION.

8. United States Government. The Software and accompanying Documentation are deemed to be ‘commercial computer software’ and’ commercial computer software documentation,’ respectively, pursuant to DFAR Section 227.7202 and FAR Section 12.212, as applicable. Any use, modification, reproduction, release, performance, display or disclosure of the Software and accompanying Documentation by the United States Government shall be governed solely by the terms of this Agreement and shall be prohibited except to the extent expressly permitted by the terms of this Agreement.

9. Export Controls. You have been advised that the Software and Documentation (the ‘Products’) are subject to the U.S. Export Administration Regulations. You shall not export, import or transfer Products contrary to U.S. or other applicable laws, whether directly or indirectly, and will not cause, approve or otherwise facilitate others such as agents or any third parties in doing so. You represent and agree that neither the United States Bureau of Export Administration nor any other federal agency has suspended, revoked or denied your export privileges. You agree not to use or transfer the Products for end use relating to any nuclear, chemical or biological weapons, or missile technology unless authorized by the U.S. Government by regulation or specific LICENCE. Additionally, you acknowledge that the Products are subject to export control regulations in the European Union and You hereby declare and agree that the Products will not be used for any other purpose than civil (non-military) purposes. The parties agree to cooperate with each other with respect to any application for any required LICENCES and approvals, however, You acknowledge it is Your ultimate responsibility to comply with any and all export and import laws and that MIRAGE has no further responsibility after the initial sale to You within the original country of sale.

10.High Risk Activities. The Software is not fault-tolerant and is not designed or intended for use in hazardous environments requiring fail-safe performance, including without limitation, in the operation of nuclear facilities, aircraft navigation or communication systems, air traffic control, weapons systems, direct life-support machines, or any other application in which the failure of the Software could lead directly to death, personal injury, or severe physical or property damage (collectively, ‘High Risk Activities’). MIRAGE expressly disclaims any express or implied warranty of fitness for High Risk Activities.

11.Miscellaneous. This Agreement is governed by the laws of Germany, without reference to conflict of laws principles. The application of the United Nations Convention of Contracts for the International Sale of Goods is expressly excluded. This Agreement sets forth all rights for the user of the Software and is the entire agreement between the parties. MIRAGE reserves the right to periodically audit you to ensure that you are not using any Software in violation of this Agreement. During your standard business hours and upon prior written notice, MIRAGE may visit you and you will make available to MIRAGE or its representatives any records pertaining to the Software to MIRAGE. The cost of any requested audit will be solely borne by MIRAGE, unless such audit discloses an underpayment or amount due to MIRAGE in excess of five percent (5%) of the initial LICENCE fee for the Software or you are using the Software in an unauthorized manner, in which case you shall pay the cost of the audit. This Agreement supersedes any other communications with respect to the Software and Documentation. This Agreement may not be modified except by a written addendum issued by a duly authorized representative of MIRAGE. No provision hereof shall be deemed waived unless such waiver shall be in writing and signed by MIRAGE or a duly authorized representative of MIRAGE. If any provision of this Agreement is held invalid, the remainder of this Agreement shall continue in full force and effect. The parties confirm that it is their wish that this Agreement has been written in the English language only.

12.MIRAGE CUSTOMER CONTACT. If you have any questions concerning these terms and conditions, or if you would like to contact MIRAGE for any other reason, please call +49 700/54885342, or write: : MIRAGE Computer Systems GmbH, Auf der Steige 12, 88326 Aulendorf – E-Mail: Info@Mirage-Systems.de) . You will find our internet web- site at www.mirage-systems.de.

Date: 01.08.2003

LA-DE-01082003


articulate-tip

Home topic »No topics above this level«

articulate-tip

 Deutsche Online Hilfe This is the first topic This is the last topic Print this topic JavaScript is required for the print function Mail us feedback on this topic! Mail us feedback on this topic!

· If you have several different Articulate applications you need a menu application.
· If the project size is over 100 MB, the loading time would be too long. Split the application in several projects.


Secure standalone exe file(s)

Home topic »No topics above this level«

Secure standalone exe file(s)

 Deutsche Online Hilfe This is the first topic This is the last topic Print this topic JavaScript is required for the print function Mail us feedback on this topic! Mail us feedback on this topic!

Multimedia Protector supports copy protection and complete licensing for stand-alone EXE files. It wraps the EXE file and additional files into the encrypted database. This kind of protection is not as strong as the Source Code integration with Licence Protector but a good choice if you do not have any Source Code or you do not want to spend time to add copy protection and licensing.

If you have just one or more EXE file and additional files like DLL or configuration files, import it and define one exe file as a start file. After the initial tests like evaluation or product activation have been done, the Multimedia Player starts the exe file, extracts all other imported files and terminates automatically so that only the EXE file will be active.

All files (EXE file and all additional files) are extracted to the hard disk during runtime - see main chapter Executables. The file of the database should have maximum 80-100 MB. Otherwise the loading time would be too long.

If the EXE file opens configuration files and the files are expected on the same folder like the EXE file, try to use the option Run in installation directory or better, retrieve the correct path by reading the configuration data.


pdf-office-documents

Home topic »No topics above this level«

pdf-office-documents

 Deutsche Online Hilfe This is the first topic This is the last topic Print this topic JavaScript is required for the print function Mail us feedback on this topic! Mail us feedback on this topic!

Protect an office document using PDF format

All documents, that are printable, like Word or Visio can be protected by creating a PDF file. See details PDF protection. This is the recommended and most flexible option.

Office 2007 comes with a free Add-In, which creates a PDF file and it supports hyperlinks. Just select File, Save As PDF. If this option is missing, you can download the Add-In here or search in the Word Online help for PDF.

If you do not have any PDF tool, download PDF creator: http://www.pdfforge.org/products/pdfcreator/


Problems - Trouble Shooting

Home topic »No topics above this level«

Problems - Trouble Shooting

 Deutsche Online Hilfe This is the first topic This is the last topic Print this topic JavaScript is required for the print function Mail us feedback on this topic! Mail us feedback on this topic!

Enter topic text here.


proedition

Home topic »No topics above this level«

proedition

 Deutsche Online Hilfe This is the first topic This is the last topic Print this topic JavaScript is required for the print function Mail us feedback on this topic! Mail us feedback on this topic!

This feature is available only in the Multimedia Protector Premium Edition.


Start Screen

Home topic »No topics above this level«

Start Screen

 Deutsche Online Hilfe This is the first topic This is the last topic Print this topic JavaScript is required for the print function Mail us feedback on this topic! Mail us feedback on this topic!

Enter topic text here.